#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2017]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2014 
#au titre des revenus perçus en 2013. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************
regle corrective base_HR 1311:
application :  iliad ;
IRNIN_R99R = max(0,max(IRNIN_INR,IRNIN_PA-ACODELAISINR))*positif(IND_PASSAGE-1);
CSG_R99R = max(0,max(CSG*CSREC,CSG_PA))*positif(IND_PASSAGE-1);
RDS_R99R = max(0,max(RDSN*CSREC,CRDS_PA))*positif(IND_PASSAGE-1);
PRS_R99R = max(0,max(PRS*CSREC,PRS_PA))*positif(IND_PASSAGE-1);
CDIS_R99R = max(0,max(CDIS*CSREC,CDIS_PA))*positif(IND_PASSAGE-1);
TAXA_R99R = max(0,max(TAXABASE,TAXA_PA))*positif(IND_PASSAGE-1);
ISF_R99R = max(0,max(ISF4BASE,ISF_PA))*positif(IND_PASSAGEISF-1);
CHR_R99R = max(0,max(CHRBASE,CHR_PA))*positif(IND_PASSAGE-1);
PCAP_R99R = max(0,max(PCAPBASE,PCAP_PA))*positif(IND_PASSAGE-1);
RSE1_R99R = max(0,max(RSE1BASE,RSE1_PA))*positif(IND_PASSAGE-1);
RSE2_R99R = max(0,max(RSE2BASE,RSE2_PA))*positif(IND_PASSAGE-1);
RSE3_R99R = max(0,max(RSE3BASE,RSE3_PA))*positif(IND_PASSAGE-1);
RSE4_R99R = max(0,max(RSE4BASE,RSE4_PA))*positif(IND_PASSAGE-1);
RSE5_R99R = max(0,max(RSE5BASE,RSE5_PA))*positif(IND_PASSAGE-1);
CVN_R99R = max(0,max(CVNBASE,CVN_PA))*positif(IND_PASSAGE-1);
LOY_R99R = max(0,max(LOYBASE,LOY_PA))*positif(IND_PASSAGE-1);
GLO_R99R = max(0,max(GLOBASE,GLO_PA))*positif(IND_PASSAGE-1);
regle corrective base_inr_r9901 1313:
application :  iliad ;
IRNIN_R9901 = max(0,max(IRNIN_INR,IRNIN_INR_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(IRNIN_INR,IRNIN_PA-ACODELAISINR))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             + IRNIN_R9901_A;
CSG_R9901 = max(0,max(CSG*CSREC,CSG_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(CSG*CSREC,CSG_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +CSG_R9901_A;
RDS_R9901 = max(0,max(RDSN*CSREC,RDS_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(RDSN*CSREC,CRDS_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +RDS_R9901_A;
PRS_R9901 = max(0,max(PRS*CSREC,PRS_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(PRS*CSREC,PRS_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +PRS_R9901_A;
CDIS_R9901 = max(0,max(CDISBASE*CSREC,CDIS_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(CDISBASE*CSREC,CDIS_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +CDIS_R9901_A;
TAXA_R9901 = max(0,max(TAXABASE,TAXA_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(TAXABASE,TAXA_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +TAXA_R9901_A;
ISF_R9901 = max(0,max(ISF4BASE,ISF_P))*null(IND_PASSR9901ISF-2)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
	     + max(0,max(ISF4BASE,ISF_PA))*null(IND_PASSR9901ISF-3)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +ISF_R9901_A;
CHR_R9901 = max(0,max(CHRBASE,CHR_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(CHRBASE,CHR_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +CHR_R9901_A;
PCAP_R9901 = max(0,max(PCAPBASE,PCAP_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(PCAPBASE,PCAP_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +PCAP_R9901_A;
RSE1_R9901 = max(0,max(RSE1BASE,RSE1_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(RSE1BASE,RSE1_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +RSE1_R9901_A;
RSE2_R9901 = max(0,max(RSE2BASE,RSE2_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(RSE2BASE,RSE2_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +RSE2_R9901_A;
RSE3_R9901 = max(0,max(RSE3BASE,RSE3_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(RSE3BASE,RSE3_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +RSE3_R9901_A;
RSE4_R9901 = max(0,max(RSE4BASE,RSE4_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(RSE4BASE,RSE4_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +RSE4_R9901_A;
RSE5_R9901 = max(0,max(RSE5BASE,RSE5_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(RSE5BASE,RSE5_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +RSE5_R9901_A;
LOY_R9901 = max(0,max(LOYBASE,LOY_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(LOYBASE,LOY_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +LOY_R9901_A;
CVN_R9901 = max(0,max(CVNBASE,CVN_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(CVNBASE,CVN_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +CVN_R9901_A;
GLO_R9901 = max(0,max(GLOBASE,GLO_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_RETARD+FLAG_DEFAUT))
             + max(0,max(GLOBASE,GLO_PA))*null(IND_PASSR9901-2)*positif(FLAG_RETARD+FLAG_DEFAUT)
             +GLO_R9901_A;
regle corrective base_inr_pri 1312:
application :  iliad ;
IRNIN_PRECT = max(0,IRNIN_INR);
CSG_PRECT = max(0,CSG*CSREC);
RDS_PRECT = max(0,RDSN*CSREC);
PRS_PRECT = max(0,PRS*CSREC);
CDIS_PRECT = max(0,CDISBASE*CSREC);
TAXA_PRECT = max(0,TAXABASE);
ISF_PRECT = max(0,ISF4BASE);
CHR_PRECT = max(0,CHRBASE);
PCAP_PRECT = max(0,PCAPBASE);
RSE1_PRECT = max(0,RSE1BASE);
RSE2_PRECT = max(0,RSE2BASE);
RSE3_PRECT = max(0,RSE3BASE);
RSE4_PRECT = max(0,RSE4BASE);
RSE5_PRECT = max(0,RSE5BASE);
LOY_PRECT = max(0,LOYBASE);
CVN_PRECT = max(0,CVNBASE);
GLO_PRECT = max(0,GLOBASE);
regle corrective base_inr_ref 1300:
application :  iliad ;
IRNIN_REFP = max(0,max(IRNIN_INR,(IRNIN_P*(1-FLAG_PRIM*FLAG_9YT)+(IRNIN_PA-ACODELAISINR))));
CSG_REFP = max(0,max(CSG*CSRECINR,(CSG_P*CSREC_P*(1-FLAG_PRIM*FLAG_9YT)+CSG_PA)));
RDS_REFP = max(0,max(RDSN*CSRECINR,(RDS_P*CSREC_P*(1-FLAG_PRIM*FLAG_9YT)+CRDS_PA)));
PRS_REFP = max(0,max(PRS*CSRECINR,(PRS_P*CSREC_P*(1-FLAG_PRIM*FLAG_9YT)+PRS_PA)));
CDIS_REFP = max(0,max(CDISBASE*CSRECINR,(CDIS_P*CSREC_P*(1-FLAG_PRIM*FLAG_9YT)+CDIS_PA)));
TAXA_REFP = max(0,max(TAXABASE,TAXA_P*(1-FLAG_PRIM*FLAG_9YT)+TAXA_PA));
CHR_REFP = max(0,max(CHRBASE,CHR_P*(1-FLAG_PRIM*FLAG_9YT)+CHR_PA));
PCAP_REFP = max(0,max(PCAPBASE,PCAP_P*(1-FLAG_PRIM*FLAG_9YT)+PCAP_PA));
RSE1_REFP = max(0,max(RSE1BASE,RSE1_P*(1-FLAG_PRIM*FLAG_9YT)+RSE1_PA));
RSE2_REFP = max(0,max(RSE2BASE,RSE2_P*(1-FLAG_PRIM*FLAG_9YT)+RSE2_PA));
RSE3_REFP = max(0,max(RSE3BASE,RSE3_P*(1-FLAG_PRIM*FLAG_9YT)+RSE3_PA));
RSE4_REFP = max(0,max(RSE4BASE,RSE4_P*(1-FLAG_PRIM*FLAG_9YT)+RSE4_PA));
RSE5_REFP = max(0,max(RSE5BASE,RSE5_P*(1-FLAG_PRIM*FLAG_9YT)+RSE5_PA));
LOY_REFP = max(0,max(LOYBASE,LOY_P*(1-FLAG_PRIM*FLAG_9YT)+LOY_PA));
CVN_REFP = max(0,max(CVNBASE,CVN_P*(1-FLAG_PRIM*FLAG_9YT)+CVN_PA));
GLO_REFP = max(0,max(GLOBASE,GLO_P*(1-FLAG_PRIM*FLAG_9YT)+GLO_PA));
IRNIN_REF= max(IRNIN_REFP,max(IRNIN_REF_A-ACODELAISINR,IRNIN_INR_A-ACODELAISINR));
CSG_REF= max(CSG_REFP,max(CSG_REF_A*CSRECA,CSG_A*CSRECA));
RDS_REF= max(RDS_REFP,max(RDS_REF_A*CSRECA,RDS_A*CSRECA));
PRS_REF= max(PRS_REFP,max(PRS_REF_A*CSRECA,PRS_A*CSRECA));
CDIS_REF= max(CDIS_REFP,max(CDIS_REF_A*CSRECA,CDIS_A*CSRECA));
TAXA_REF= max(TAXA_REFP,max(TAXA_REF_A,TAXABASE_A));
CHR_REF= max(CHR_REFP,max(CHR_REF_A,CHRBASE_A));
PCAP_REF= max(PCAP_REFP,max(PCAP_REF_A,PCAPBASE_A));
RSE1_REF= max(RSE1_REFP,max(RSE1_REF_A,RSE1BASE_A));
RSE2_REF= max(RSE2_REFP,max(RSE2_REF_A,RSE2BASE_A));
RSE3_REF= max(RSE3_REFP,max(RSE3_REF_A,RSE3BASE_A));
RSE4_REF= max(RSE4_REFP,max(RSE4_REF_A,RSE4BASE_A));
RSE5_REF= max(RSE5_REFP,max(RSE5_REF_A,RSE5BASE_A));
LOY_REF= max(LOY_REFP,max(LOY_REF_A,LOYBASE_A));
CVN_REF= max(CVN_REFP,max(CVN_REF_A,CVNBASE_A));
GLO_REF= max(GLO_REFP,max(GLO_REF_A,GLOBASE_A));
IRNIN_RECT=IRNIN_INR;
IRNIN_R = IRNIN_REF_A;
INDFLAGCIR = positif(FLAG_C02+FLAG_C22) * positif(IRNIN_REF_A);
INDFLAGCCSG = positif(FLAG_C02+FLAG_C22) * positif(CSG_REF_A);
RDS_R = RDS_REF_A;
INDFLAGCRDS = positif(FLAG_C02+FLAG_C22) * positif(RDS_REF_A);
PRS_R = PRS_REF_A;
INDFLAGCPRS = positif(FLAG_C02+FLAG_C22) * positif(PRS_REF_A);
CDIS_R = CDIS_REF_A;
INDFLAGCCDIS = positif(FLAG_C02+FLAG_C22) * positif(CDIS_REF_A);
TAXA_R = TAXA_REF_A;
INDFLAGCTAXA = positif(FLAG_C02+FLAG_C22) * positif(TAXA_REF_A);
CHR_R = CHR_REF_A;
INDFLAGCCHR = positif(FLAG_C02+FLAG_C22) * positif(CHR_REF_A);
PCAP_R = PCAP_REF_A;
INDFLAGCPCAP = positif(FLAG_C02+FLAG_C22) * positif(PCAP_REF_A);
RSE1_R = RSE1_REF_A;
INDFLAGCRSE1 = positif(FLAG_C02+FLAG_C22) * positif(RSE1_REF_A);
RSE2_R = RSE2_REF_A;
INDFLAGCRSE2 = positif(FLAG_C02+FLAG_C22) * positif(RSE2_REF_A);
RSE3_R = RSE3_REF_A;
INDFLAGCRSE3 = positif(FLAG_C02+FLAG_C22) * positif(RSE3_REF_A);
RSE4_R = RSE4_REF_A;
INDFLAGCRSE4 = positif(FLAG_C02+FLAG_C22) * positif(RSE4_REF_A);
RSE5_R = RSE5_REF_A;
INDFLAGCRSE5 = positif(FLAG_C02+FLAG_C22) * positif(RSE5_REF_A);
LOY_R = LOY_REF_A;
INDFLAGCLOY = positif(FLAG_C02+FLAG_C22) * positif(LOY_REF_A);
CVN_R = CVN_REF_A;
INDFLAGCCVN = positif(FLAG_C02+FLAG_C22) * positif(CVN_REF_A);
GLO_R = GLO_REF_A;
INDFLAGCGLO = positif(FLAG_C02+FLAG_C22) * positif(GLO_REF_A);
ISF_REFP = max(0,max(ISF4BASE,ISF_P*(1-FLAG_PRIM*FLAG_9XT)+ISF_PA));
ISF_REF= max(ISF_REFP,max(ISF_REF_A,ISF4BASE_A));
ISF_R = ISF_REF_A;
INDFLAGCISF = positif(FLAG_C02+FLAG_C22) * positif(ISF_REF_A);
regle corrective base_inr_ntl 1301:
application :  iliad ;
INRCHR_NTL10 = INRCHR_NTLPROV * null(2 - FLAG_INR);
regle corrective base_inr_intertl 1301999:
application :  iliad ;
INRCHR_TL15 = INRCHR_NTL15 ;
CHR_NTL15 = CHRBASE;
IRNIN_NTLDEC = IRNIN_INR;
INRIR_NTLDEC = INRIR_NTL+INR_IR_TARDIF * null(1-IND_PASSAGE);
INRIR_NTLADEC = INRIR_NTL_A;
INR_IR_NTL=max(0,INRIR_NTL+INR_IR_TARDIF * null(1-IND_PASSAGE));
CSG_NTLDEC = CSBASE;
INRCSG_NTLDEC = INRCSG_NTL+INR_CSG_TARDIF * null(1-IND_PASSAGE);
INRCSG_NTLADEC = INRCSG_NTL_A;
INR_CSG_NTL=INRCSG_NTL+INR_CSG_TARDIF * null(1-IND_PASSAGE);
PRS_NTLDEC = PSBASE;
INRPRS_NTLDEC = INRPRS_NTL+INR_PS_TARDIF * null(1-IND_PASSAGE);
INRPS_NTLADEC = INRPRS_NTL_A;
INR_PS_NTL=INRPRS_NTL+INR_PS_TARDIF * null(1-IND_PASSAGE);
CRDS_NTLDEC = RDBASE;
INRCRDS_NTLDEC = INRCRDS_NTL+INR_CRDS_TARDIF * null(1-IND_PASSAGE);
INRCRDS_NTLADEC = INRCRDS_NTL_A;
INR_CRDS_NTL=INRCRDS_NTL+INR_CRDS_TARDIF * null(1-IND_PASSAGE);
CDIS_NTLDEC = CDISBASE;
INRCDIS_NTLDEC = INRCDIS_NTL+INR_CDIS_TARDIF * null(1-IND_PASSAGE);
INRCDIS_NTLADEC = INRCDIS_NTL_A;
INR_CDIS_NTL=INRCDIS_NTL+INR_CDIS_TARDIF * null(1-IND_PASSAGE);
TAXA_NTLDEC = TAXABASE;
INRTAXA_NTLDEC = INRTAXA_NTL+INR_TAXAGA_TARDIF * null(1-IND_PASSAGE);
INRTAXA_NTLADEC = INRTAXA_NTL_A;
INR_TAXAGA_NTL=INRTAXA_NTL+INR_TAXAGA_TARDIF * null(1-IND_PASSAGE);
ISF_NTLDEC = ISF4BASE;
INRISF_NTLDEC = INRISF_NTL+INR_ISF_TARDIF * null(1-IND_PASSAGEISF);
INRISF_NTLADEC = INRISF_NTL_A;
INR_ISF_NTL=INRISF_NTL+INR_ISF_TARDIF * null(1-IND_PASSAGEISF);
CHR_NTLDEC = CHRBASE;
INRCHR_NTLDEC = INRCHR_NTL+INR_CHR_TARDIF * null(1-IND_PASSAGE);
INRCHR_NTLADEC = INRCHR_NTL_A;
INR_CHR_NTL=INRCHR_NTL+INR_CHR_TARDIF * null(1-IND_PASSAGE);
PCAP_NTLDEC = PCAPBASE;
INRPCAP_NTLDEC = INRPCAP_NTL+INR_PCAP_TARDIF * null(1-IND_PASSAGE);
INRPCAP_NTLADEC = INRPCAP_NTL_A;
INR_PCAP_NTL=INRPCAP_NTL+INR_PCAP_TARDIF * null(1-IND_PASSAGE);
RSE1_NTLDEC = RSE1BASE;
INRRSE1_NTLDEC = INRRSE1_NTL+INR_RSE1_TARDIF * null(1-IND_PASSAGE);
INRRSE1_NTLADEC = INRRSE1_NTL_A;
INR_RSE1_NTL=INRRSE1_NTL+INR_RSE1_TARDIF * null(1-IND_PASSAGE);
RSE2_NTLDEC = RSE2BASE;
INRRSE2_NTLDEC = INRRSE2_NTL+INR_RSE2_TARDIF * null(1-IND_PASSAGE);
INRRSE2_NTLADEC = INRRSE2_NTL_A;
INR_RSE2_NTL=INRRSE2_NTL+INR_RSE2_TARDIF * null(1-IND_PASSAGE);
RSE3_NTLDEC = RSE3BASE;
INRRSE3_NTLDEC = INRRSE3_NTL+INR_RSE3_TARDIF * null(1-IND_PASSAGE);
INRRSE3_NTLADEC = INRRSE3_NTL_A;
INR_RSE3_NTL=INRRSE3_NTL+INR_RSE3_TARDIF * null(1-IND_PASSAGE);
RSE4_NTLDEC = RSE4BASE;
INRRSE4_NTLDEC = INRRSE4_NTL+INR_RSE4_TARDIF * null(1-IND_PASSAGE);
INRRSE4_NTLADEC = INRRSE4_NTL_A;
INR_RSE4_NTL=INRRSE4_NTL+INR_RSE4_TARDIF * null(1-IND_PASSAGE);
RSE5_NTLDEC = RSE5BASE;
INRRSE5_NTLDEC = INRRSE5_NTL+INR_RSE5_TARDIF * null(1-IND_PASSAGE);
INRRSE5_NTLADEC = INRRSE5_NTL_A;
INR_RSE5_NTL=INRRSE5_NTL+INR_RSE5_TARDIF * null(1-IND_PASSAGE);
LOY_NTLDEC = LOYBASE;
INRLOY_NTLDEC = INRLOY_NTL+INR_LOY_TARDIF * null(1-IND_PASSAGE);
INRLOY_NTLADEC = INRLOY_NTL_A;
INR_LOY_NTL=INRLOY_NTL+INR_LOY_TARDIF * null(1-IND_PASSAGE);
CVN_NTLDEC = CVNBASE;
INRCVN_NTLDEC = INRCVN_NTL+INR_CVN_TARDIF * null(1-IND_PASSAGE);
INRCVN_NTLADEC = INRCVN_NTL_A;
INR_CVN_NTL=INRCVN_NTL+INR_CVN_TARDIF * null(1-IND_PASSAGE);
GLO_NTLDEC = GLOBASE;
INRGLO_NTLDEC = INRGLO_NTL+INR_GLO_TARDIF * null(1-IND_PASSAGE);
INRGLO_NTLADEC = INRGLO_NTL_A;
INR_GLO_NTL=INRGLO_NTL+INR_GLO_TARDIF * null(1-IND_PASSAGE);
regle corrective base_ABAT98 130111:
application :  iliad ;
DO_INR_IR98 = DO_INR_IR982;
IRNIN_NTLDEC_198 = IRNIN_INR;
DO_INR_CSG98 = DO_INR_CSG982;
CSG_NTLDEC_198 = CSBASE;
DO_INR_PRS98 = DO_INR_PRS982;
PRS_NTLDEC_198 = PSBASE;
DO_INR_CRDS98 = DO_INR_CRDS982;
CRDS_NTLDEC_198 = RDBASE;
DO_INR_CDIS98 = DO_INR_CDIS982;
CDIS_NTLDEC_198 = CDISBASE;
DO_INR_TAXA98 = DO_INR_TAXA982;
TAXA_NTLDEC_198 = TAXABASE;
DO_INR_CHR98 = DO_INR_CHR982;
CHR_NTLDEC_198 = CHRBASE;
DO_INR_PCAP98 = DO_INR_PCAP982;
PCAP_NTLDEC_198 = PCAPBASE;
DO_INR_RSE198 = DO_INR_RSE1982;
RSE1_NTLDEC_198 = RSE1BASE;
DO_INR_RSE298 = DO_INR_RSE2982;
RSE2_NTLDEC_198 = RSE2BASE;
DO_INR_RSE398 = DO_INR_RSE3982;
RSE3_NTLDEC_198 = RSE3BASE;
DO_INR_RSE498 = DO_INR_RSE4982;
RSE4_NTLDEC_198 = RSE4BASE;
DO_INR_RSE598 = DO_INR_RSE5982;
RSE5_NTLDEC_198 = RSE5BASE;
DO_INR_LOY98 = DO_INR_LOY982;
LOY_NTLDEC_198 = LOYBASE;
DO_INR_CVN98 = DO_INR_CVN982;
CVN_NTLDEC_198 = CVNBASE;
DO_INR_GLO98 = DO_INR_GLO982;
GLO_NTLDEC_198 = GLOBASE;
regle corrective base_inr_ntl22 130199:
application :  iliad ;
INRCHR_NTL10_1 = INRCHR_NTLPROV_1 * null(2 - FLAG_INR);
regle corrective base_INR 13011:
application :  iliad ;
INRCHR_TL15_1 = INRCHR_NTL15_1 ;
CHR_NTL15_1 = CHRBASE;
IRNIN_NTLDEC_1 = IRNIN_INR;
INRIR_NTLDEC_1 = INRIR_NTL_1;
INRIR_NTLADEC_1 = INRIR_NTL_1_A;
INR_IR_NTL_1=INRIR_NTL_1;
CSG_NTLDEC_1 = CSBASE;
INRCSG_NTLDEC_1 = INRCSG_NTL_1;
INRCSG_NTLADEC_1 = INRCSG_NTL_1_A;
INR_CSG_NTL_1=INRCSG_NTL_1;
PRS_NTLDEC_1 = PSBASE;
INRPRS_NTLDEC_1 = INRPRS_NTL_1;
INRPS_NTLADEC_1 = INRPRS_NTL_1_A;
INR_PS_NTL_1=INRPRS_NTL_1;
CRDS_NTLDEC_1 = RDBASE;
INRCRDS_NTLDEC_1 = INRCRDS_NTL_1;
INRCRDS_NTLADEC_1 = INRCRDS_NTL_1_A;
INR_CRDS_NTL_1=INRCRDS_NTL_1;
CDIS_NTLDEC_1 = CDISBASE;
INRCDIS_NTLDEC_1 = INRCDIS_NTL_1;
INRCDIS_NTLADEC_1 = INRCDIS_NTL_1_A;
INR_CDIS_NTL_1=INRCDIS_NTL_1;
TAXA_NTLDEC_1 = TAXABASE;
INRTAXA_NTLDEC_1 = INRTAXA_NTL_1;
INRTAXA_NTLADEC_1 = INRTAXA_NTL_1_A;
INR_TAXAGA_NTL_1=INRTAXA_NTL_1;
CHR_NTLDEC_1 = CHRBASE;
INRCHR_NTLDEC_1 = INRCHR_NTL_1;
INRCHR_NTLADEC_1 = INRCHR_NTL_1_A;
INR_CHR_NTL_1=INRCHR_NTL_1;
PCAP_NTLDEC_1 = PCAPBASE;
INRPCAP_NTLDEC_1 = INRPCAP_NTL_1;
INRPCAP_NTLADEC_1 = INRPCAP_NTL_1_A;
INR_PCAP_NTL_1=INRPCAP_NTL_1;
RSE1_NTLDEC_1 = RSE1BASE;
INRRSE1_NTLDEC_1 = INRRSE1_NTL_1;
INRRSE1_NTLADEC_1 = INRRSE1_NTL_1_A;
INR_RSE1_NTL_1=INRRSE1_NTL_1;
RSE2_NTLDEC_1 = RSE2BASE;
INRRSE2_NTLDEC_1 = INRRSE2_NTL_1;
INRRSE2_NTLADEC_1 = INRRSE2_NTL_1_A;
INR_RSE2_NTL_1=INRRSE2_NTL_1;
RSE3_NTLDEC_1 = RSE3BASE;
INRRSE3_NTLDEC_1 = INRRSE3_NTL_1;
INRRSE3_NTLADEC_1 = INRRSE3_NTL_1_A;
INR_RSE3_NTL_1=INRRSE3_NTL_1;
RSE4_NTLDEC_1 = RSE4BASE;
INRRSE4_NTLDEC_1 = INRRSE4_NTL_1;
INRRSE4_NTLADEC_1 = INRRSE4_NTL_1_A;
INR_RSE4_NTL_1=INRRSE4_NTL_1;
RSE5_NTLDEC_1 = RSE5BASE;
INRRSE5_NTLDEC_1 = INRRSE5_NTL_1;
INRRSE5_NTLADEC_1 = INRRSE5_NTL_1_A;
INR_RSE5_NTL_1=INRRSE5_NTL_1;
LOY_NTLDEC_1 = LOYBASE;
INRLOY_NTLDEC_1 = INRLOY_NTL_1;
INRLOY_NTLADEC_1 = INRLOY_NTL_1_A;
INR_LOY_NTL_1=INRLOY_NTL_1;
CVN_NTLDEC_1 = CVNBASE;
INRCVN_NTLDEC_1 = INRCVN_NTL_1;
INRCVN_NTLADEC_1 = INRCVN_NTL_1_A;
INR_CVN_NTL_1=INRCVN_NTL_1;
GLO_NTLDEC_1 = GLOBASE;
INRGLO_NTLDEC_1 = INRGLO_NTL_1;
INRGLO_NTLADEC_1 = INRGLO_NTL_1_A;
INR_GLO_NTL_1=INRGLO_NTL_1;
regle corrective base_ABAT99 130222:
application :  iliad ;
DO_INR_IR99 = DO_INR_IR992;
DO_INR_CSG99 = DO_INR_CSG992;
DO_INR_PRS99 = DO_INR_PRS992;
DO_INR_CRDS99 = DO_INR_CRDS992;
DO_INR_CDIS99 = DO_INR_CDIS992;
DO_INR_TAXA99 = DO_INR_TAXA992;
DO_INR_CHR99 = DO_INR_CHR992;
DO_INR_PCAP99 = DO_INR_PCAP992;
DO_INR_RSE199 = DO_INR_RSE1992;
DO_INR_RSE299 = DO_INR_RSE2992;
DO_INR_RSE399 = DO_INR_RSE3992;
DO_INR_RSE499 = DO_INR_RSE4992;
DO_INR_RSE599 = DO_INR_RSE5992;
DO_INR_LOY99 = DO_INR_LOY992;
DO_INR_CVN99 = DO_INR_CVN992;
DO_INR_GLO99 = DO_INR_GLO992;
IRNIN_TLDEC_199=IRNIN_INR;
CSG_TLDEC_199=CSG;
PRS_TLDEC_199=PRS;
RDS_TLDEC_199=RDSN;
CDIS_TLDEC_199=CDISBASE;
TAXA_TLDEC_199=TAXABASE;
CHR_TLDEC_199=CHRBASE;
PCAP_TLDEC_199=PCAPBASE;
RSE1_TLDEC_199=RSE1BASE;
RSE2_TLDEC_199=RSE2BASE;
RSE3_TLDEC_199=RSE3BASE;
RSE4_TLDEC_199=RSE4BASE;
RSE5_TLDEC_199=RSE5BASE;
LOY_TLDEC_199=LOYBASE;
CVN_TLDEC_199=CVNBASE;
GLO_TLDEC_199=GLOBASE;
regle corrective base_inr_tl 1302:
application :  iliad ;
IRNIN_TLDEC=IRNIN_INR;
INRIR_TLADEC = INRIR_TLACQ;
INRIR_TL_AD=INRIR_TL_A;
INRIR_TLDEC = INRIR_TLA+INRIR_RETDEF*null(INRIR_RETDEF_A);
INR_IR_TL=INRIR_TLACQ* (1-IND_RJLJ);
CSG_TLDEC=CSG;
INRCSG_TLADEC = INRCSG_TLACQ;
INRCSG_TL_AD = INRCSG_TL_A;
INRCSG_TLDEC = INRCSG_TLA + INRCSG_RETDEF * null(INRCSG_RETDEF_A);
INR_CSG_TL=INRCSG_TLACQ* (1-IND_RJLJ);
PRS_TLDEC=PRS;
INRPRS_TLADEC = INRPRS_TLACQ;
INRPRS_TL_AD = INRPRS_TL_A;
INRPRS_TLDEC = INRPRS_TLA + INRPRS_RETDEF * null(INRPRS_RETDEF_A);
INR_PS_TL=INRPRS_TLACQ* (1-IND_RJLJ);
RDS_TLDEC=RDSN;
INRCRDS_TLADEC = INRCRDS_TLACQ;
INRCRDS_TL_AD = INRCRDS_TL_A;
INRCRDS_TLDEC = INRCRDS_TLA + INRCRDS_RETDEF * null(INRCRDS_RETDEF_A);
INR_CRDS_TL=INRCRDS_TLACQ* (1-IND_RJLJ);
CDIS_TLDEC=CDISBASE;
INRCDIS_TLADEC = INRCDIS_TLACQ;
INRCDIS_TL_AD = INRCDIS_TL_A;
INRCDIS_TLDEC = INRCDIS_TLA + INRCDIS_RETDEF * null(INRCDIS_RETDEF_A);
INR_CDIS_TL=INRCDIS_TLACQ* (1-IND_RJLJ);
TAXA_TLDEC=TAXABASE;
INRTAXA_TLADEC = INRTAXA_TLACQ;
INRTAXA_TL_AD = INRTAXA_TL_A;
INRTAXA_TLDEC = INRTAXA_TLA + INRTAXA_RETDEF * null(INRTAXA_RETDEF_A);
INR_TAXAGA_TL=INRTAXA_TLACQ * (1-IND_RJLJ);
CHR_TLDEC=CHRBASE;
INRCHR_TLADEC = INRCHR_TLACQ;
INRCHR_TL_AD = INRCHR_TL_A;
INRCHR_TLDEC = INRCHR_TLA + INRCHR_RETDEF * null(INRCHR_RETDEF_A);
INR_CHR_TL=INRCHR_TLACQ * (1-IND_RJLJ);
PCAP_TLDEC=PCAPBASE;
INRPCAP_TLADEC = INRPCAP_TLACQ;
INRPCAP_TL_AD = INRPCAP_TL_A;
INRPCAP_TLDEC = INRPCAP_TLA + INRPCAP_RETDEF * null(INRPCAP_RETDEF_A);
INR_PCAP_TL=INRPCAP_TLACQ * (1-IND_RJLJ);
RSE1_TLDEC=RSE1BASE;
INRRSE1_TLADEC = INRRSE1_TLACQ;
INRRSE1_TL_AD = INRRSE1_TL_A;
INRRSE1_TLDEC = INRRSE1_TLA + INRRSE1_RETDEF * null(INRRSE1_RETDEF_A);
INR_RSE1_TL=INRRSE1_TLACQ * (1-IND_RJLJ);
RSE2_TLDEC=RSE2BASE;
INRRSE2_TLADEC = INRRSE2_TLACQ;
INRRSE2_TL_AD = INRRSE2_TL_A;
INRRSE2_TLDEC = INRRSE2_TLA + INRRSE2_RETDEF * null(INRRSE2_RETDEF_A);
INR_RSE2_TL=INRRSE2_TLACQ * (1-IND_RJLJ);
RSE3_TLDEC=RSE3BASE;
INRRSE3_TLADEC = INRRSE3_TLACQ;
INRRSE3_TL_AD = INRRSE3_TL_A;
INRRSE3_TLDEC = INRRSE3_TLA + INRRSE3_RETDEF * null(INRRSE3_RETDEF_A);
INR_RSE3_TL=INRRSE3_TLACQ * (1-IND_RJLJ);
RSE4_TLDEC=RSE4BASE;
INRRSE4_TLADEC = INRRSE4_TLACQ;
INRRSE4_TL_AD = INRRSE4_TL_A;
INRRSE4_TLDEC = INRRSE4_TLA + INRRSE4_RETDEF * null(INRRSE4_RETDEF_A);
INR_RSE4_TL=INRRSE4_TLACQ * (1-IND_RJLJ);
RSE5_TLDEC=RSE5BASE;
INRRSE5_TLADEC = INRRSE5_TLACQ;
INRRSE5_TL_AD = INRRSE5_TL_A;
INRRSE5_TLDEC = INRRSE5_TLA + INRRSE5_RETDEF * null(INRRSE5_RETDEF_A);
INR_RSE5_TL=INRRSE5_TLACQ * (1-IND_RJLJ);
LOY_TLDEC=LOYBASE;
INRLOY_TLADEC = INRLOY_TLACQ;
INRLOY_TL_AD = INRLOY_TL_A;
INRLOY_TLDEC = INRLOY_TLA + INRLOY_RETDEF * null(INRLOY_RETDEF_A);
INR_LOY_TL=INRLOY_TLACQ * (1-IND_RJLJ);
CVN_TLDEC=CVNBASE;
INRCVN_TLADEC = INRCVN_TLACQ;
INRCVN_TL_AD = INRCVN_TL_A;
INRCVN_TLDEC = INRCVN_TLA + INRCVN_RETDEF * null(INRCVN_RETDEF_A);
INR_CVN_TL=INRCVN_TLACQ * (1-IND_RJLJ);
GLO_TLDEC=GLOBASE;
INRGLO_TLADEC = INRGLO_TLACQ;
INRGLO_TL_AD = INRGLO_TL_A;
INRGLO_TLDEC = INRGLO_TLA + INRGLO_RETDEF * null(INRGLO_RETDEF_A);
INR_GLO_TL=INRGLO_TLACQ * (1-IND_RJLJ);
regle corrective base_inr_tl22 13022:
application :  iliad ;
INRIR_TLADEC_12 = INRIR_TLADEC_1;
INR_IR_TL_1=INRIR_TLACQ_1* (1-IND_RJLJ);
INRCSG_TLADEC_12 = INRCSG_TLADEC_1;
INR_CSG_TL_1=INRCSG_TLACQ_1* (1-IND_RJLJ);
INRPRS_TLADEC_12 = INRPRS_TLADEC_1;
INR_PS_TL_1=INRPRS_TLACQ_1* (1-IND_RJLJ);
INRCRDS_TLADEC_12 = INRCRDS_TLADEC_1;
INR_CRDS_TL_1=INRCRDS_TLACQ_1* (1-IND_RJLJ);
INRCDIS_TLADEC_12 = INRCDIS_TLADEC_1;
INR_CDIS_TL_1=INRCDIS_TLACQ_1* (1-IND_RJLJ);
INRTAXA_TLADEC_12 = INRTAXA_TLADEC_1;
INR_TAXAGA_TL_1=INRTAXA_TLACQ_1 * (1-IND_RJLJ);
INRCHR_TLADEC_12 = INRCHR_TLADEC_1;
INR_CHR_TL_1=INRCHR_TLACQ_1 * (1-IND_RJLJ);
INRPCAP_TLADEC_12 = INRPCAP_TLADEC_1;
INR_PCAP_TL_1=INRPCAP_TLACQ_1 * (1-IND_RJLJ);
INRRSE1_TLADEC_12 = INRRSE1_TLADEC_1;
INR_RSE1_TL_1=INRRSE1_TLACQ_1 * (1-IND_RJLJ);
INRRSE2_TLADEC_12 = INRRSE2_TLADEC_1;
INR_RSE2_TL_1=INRRSE2_TLACQ_1 * (1-IND_RJLJ);
INRRSE3_TLADEC_12 = INRRSE3_TLADEC_1;
INR_RSE3_TL_1=INRRSE3_TLACQ_1 * (1-IND_RJLJ);
INRRSE4_TLADEC_12 = INRRSE4_TLADEC_1;
INR_RSE4_TL_1=INRRSE4_TLACQ_1 * (1-IND_RJLJ);
INRRSE5_TLADEC_12 = INRRSE5_TLADEC_1;
INR_RSE5_TL_1=INRRSE5_TLACQ_1 * (1-IND_RJLJ);
INRLOY_TLADEC_12 = INRLOY_TLADEC_1;
INR_LOY_TL_1=INRLOY_TLACQ_1 * (1-IND_RJLJ);
INRCVN_TLADEC_12 = INRCVN_TLADEC_1;
INR_CVN_TL_1=INRCVN_TLACQ_1 * (1-IND_RJLJ);
INRGLO_TLADEC_12 = INRGLO_TLADEC_1;
INR_GLO_TL_1=INRGLO_TLACQ_1 * (1-IND_RJLJ);
RETIR2 = INCIR_NET2;
RETPS2 = INCPS_NET2;
RETCS2 = INCCS_NET2;
RETCDIS2 = INCCDIS_NET2;
RETRD2 = INCRD_NET2;
RETTAXA2 = INCTAXA_NET2;
RETCHR2 = INCCHR_NET2;
RETPCAP2 = INCPCAP_NET2;
RETRSE12 = INCRSE1_NET2;
RETRSE22 = INCRSE2_NET2;
RETRSE32 = INCRSE3_NET2;
RETRSE42 = INCRSE4_NET2;
RETRSE52 = INCRSE5_NET2;
RETLOY2 = INCLOY_NET2;
RETCVN2 = INCCVN_NET2;
RETGLOA2 = INCGLO_NET2;
RETIR22 = (INRIR_NTLDEC_1+INRIR_TLDEC_1+ INRIR_NTL_1_A+INRIR_TL_1_A) * positif(RETIR2);
RETCS22 = (INRCSG_NTLDEC_1+INRCSG_TLDEC_1+ INRCSG_NTL_1_A+INRCSG_TL_1_A) * positif(RETCS2);
RETRD22 = (INRCRDS_NTLDEC_1+INRCRDS_TLDEC_1+ INRCRDS_NTL_1_A+INRCRDS_TL_1_A) * positif(RETRD2);
RETPS22 = (INRPRS_NTLDEC_1+INRPRS_TLDEC_1+ INRPRS_NTL_1_A+INRPRS_TL_1_A) * positif(RETPS2);
RETCDIS22 = (INRCDIS_NTLDEC_1+INRCDIS_TLDEC_1+ INRCDIS_NTL_1_A+INRCDIS_TL_1_A) * positif(RETCDIS2);
RETTAXA22 = (INRTAXA_NTLDEC_1+INRTAXA_TLDEC_1+ INRTAXA_NTL_1_A+INRTAXA_TL_1_A) * positif(RETTAXA2);
RETCHR22 = (INRCHR_NTLDEC_1+INRCHR_TLDEC_1+ INRCHR_NTL_1_A+INRCHR_TL_1_A) * positif(RETCHR2);
RETPCAP22 = (INRPCAP_NTLDEC_1+INRPCAP_TLDEC_1+ INRPCAP_NTL_1_A+INRPCAP_TL_1_A) * positif(RETPCAP2);
RETRSE122 = (INRRSE1_NTLDEC_1+INRRSE1_TLDEC_1+ INRRSE1_NTL_1_A+INRRSE1_TL_1_A) * positif(RETRSE12);
RETRSE222 = (INRRSE2_NTLDEC_1+INRRSE2_TLDEC_1+ INRRSE2_NTL_1_A+INRRSE2_TL_1_A) * positif(RETRSE22);
RETRSE322 = (INRRSE3_NTLDEC_1+INRRSE3_TLDEC_1+ INRRSE3_NTL_1_A+INRRSE3_TL_1_A) * positif(RETRSE32);
RETRSE422 = (INRRSE4_NTLDEC_1+INRRSE4_TLDEC_1+ INRRSE4_NTL_1_A+INRRSE4_TL_1_A) * positif(RETRSE42);
RETRSE522 = (INRRSE5_NTLDEC_1+INRRSE5_TLDEC_1+ INRRSE5_NTL_1_A+INRRSE5_TL_1_A) * positif(RETRSE52);
RETLOY22 = (INRLOY_NTLDEC_1+INRLOY_TLDEC_1+ INRLOY_NTL_1_A+INRLOY_TL_1_A) * positif(RETLOY2);
RETCVN22 = (INRCVN_NTLDEC_1+INRCVN_TLDEC_1+ INRCVN_NTL_1_A+INRCVN_TL_1_A) * positif(RETCVN2);
RETGLOA22 = (INRGLO_NTLDEC_1+INRGLO_TLDEC_1+ INRGLO_NTL_1_A+INRGLO_TL_1_A) * positif(RETGLOA2);
INR_NTL_GLOB_IR = INR_NTL_GLOB_IR2;
INR_TL_GLOB_IR = INR_TL_GLOB_IR2;
INR_TOT_GLOB_IR = INR_TOT_GLOB_IR2;
DO_INR_IR = DO_INR_IR2;
DO_IR = DO_IR2;
SUP_IR_MAX = SUP_IR_MAX2;
INCIR_TL = INCIR_TL2;
INCIR_TL_1 = INCIR_TL_12;
INRIR_NET = INRIR_NET2;
INRIR_NET_1 = INRIR_NET_12;
INIR_TL = INIR_TL2;
INIR_TL_1 = INIR_TL_12;
INCIR_NET = INCIR_NET2;
IR_PRI= IR_PRI2;
IR_ANT= IR_ANT2;
IR_NTL= IR_NTL2;
IR_TL=IR_TL2;
IR_NTL_1=IR_NTL_12;
IR_TL_1=IR_TL_12;
IR_REF_INR=IRNIN_REF;
INR_NTL_GLOB_CSG = INR_NTL_GLOB_CSG2;
INR_TL_GLOB_CSG = INR_TL_GLOB_CSG2;
INR_TOT_GLOB_CSG = INR_TOT_GLOB_CSG2;
DO_INR_CSG = DO_INR_CSG2;
DO_CSG = DO_CSG2;
SUP_CSG_MAX = SUP_CSG_MAX2;
INRCSG_NET = INRCSG_NET2;
INRCSG_NET_1 = INRCSG_NET_12;
INCCS_NET = INCCS_NET2;
INCS_TL = INCS_TL2;
INCS_TL_1 = INCS_TL_12;
INCCS_TL = INCCS_TL2;
INCCS_TL_1 = INCCS_TL_12;
CSG_PRI=CSG_PRI2;
CSG_ANT=CSG_ANT2;
CSG_NTL=CSG_NTL2;
CSG_NTL_1=CSG_NTL_12;
CSG_TL=CSG_TL2;
CSG_TL_1=CSG_TL_12;
CSG_REF_INR=CSG_REF;
INR_NTL_GLOB_CRDS = INR_NTL_GLOB_CRDS2;
INR_TL_GLOB_CRDS = INR_TL_GLOB_CRDS2;
INR_TOT_GLOB_CRDS = INR_TOT_GLOB_CRDS2;
DO_INR_CRDS = DO_INR_CRDS2;
DO_CRDS = DO_CRDS2;
SUP_CRDS_MAX = SUP_CRDS_MAX2;
INCRD_TL = INCRD_TL2;
INCRD_TL_1 = INCRD_TL_12;
INRRDS_NET = INRRDS_NET2;
INRRDS_NET_1 = INRRDS_NET_12;
INRD_TL = INRD_TL2;
INRD_TL_1 = INRD_TL_12;
INCRD_NET = INCRD_NET2;
CRDS_PRI=CRDS_PRI2;
CRDS_ANT=CRDS_ANT2;
CRDS_NTL=CRDS_NTL2;
CRDS_NTL_1=CRDS_NTL_12;
CRDS_TL=CRDS_TL2;
CRDS_TL_1=CRDS_TL_12;
CRDS_REF_INR=RDS_REF;
INR_NTL_GLOB_PS = INR_NTL_GLOB_PS2;
INR_TL_GLOB_PS = INR_TL_GLOB_PS2;
INR_TOT_GLOB_PS = INR_TOT_GLOB_PS2;
DO_INR_PS = DO_INR_PS2;
DO_PS = DO_PS2;
SUP_PS_MAX = SUP_PS_MAX2;
INCPS_TL = INCPS_TL2;
INCPS_TL_1 = INCPS_TL_12;
INRPRS_NET = INRPRS_NET2; 
INRPRS_NET_1 = INRPRS_NET_12; 
INPS_TL = INPS_TL2;
INPS_TL_1 = INPS_TL_12;
INCPS_NET = INCPS_NET2;
PS_PRI= PS_PRI2;
PS_ANT=PS_ANT2;
PS_NTL=PS_NTL2;
PS_NTL_1=PS_NTL_12;
PS_TL=PS_TL2;
PS_TL_1=PS_TL_12;
PS_REF_INR=PRS_REF;
INR_NTL_GLOB_CDIS = INR_NTL_GLOB_CDIS2;
INR_TL_GLOB_CDIS = INR_TL_GLOB_CDIS2;
INR_TOT_GLOB_CDIS = INR_TOT_GLOB_CDIS2;
DO_INR_CDIS = DO_INR_CDIS2;
DO_CDIS = DO_CDIS2;
SUP_CDIS_MAX = SUP_CDIS_MAX2;
INCCDIS_TL = INCCDIS_TL2;
INCCDIS_TL_1 = INCCDIS_TL_12;
INRCDIS_NET = INRCDIS_NET2; 
INRCDIS_NET_1 = INRCDIS_NET_12; 
INCDIS_TL = INCDIS_TL2;
INCDIS_TL_1 = INCDIS_TL_12;
INCCDIS_NET = INCCDIS_NET2;
CDIS_PRI= CDIS_PRI2;
CDIS_ANT=CDIS_ANT2;
CDIS_NTL=CDIS_NTL2;
CDIS_NTL_1=CDIS_NTL_12;
CDIS_TL=CDIS_TL2;
CDIS_TL_1=CDIS_TL_12;
CDIS_REF_INR=CDIS_REF;
INR_NTL_GLOB_TAXA = INR_NTL_GLOB_TAXA2;
INR_TL_GLOB_TAXA = INR_TL_GLOB_TAXA2;
INR_TOT_GLOB_TAXA = INR_TOT_GLOB_TAXA2;
DO_INR_TAXAGA = DO_INR_TAXA2;
DO_TAXA = DO_TAXA2;
SUP_TAXA_MAX = SUP_TAXA_MAX2;
INCTAXA_TL = INCTAXA_TL2;
INCTAXA_TL_1 = INCTAXA_TL_12;
INTAXA_TL = INTAXA_TL2;
INTAXA_TL_1 = INTAXA_TL_12;
INRTAXA_NET = INRTAXA_NET2;
INRTAXA_NET_1 = INRTAXA_NET_12;
INCTAXA_NET = INCTAXA_NET2;
TAXAGA_PRI=TAXAGA_PRI2;
TAXAGA_ANT=TAXAGA_ANT2;
TAXAGA_NTL=TAXAGA_NTL2;
TAXAGA_NTL_1=TAXAGA_NTL_12;
TAXA_TL=TAXAGA_TL2;
TAXAGA_TL_1=TAXAGA_TL_12;
TAXA_REF_INR=TAXA_REF;
INR_NTL_GLOB_CHR = INR_NTL_GLOB_CHR2;
INR_TL_GLOB_CHR = INR_TL_GLOB_CHR2;
INR_TOT_GLOB_CHR = INR_TOT_GLOB_CHR2;
DO_INR_CHR = DO_INR_CHR2;
DO_CHR = DO_CHR2;
SUP_CHR_MAX = SUP_CHR_MAX2;
INCCHR_TL = INCCHR_TL2;
INCCHR_TL_1 = INCCHR_TL_12;
INCHR_TL = INCHR_TL2;
INCHR_TL_1 = INCHR_TL_12;
INRCHR_NET = INRCHR_NET2;
INRCHR_NET_1 = INRCHR_NET_12;
INCCHR_NET = INCCHR_NET2;
CHR_PRI=CHR_PRI2;
CHR_ANT=CHR_ANT2;
CHR_NTL=CHR_NTL2;
CHR_NTL_1=CHR_NTL_12;
CHREV_TL=CHR_TL2;
CHR_TL_1=CHR_TL_12;
CHR_REF_INR=CHR_REF;
INR_NTL_GLOB_PCAP = INR_NTL_GLOB_PCAP2;
INR_TL_GLOB_PCAP = INR_TL_GLOB_PCAP2;
INR_TOT_GLOB_PCAP = INR_TOT_GLOB_PCAP2;
DO_INR_PCAP = DO_INR_PCAP2;
DO_PCAP = DO_PCAP2;
SUP_PCAP_MAX = SUP_PCAP_MAX2;
INCPCAP_TL = INCPCAP_TL2;
INCPCAP_TL_1 = INCPCAP_TL_12;
INPCAP_TL = INPCAP_TL2;
INPCAP_TL_1 = INPCAP_TL_12;
INRPCAP_NET = INRPCAP_NET2;
INRPCAP_NET_1 = INRPCAP_NET_12;
INCPCAP_NET = INCPCAP_NET2;
PCAP_PRI=PCAP_PRI2;
PCAP_ANT=PCAP_ANT2;
PCAP_NTL=PCAP_NTL2;
PCAP_NTL_1=PCAP_NTL_12;
PPCAP_TL=PCAP_TL2;
PCAP_TL_1=PCAP_TL_12;
PCAP_REF_INR=PCAP_REF;
INR_NTL_GLOB_RSE1 = INR_NTL_GLOB_RSE12;
INR_TL_GLOB_RSE1 = INR_TL_GLOB_RSE12;
INR_TOT_GLOB_RSE1 = INR_TOT_GLOB_RSE12;
DO_INR_RSE1 = DO_INR_RSE12;
DO_RSE1 = DO_RSE12;
SUP_RSE1_MAX = SUP_RSE1_MAX2;
INCRSE1_TL = INCRSE1_TL2;
INCRSE1_TL_1 = INCRSE1_TL_12;
INRSE1_TL = INRSE1_TL2;
INRSE1_TL_1 = INRSE1_TL_12;
INRRSE1_NET = INRRSE1_NET2;
INRRSE1_NET_1 = INRRSE1_NET_12;
INCRSE1_NET = INCRSE1_NET2;
RSE1_PRI=RSE1_PRI2;
RSE1_ANT=RSE1_ANT2;
RSE1_NTL=RSE1_NTL2;
RSE1_NTL_1=RSE1_NTL_12;
RSE1_TL=RSE1_TL2;
RSE1_TL_1=RSE1_TL_12;
RSE1_REF_INR=RSE1_REF;
INR_NTL_GLOB_RSE2 = INR_NTL_GLOB_RSE22;
INR_TL_GLOB_RSE2 = INR_TL_GLOB_RSE22;
INR_TOT_GLOB_RSE2 = INR_TOT_GLOB_RSE22;
DO_INR_RSE2 = DO_INR_RSE22;
DO_RSE2 = DO_RSE22;
SUP_RSE2_MAX = SUP_RSE2_MAX2;
INCRSE2_TL = INCRSE2_TL2;
INCRSE2_TL_1 = INCRSE2_TL_12;
INRSE2_TL = INRSE2_TL2;
INRSE2_TL_1 = INRSE2_TL_12;
INRRSE2_NET = INRRSE2_NET2;
INRRSE2_NET_1 = INRRSE2_NET_12;
INCRSE2_NET = INCRSE2_NET2;
RSE2_PRI=RSE2_PRI2;
RSE2_ANT=RSE2_ANT2;
RSE2_NTL=RSE2_NTL2;
RSE2_NTL_1=RSE2_NTL_12;
RSE2_TL=RSE2_TL2;
RSE2_TL_1=RSE2_TL_12;
RSE2_REF_INR=RSE2_REF;
INR_NTL_GLOB_RSE3 = INR_NTL_GLOB_RSE32;
INR_TL_GLOB_RSE3 = INR_TL_GLOB_RSE32;
INR_TOT_GLOB_RSE3 = INR_TOT_GLOB_RSE32;
DO_INR_RSE3 = DO_INR_RSE32;
DO_RSE3 = DO_RSE32;
SUP_RSE3_MAX = SUP_RSE3_MAX2;
INCRSE3_TL = INCRSE3_TL2;
INCRSE3_TL_1 = INCRSE3_TL_12;
INRSE3_TL = INRSE3_TL2;
INRSE3_TL_1 = INRSE3_TL_12;
INRRSE3_NET = INRRSE3_NET2;
INRRSE3_NET_1 = INRRSE3_NET_12;
INCRSE3_NET = INCRSE3_NET2;
RSE3_PRI=RSE3_PRI2;
RSE3_ANT=RSE3_ANT2;
RSE3_NTL=RSE3_NTL2;
RSE3_NTL_1=RSE3_NTL_12;
RSE3_TL=RSE3_TL2;
RSE3_TL_1=RSE3_TL_12;
RSE3_REF_INR=RSE3_REF;
INR_NTL_GLOB_RSE4 = INR_NTL_GLOB_RSE42;
INR_TL_GLOB_RSE4 = INR_TL_GLOB_RSE42;
INR_TOT_GLOB_RSE4 = INR_TOT_GLOB_RSE42;
DO_INR_RSE4 = DO_INR_RSE42;
DO_RSE4 = DO_RSE42;
SUP_RSE4_MAX = SUP_RSE4_MAX2;
INCRSE4_TL = INCRSE4_TL2;
INCRSE4_TL_1 = INCRSE4_TL_12;
INRSE4_TL = INRSE4_TL2;
INRSE4_TL_1 = INRSE4_TL_12;
INRRSE4_NET = INRRSE4_NET2;
INRRSE4_NET_1 = INRRSE4_NET_12;
INCRSE4_NET = INCRSE4_NET2;
RSE4_PRI=RSE4_PRI2;
RSE4_ANT=RSE4_ANT2;
RSE4_NTL=RSE4_NTL2;
RSE4_NTL_1=RSE4_NTL_12;
RSE4_TL=RSE4_TL2;
RSE4_TL_1=RSE4_TL_12;
RSE4_REF_INR=RSE4_REF;
INR_NTL_GLOB_RSE5 = INR_NTL_GLOB_RSE52;
INR_TL_GLOB_RSE5 = INR_TL_GLOB_RSE52;
INR_TOT_GLOB_RSE5 = INR_TOT_GLOB_RSE52;
DO_INR_RSE5 = DO_INR_RSE52;
DO_RSE5 = DO_RSE52;
SUP_RSE5_MAX = SUP_RSE5_MAX2;
INCRSE5_TL = INCRSE5_TL2;
INCRSE5_TL_1 = INCRSE5_TL_12;
INRSE5_TL = INRSE5_TL2;
INRSE5_TL_1 = INRSE5_TL_12;
INRRSE5_NET = INRRSE5_NET2;
INRRSE5_NET_1 = INRRSE5_NET_12;
INCRSE5_NET = INCRSE5_NET2;
RSE5_PRI=RSE5_PRI2;
RSE5_ANT=RSE5_ANT2;
RSE5_NTL=RSE5_NTL2;
RSE5_NTL_1=RSE5_NTL_12;
RSE5_TL=RSE5_TL2;
RSE5_TL_1=RSE5_TL_12;
RSE5_REF_INR=RSE5_REF;
INR_NTL_GLOB_LOY = INR_NTL_GLOB_LOY2;
INR_TL_GLOB_LOY = INR_TL_GLOB_LOY2;
INR_TOT_GLOB_LOY = INR_TOT_GLOB_LOY2;
DO_INR_LOY = DO_INR_LOY2;
DO_LOY = DO_LOY2;
SUP_LOY_MAX = SUP_LOY_MAX2;
INCLOY_TL = INCLOY_TL2;
INCLOY_TL_1 = INCLOY_TL_12;
INLOY_TL = INLOY_TL2;
INLOY_TL_1 = INLOY_TL_12;
INRLOY_NET = INRLOY_NET2;
INRLOY_NET_1 = INRLOY_NET_12;
INCLOY_NET = INCLOY_NET2;
LOY_PRI=LOY_PRI2;
LOY_ANT=LOY_ANT2;
LOY_NTL=LOY_NTL2;
LOY_NTL_1=LOY_NTL_12;
LOY_TL=LOY_TL2;
LOY_TL_1=LOY_TL_12;
LOY_REF_INR=LOY_REF;
INR_NTL_GLOB_CVN = INR_NTL_GLOB_CVN2;
INR_TL_GLOB_CVN = INR_TL_GLOB_CVN2;
INR_TOT_GLOB_CVN = INR_TOT_GLOB_CVN2;
DO_INR_CVN = DO_INR_CVN2;
DO_CVN = DO_CVN2;
SUP_CVN_MAX = SUP_CVN_MAX2;
INCCVN_TL = INCCVN_TL2;
INCCVN_TL_1 = INCCVN_TL_12;
INCVN_TL = INCVN_TL2;
INCVN_TL_1 = INCVN_TL_12;
INRCVN_NET = INRCVN_NET2;
INRCVN_NET_1 = INRCVN_NET_12;
INCCVN_NET = INCCVN_NET2;
CVN_PRI=CVN_PRI2;
CVN_ANT=CVN_ANT2;
CVN_NTL=CVN_NTL2;
CVN_NTL_1=CVN_NTL_12;
CVN_TL=CVN_TL2;
CVN_TL_1=CVN_TL_12;
CVN_REF_INR=CVN_REF;
INR_NTL_GLOB_GLO = INR_NTL_GLOB_GLO2;
INR_TL_GLOB_GLO = INR_TL_GLOB_GLO2;
INR_TOT_GLOB_GLO = INR_TOT_GLOB_GLO2;
DO_INR_GLO = DO_INR_GLO2;
DO_GLO = DO_GLO2;
SUP_GLO_MAX = SUP_GLO_MAX2;
INCGLO_TL = INCGLO_TL2;
INCGLO_TL_1 = INCGLO_TL_12;
INGLO_TL = INGLO_TL2;
INGLO_TL_1 = INGLO_TL_12;
INRGLO_NET = INRGLO_NET2;
INRGLO_NET_1 = INRGLO_NET_12;
INCGLOA_NET = INCGLO_NET2;
GLO_PRI=GLO_PRI2;
GLO_ANT=GLO_ANT2;
GLO_NTL=GLO_NTL2;
GLO_NTL_1=GLO_NTL_12;
GLO_TL=GLO_TL2;
GLO_TL_1=GLO_TL_12;
GLO_REF_INR=GLO_REF;
TINR = TINR2;
TINR_1=TINR_12;
NBREMOIS2=NBREMOIS222;
NBREMOISCS2=NBREMOISCS222;
DO_INR_IR_TL = arr(INRIR_TL_A * DO