#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2019]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2019 
#au titre des revenus perçus en 2018. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************

# ======================================================================
# Chapitre 7 : Revenu imposable et charges
# ======================================================================

regle 701000:
application : bareme , iliad ;

RB51 = max( 0, RB01 + TETONEQUO1);
RB55 = max( 0, RB05 + TETONEQUOM1);

regle 701010:
application : bareme , iliad ;

RB01 = (RI1 * (1 - positif(VARIPTEFP + VARIPTEFN +INDTEFF)))
        + (VARIPTEFP + VARIPTEFN * FLAG_PVRO 
	              + (PVIMPOS*positif(COD2OP) * positif(VARIPTEFP)+ (VARIPTEFN+PVIMPOS*positif(COD2OP))*positif(VARIPTEFN-PVIMPOS*positif(COD2OP)) +(PVIMPOS*positif(COD2OP)-VARIPTEFN)*positif(VARIPTEFN)*(1-positif(VARIPTEFN-PVIMPOS*positif(COD2OP)))) * null(1-FLAG_EXIT)
                      +((PVIMPOS*positif(COD2OP)+PVSURSI)*positif(VARIPTEFP) + (VARIPTEFN+PVSURSI*positif(COD2OP))*positif(VARIPTEFN-PVSURSI*positif(COD2OP)) +(PVSURSI*positif(COD2OP)-VARIPTEFN)*positif(VARIPTEFN)*(1-positif(VARIPTEFN-PVSURSI*positif(COD2OP)))) * null(2 -FLAG_EXIT)
                                                          + RFROBOR * V_INDTEO * present(IPTEFP))
    +(TEFFREVTOT+COD3WG * FLAG_PVRO)*(1-positif(VARIPTEFP + (PVIMPOS*positif(COD2OP) * positif(VARIPTEFP)+ (VARIPTEFN+PVIMPOS*positif(COD2OP))*positif(VARIPTEFN-PVIMPOS*positif(COD2OP)) +(PVIMPOS*positif(COD2OP)-VARIPTEFN)*positif(VARIPTEFN)*(1-positif(VARIPTEFN-PVIMPOS*positif(COD2OP)))) * null(1-FLAG_EXIT)
               +((PVIMPOS+PVSURSI*positif(COD2OP))*positif(VARIPTEFP) + (VARIPTEFN+PVSURSI*positif(COD2OP))*positif(VARIPTEFN-PVSURSI*positif(COD2OP)) +(PVSURSI*positif(COD2OP)-VARIPTEFN)*positif(VARIPTEFN)*(1-positif(VARIPTEFN-PVSURSI*positif(COD2OP)))) * null(2 -FLAG_EXIT))) *INDTEFF;

RB04 = IND_TDR ;

regle 701020:
application : iliad , bareme ;

RB05 = VARRMOND ;

RB06 = RE168 + TAX1649 ;

regle 701030:
application : iliad ;

TONEQUO1 = somme(x=1..4:RPQx) + somme(x=V,C,1..4: RPQFx) + somme(x=V,C,1..4: RPQPALIMx) + somme(x=1,2 : RPQRFx)
	 + RPQRCMDC + RPQRCMFU  + RPQRCMCH  + RPQRCMTR  + RPQRCMTS + RPQRCMGO +somme(x=V,C,1..4 : RPQPRRx) + somme(x=V,C,1..4 : RPQPRRZx) 
	 + RPQRVO  + RPQRVO5  + RPQRVO6  + RPQRVO7 + RPQRVOR  + RPQRVO5R  + RPQRVO6R  + RPQRVO7R
	 + somme(x=V,C,1..4 : RPQTSx) + somme(x=V,C,1..4 : RPQTSREMPx)+ RPQRVG + RPQRUA
         + RPQRAF + RPQRBF + RPQRCF + RPQRDF + RPQREF + RPQRFF + RPQRAG + RPQRBG + RPQRCG + RPQRDG + RPQRGG + RPQRFG 
         + RPQRAL + RPQRBL + RPQRCL + RPQRDL + RPQREL + RPQRFL + RPQRAM + RPQRBM + RPQRCM + RPQRDM + RPQREM + RPQRFM
	 + RPQRWB * null(1-FLAG_EXIT) + (RPQRWB+RPQRWA) * null(2 -FLAG_EXIT);
TONEQUOM1 = somme(x=1..4:RPQxM) + somme(x=V,C,1..4: RPQFxM) + somme(x=V,C,1..4: RPQPALIMxM) + somme(x=1,2 : RPQRFxM)
	 + RPQRCMDCM + RPQRCMFUM  + RPQRCMCHM  + RPQRCMTRM  + RPQRCMTSM + RPQRCMGOM +somme(x=V,C,1..4 : RPQPRRxM) +somme(x=V,C,1..4 : RPQPRRZxM)
	 + RPQRVOM  + RPQRVO5M  + RPQRVO6M  + RPQRVO7M + RPQRVORM  + RPQRVO5RM  + RPQRVO6RM  + RPQRVO7RM
	 + somme(x=V,C,1..4 : RPQTSxM) + somme(x=V,C,1..4 : RPQTSREMPxM)+ RPQRVGM + RPQRUAM
         + RPQRAFM +  RPQRBFM +  RPQRCFM +  RPQRDFM +  RPQREFM +  RPQRFFM +  RPQRAGM +  RPQRBGM +  RPQRCGM +  RPQRDGM +  RPQRGGM +  RPQRFGM 
         + RPQRALM + RPQRBLM + RPQRCLM + RPQRDLM + RPQRELM + RPQRFLM + RPQRAMM + RPQRBMM + RPQRCMM + RPQRDMM + RPQREMM + RPQRFMM
	 + RPQRWBM * null(1-FLAG_EXIT) + (RPQRWBM+RPQRWAM) * null(2 -FLAG_EXIT);
TONEQUO1T = somme(x=1..4:TRPQx) + somme(x=V,C,1..4: TRPQFx) + somme(x=V,C,1..4: TRPQPALIMx) + somme(x=1,2 : TRPQRFx)
	 + TRPQRCMDC + TRPQRCMFU  + TRPQRCMCH  + TRPQRCMTR  + TRPQRCMTS + TRPQRCMGO +somme(x=V,C,1..4 : TRPQPRRx) + somme(x=V,C,1..4 : TRPQPRRZx) 
	 + TRPQRVO  + TRPQRVO5  + TRPQRVO6  + TRPQRVO7 + TRPQRVOR  + TRPQRVO5R  + TRPQRVO6R  + TRPQRVO7R
	 + somme(x=V,C,1..4 : TRPQTSx) + somme(x=V,C,1..4 : TRPQTSREMPx)+ TRPQRVG + TRPQRUA
         + TRPQRAF + TRPQRBF + TRPQRCF + TRPQRDF + TRPQREF + TRPQRFF + TRPQRAG + TRPQRBG + TRPQRCG + TRPQRDG + TRPQRGG + TRPQRFG 
         + TRPQRAL + TRPQRBL + TRPQRCL + TRPQRDL + TRPQREL + TRPQRFL + TRPQRAM + TRPQRBM + TRPQRCM + TRPQRDM + TRPQREM + TRPQRFM
	 + TRPQRWB * null(1-FLAG_EXIT) + (TRPQRWB+TRPQRWA) * null(2 -FLAG_EXIT);
TONEQUOM1T = somme(x=1..4:TRPQxM) + somme(x=V,C,1..4: TRPQFxM) + somme(x=V,C,1..4: TRPQPALIMxM) + somme(x=1,2 : TRPQRFxM)
	 + TRPQRCMDCM + TRPQRCMFUM  + TRPQRCMCHM  + TRPQRCMTRM  + TRPQRCMTSM + TRPQRCMGOM +somme(x=V,C,1..4 : TRPQPRRxM) +somme(x=V,C,1..4 : TRPQPRRZxM)
	 + TRPQRVOM  + TRPQRVO5M  + TRPQRVO6M  + TRPQRVO7M + TRPQRVORM  + TRPQRVO5RM  + TRPQRVO6RM  + TRPQRVO7RM
	 + somme(x=V,C,1..4 : TRPQTSxM) + somme(x=V,C,1..4 : TRPQTSREMPxM)+ TRPQRVGM + TRPQRUAM
         + TRPQRAFM + TRPQRBFM + TRPQRCFM + TRPQRDFM + TRPQREFM + TRPQRFFM + TRPQRAGM + TRPQRBGM + TRPQRCGM + TRPQRDGM + TRPQRGGM + TRPQRFGM
         + TRPQRALM + TRPQRBLM + TRPQRCLM + TRPQRDLM + TRPQRELM + TRPQRFLM + TRPQRAMM + TRPQRBMM + TRPQRCMM + TRPQRDMM + TRPQREMM + TRPQRFMM
	 + TRPQRWBM * null(1-FLAG_EXIT) + (TRPQRWBM+TRPQRWAM) * null(2 -FLAG_EXIT);

TETONEQUO1 = TONEQUO1 * (1-positif(INDTEFF)) + TONEQUO1T * positif(INDTEFF) ;
TETONEQUOM1 = TONEQUOM1 * (1-positif(INDTEFF)) + TONEQUOM1T * positif(INDTEFF) ;
regle 701400:
application : iliad ;
RASTONEQUO1 = RASRPQ4 + somme(x=V,C,1..4: RASRPQFx) + somme(x=V,C,1..4: RASRPQPALIMx) + somme(x=1,2 : RASRPQRFx)
	 + RASRPQRCMDC + RASRPQRCMFU  + RASRPQRCMCH  + RASRPQRCMTR  + RASRPQRCMTS + RASRPQRCMGO +somme(x=V,C,1..4: RASRPQPRRx) 
	 + somme(x=V,C,1..4: RASRPQPRRZx)+ RASRPQRVO  + RASRPQRVO5  + RASRPQRVO6  + RASRPQRVO7 + RASRPQRVOR  + RASRPQRVO5R  + RASRPQRVO6R  + RASRPQRVO7R
	 + somme(x=V,C,1..4: RASRPQTSx) + somme(x=V,C,1..4: RASRPQTSREMPx)+ RASRPQRVG + RASRPQRUA + RASRPQRWB * null(1-FLAG_EXIT) + (RASRPQRWB+RASRPQRWA) * null(2 -FLAG_EXIT)
         + RASRPQRAF + RASRPQRBF + RASRPQRAG + RASRPQRBG + RASRPQRAL + RASRPQRBL + RASRPQRAM + RASRPQRBM ;
RASTONEQUO1T = TRASRPQ4 + somme(x=V,C,1..4: TRASRPQFx) + somme(x=V,C,1..4: TRASRPQPALIMx) + somme(x=1,2 : TRASRPQRFx)
	 + TRASRPQRCMDC + TRASRPQRCMFU  + TRASRPQRCMCH  + TRASRPQRCMTR  + TRASRPQRCMTS + TRASRPQRCMGO +somme(x=V,C,1..4: TRASRPQPRRx) 
	 + somme(x=V,C,1..4: TRASRPQPRRZx)+ TRASRPQRVO  + TRASRPQRVO5  + TRASRPQRVO6  + TRASRPQRVO7 + TRASRPQRVOR  + TRASRPQRVO5R  + TRASRPQRVO6R  + TRASRPQRVO7R
	 + somme(x=V,C,1..4: TRASRPQTSx) + somme(x=V,C,1..4: TRASRPQTSREMPx)+ TRASRPQRVG + TRASRPQRUA + TRASRPQRWB * null(1-FLAG_EXIT) + (TRASRPQRWB+TRASRPQRWA) * null(2 -FLAG_EXIT)
         + TRASRPQRAF + TRASRPQRBF + TRASRPQRAG + TRASRPQRBG + TRASRPQRAL + TRASRPQRBL + TRASRPQRAM + TRASRPQRBM ;
regle 701410:
application : iliad ;
RASTONEQUO1V = TERASRPQ4V + TERASRPQFV + TERASRPQPALIMV + somme(x=1,2 : TERASRPQRFx)
	 + TERASRPQRCMDC + TERASRPQRCMFU  + TERASRPQRCMCH  + TERASRPQRCMTR  + TERASRPQRCMTS + TERASRPQRCMGO + TERASRPQPRRV 
	 + TERASRPQPRRZV+ TERASRPQRVO  + TERASRPQRVO5  + TERASRPQRVO6  + TERASRPQRVO7 + TERASRPQRVOR  + TERASRPQRVO5R  + TERASRPQRVO6R  + TERASRPQRVO7R
	 + TERASRPQTSV + TERASRPQTSREMPV+ TERASRPQRVG  + TERASRPQRUA + TERASRPQRWB * null(1-FLAG_EXIT) + (TERASRPQRWB+TERASRPQRWA) * null(2 -FLAG_EXIT)
	 + TERASRPQRAF + TERASRPQRAG + TERASRPQRAL + TERASRPQRAM
	 + TERASRPQF1+ TERASRPQF2+ TERASRPQF3+ TERASRPQF4+ TERASRPQPALIM1+ TERASRPQPALIM2+ TERASRPQPALIM3+ TERASRPQPALIM4+ TERASRPQPRR1
	 + TERASRPQPRR2+ TERASRPQPRR3+ TERASRPQPRR4+ TERASRPQPRRZ1+ TERASRPQPRRZ2+ TERASRPQPRRZ3+ TERASRPQPRRZ4+ TERASRPQTS1+ TERASRPQTS2
	 + TERASRPQTS3+ TERASRPQTS4+ TERASRPQRCF+ TERASRPQRDF+ TERASRPQREF+ TERASRPQRFF+ TERASRPQRCG+ TERASRPQRDG+ TERASRPQRGG+ TERASRPQRFG
	 + TERASRPQRCL+ TERASRPQRDL+ TERASRPQREL+ TERASRPQRFL+ TERASRPQRCM+ TERASRPQRDM+ TERASRPQREM+ TERASRPQRFM
	 + TERASRPQTSREMP1 + TERASRPQTSREMP2 + TERASRPQTSREMP3 + TERASRPQTSREMP4+ TERASRPQ4P;

regle 701420:
application : iliad ;
RASTONEQUO1C = TERASRPQ4C + TERASRPQFC + TERASRPQPALIMC + somme(x=1,2 : TERASRPQRFx)
	 + TERASRPQRCMDC + TERASRPQRCMFU  + TERASRPQRCMCH  + TERASRPQRCMTR  + TERASRPQRCMTS + TERASRPQRCMGO + TERASRPQPRRC 
	 + TERASRPQPRRZC+ TERASRPQRVO  + TERASRPQRVO5  + TERASRPQRVO6  + TERASRPQRVO7 + TERASRPQRVOR  + TERASRPQRVO5R  + TERASRPQRVO6R  + TERASRPQRVO7R
	 + TERASRPQTSC + TERASRPQTSREMPC+ TERASRPQRVG  + TERASRPQRUA + TERASRPQRWB * null(1-FLAG_EXIT) + (TERASRPQRWB+TERASRPQRWA) * null(2 -FLAG_EXIT)
	 + TERASRPQRBF + TERASRPQRBG + TERASRPQRBL + TERASRPQRBM
	 + TERASRPQF1+ TERASRPQF2+ TERASRPQF3+ TERASRPQF4+ TERASRPQPALIM1+ TERASRPQPALIM2+ TERASRPQPALIM3+ TERASRPQPALIM4+ TERASRPQPRR1
	 + TERASRPQPRR2+ TERASRPQPRR3+ TERASRPQPRR4+ TERASRPQPRRZ1+ TERASRPQPRRZ2+ TERASRPQPRRZ3+ TERASRPQPRRZ4+ TERASRPQTS1+ TERASRPQTS2
	 + TERASRPQTS3+ TERASRPQTS4+ TERASRPQRCF+ TERASRPQRDF+ TERASRPQREF+ TERASRPQRFF+ TERASRPQRCG+ TERASRPQRDG+ TERASRPQRGG+ TERASRPQRFG
	 + TERASRPQRCL+ TERASRPQRDL+ TERASRPQREL+ TERASRPQRFL+ TERASRPQRCM+ TERASRPQRDM+ TERASRPQREM+ TERASRPQRFM
	 + TERASRPQTSREMP1 + TERASRPQTSREMP2 + TERASRPQTSREMP3 + TERASRPQTSREMP4 + TERASRPQ4P;

regle 701033:
application : iliad ;
TSNONIMPU = PREM8_11 * min(F10AV+F10AC+F10AP,max(0,min((-1) * TSPRTP2,(-1) * TSPRT1731))) / (FRNV+FRNC+FRN1+FRN2+FRN3+FRN4) + 0;
regle 701035:
application : iliad ;
REV4_1731 = max(0,PREM8_11*((4BACREV+4BACREC+4BACREP+arr(4BAHREV*MAJREV)+arr(4BAHREC*MAJREV)+arr(4BAHREP*MAJREV)) * (1-positif(SHBA-SEUIL_IMPDEFBA))
          + positif(TSBV -(FRNV - (TSNONIMPU * FRNV))) * positif(TSNONIMPU) * null(IND_10V) *(CODDAJ+CODEAJ- arr((FRNV-(TSNONIMPU * FRNV)) * (CODDAJ+CODEAJ)/TSBV))
          + positif(TSBC -(FRNC - (TSNONIMPU * FRNC))) * positif(TSNONIMPU) * null(IND_10C) *(CODDBJ+CODEBJ- arr((FRNC-(TSNONIMPU * FRNC)) * (CODDBJ+CODEBJ)/TSBC))
                     - (BAQTOTAVIS +GLN4V + GLN4C)));
REV4DAJ_1731 = arr(REV4_1731 * CODDAJ / (CODDAJ+CODEAJ+CODDBJ+CODEBJ));
REV4DBJ_1731 = arr(REV4_1731 * CODDBJ / (CODDAJ+CODEAJ+CODDBJ+CODEBJ));
REV4EAJ_1731 = arr(REV4_1731 * CODEAJ / (CODDAJ+CODEAJ+CODDBJ+CODEBJ));
REV4EBJ_1731 = arr(REV4_1731 * CODEBJ / (CODDAJ+CODEAJ+CODDBJ+CODEBJ));
2REVF_1731 = max(0,(FONCI - min( arr ((RFCG)*(FONCI)/RFCD) , RFCG-RFON))*PREM8_11);
3REVF_1731 = max(0,(REAMOR - min( arr (RFCG*(REAMOR)/RFCD) , RFCG-RFON-min( arr ((RFCG)*(FONCI)/RFCD) , RFCG-RFON)))*PREM8_11);
regle 701037:
application : iliad ;
TSNN2TSV_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSBV -(FRNV - (TSNONIMPU * FRNV))) * null(IND_10V) * (CARTSV - arr((FRNV-(TSNONIMPU * FRNV)) * CARTSV/TSBV))-TSNN2TSV) + 0;
TSNN2TSC_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSBC -(FRNC - (TSNONIMPU * FRNC))) * null(IND_10C) * (CARTSC - arr((FRNC-(TSNONIMPU * FRNC)) * CARTSC/TSBC))-TSNN2TSC) + 0;
TSNN2TS1_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB1 -(FRN1 - (TSNONIMPU * FRN1))) * null(IND_101) * (CARTSP1 - arr((FRN1-(TSNONIMPU * FRN1)) * CARTSP1/TSB1))-TSNN2TS1) + 0;
TSNN2TS2_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB2 -(FRN2 - (TSNONIMPU * FRN2))) * null(IND_102) * (CARTSP2 - arr((FRN2-(TSNONIMPU * FRN2)) * CARTSP2/TSB2))-TSNN2TS2) + 0;
TSNN2TS3_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB3 -(FRN3 - (TSNONIMPU * FRN3))) * null(IND_103) * (CARTSP3 - arr((FRN3-(TSNONIMPU * FRN3)) * CARTSP3/TSB3))-TSNN2TS3) + 0;
TSNN2TS4_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB4 -(FRN4 - (TSNONIMPU * FRN4))) * null(IND_104) * (CARTSP4 - arr((FRN4-(TSNONIMPU * FRN4)) * CARTSP4/TSB4))-TSNN2TS4) + 0;
TSNN2TST_1731 = TSNN2TSV_1731+TSNN2TSC_1731+TSNN2TS1_1731+TSNN2TS2_1731+TSNN2TS3_1731+TSNN2TS4_1731;

TSNN2REMPV_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSBV -(FRNV - (TSNONIMPU * FRNV))) * null(IND_10V) * (REMPLAV - arr((FRNV-(TSNONIMPU * FRNV)) * REMPLAV/TSBV))-TSNN2REMPV) + 0;
TSNN2REMPC_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSBC -(FRNC - (TSNONIMPU * FRNC))) * null(IND_10C) * (REMPLAC - arr((FRNC-(TSNONIMPU * FRNC)) * REMPLAC/TSBC))-TSNN2REMPC) + 0;
TSNN2REMP1_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB1 -(FRN1 - (TSNONIMPU * FRN1))) * null(IND_101) * (REMPLAP1 - arr((FRN1-(TSNONIMPU * FRN1)) * REMPLAP1/TSB1))-TSNN2REMP1) + 0;
TSNN2REMP2_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB2 -(FRN2 - (TSNONIMPU * FRN2))) * null(IND_102) * (REMPLAP2 - arr((FRN2-(TSNONIMPU * FRN2)) * REMPLAP2/TSB2))-TSNN2REMP2) + 0;
TSNN2REMP3_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB3 -(FRN3 - (TSNONIMPU * FRN3))) * null(IND_103) * (REMPLAP3 - arr((FRN3-(TSNONIMPU * FRN3)) * REMPLAP3/TSB3))-TSNN2REMP3) + 0;
TSNN2REMP4_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB4 -(FRN4 - (TSNONIMPU * FRN4))) * null(IND_104) * (REMPLAP4 - arr((FRN4-(TSNONIMPU * FRN4)) * REMPLAP4/TSB4))-TSNN2REMP4) + 0;
TSNN2REMPT_1731 = TSNN2REMPV_1731+TSNN2REMPC_1731+TSNN2REMP1_1731+TSNN2REMP2_1731+TSNN2REMP3_1731+TSNN2REMP4_1731;
PRR2V_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSBV -(FRNV - (TSNONIMPU * FRNV))) * (CARPEV - arr(APRV * CARPEV/EXPRV)-PRR2V) + 0
           + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSBV -(FRNV - (TSNONIMPU * FRNV)))) * positif(TSBV -(FRNV - (TSNONIMPU * FRNV))+ EXPRV - APRV)
                      * (CARPEV-arr((FRNV-(TSNONIMPU * FRNV)-TSBV)* CARPEV/EXPRV)-arr(APRV*CARPEV/EXPRV)-PRR2V));
PRR2C_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSBC -(FRNC - (TSNONIMPU * FRNC))) * (CARPEC - arr(APRC * CARPEC/EXPRC)-PRR2C) + 0
           + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSBC -(FRNC - (TSNONIMPU * FRNC)))) * positif(TSBC -(FRNC - (TSNONIMPU * FRNC))+ EXPRC - APRC)
                      * (CARPEC-arr((FRNC-(TSNONIMPU * FRNC)-TSBC)* CARPEC/EXPRC)-arr(APRC*CARPEC/EXPRC)-PRR2C));
PRR21_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB1 -(FRN1 - (TSNONIMPU * FRN1))) * (CARPEP1 - arr(APR1 * CARPEP1/EXPR1)-PRR21) + 0
           + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB1 -(FRN1 - (TSNONIMPU * FRN1)))) * positif(TSB1 -(FRN1 - (TSNONIMPU * FRN1))+ EXPR1 - APR1)
                      * (CARPEP1-arr((FRN1-(TSNONIMPU * FRN1)-TSB1)* CARPEP1/EXPR1)-arr(APR1*CARPEP1/EXPR1)-PRR21));
PRR22_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB2 -(FRN2 - (TSNONIMPU * FRN2))) * (CARPEP2 - arr(APR2 * CARPEP2/EXPR2)-PRR22) + 0
           + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB2 -(FRN2 - (TSNONIMPU * FRN2)))) * positif(TSB2 -(FRN2 - (TSNONIMPU * FRN2))+ EXPR2 - APR2)
                      * (CARPEP2-arr((FRN2-(TSNONIMPU * FRN2)-TSB2)* CARPEP2/EXPR2)-arr(APR2*CARPEP2/EXPR2)-PRR22));
PRR23_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB3 -(FRN3 - (TSNONIMPU * FRN3))) * (CARPEP3 - arr(APR3 * CARPEP3/EXPR3)-PRR23) + 0
           + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB3 -(FRN3 - (TSNONIMPU * FRN3)))) * positif(TSB3 -(FRN3 - (TSNONIMPU * FRN3))+ EXPR3 - APR3)
                      * (CARPEP3-arr((FRN3-(TSNONIMPU * FRN3)-TSB3)* CARPEP3/EXPR3)-arr(APR3*CARPEP3/EXPR3)-PRR23));
PRR24_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB4 -(FRN4 - (TSNONIMPU * FRN4))) * (CARPEP4 - arr(APR4 * CARPEP4/EXPR4)-PRR24) + 0
           + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB4 -(FRN4 - (TSNONIMPU * FRN4)))) * positif(TSB4 -(FRN4 - (TSNONIMPU * FRN4))+ EXPR4 - APR4)
                      * (CARPEP4-arr((FRN4-(TSNONIMPU * FRN4)-TSB4)* CARPEP4/EXPR4)-arr(APR4*CARPEP4/EXPR4)-PRR24));
PRR2T_1731 = PRR2V_1731+PRR2C_1731+PRR21_1731+PRR22_1731+PRR23_1731+PRR24_1731;
PRR2ZV_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSBV -(FRNV - (TSNONIMPU * FRNV))) * (CODRAZ - arr(APRV * CODRAZ/EXPRV)-PRR2ZV) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSBV -(FRNV - (TSNONIMPU * FRNV)))) * positif(TSBV -(FRNV - (TSNONIMPU * FRNV))+ EXPRV - APRV)
                       * (CODRAZ-arr((FRNV-(TSNONIMPU * FRNV)-TSBV)* CODRAZ/EXPRV)-arr(APRV*CODRAZ/EXPRV)-PRR2ZV));
PRR2ZC_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSBC -(FRNC - (TSNONIMPU * FRNC))) * (CODRBZ - arr(APRC * CODRBZ/EXPRC)-PRR2ZC) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSBC -(FRNC - (TSNONIMPU * FRNC)))) * positif(TSBC -(FRNC - (TSNONIMPU * FRNC))+ EXPRC - APRC)
                       * (CODRBZ-arr((FRNC-(TSNONIMPU * FRNC)-TSBC)* CODRBZ/EXPRC)-arr(APRC*CODRBZ/EXPRC)-PRR2ZC));
PRR2Z1_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB1 -(FRN1 - (TSNONIMPU * FRN1))) * (CODRCZ - arr(APR1 * CODRCZ/EXPR1)-PRR2Z1) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB1 -(FRN1 - (TSNONIMPU * FRN1)))) * positif(TSB1 -(FRN1 - (TSNONIMPU * FRN1))+ EXPR1 - APR1)
                       * (CODRCZ-arr((FRN1-(TSNONIMPU * FRN1)-TSB1)* CODRCZ/EXPR1)-arr(APR1*CODRCZ/EXPR1)-PRR2Z1));
PRR2Z2_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB2 -(FRN2 - (TSNONIMPU * FRN2))) * (CODRDZ - arr(APR2 * CODRDZ/EXPR2)-PRR2Z2) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB2 -(FRN2 - (TSNONIMPU * FRN2)))) * positif(TSB2 -(FRN2 - (TSNONIMPU * FRN2))+ EXPR2 - APR2)
                       * (CODRDZ-arr((FRN2-(TSNONIMPU * FRN2)-TSB2)* CODRDZ/EXPR2)-arr(APR2*CODRDZ/EXPR2)-PRR2Z2));
PRR2Z3_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB3 -(FRN3 - (TSNONIMPU * FRN3))) * (CODREZ - arr(APR3 * CODREZ/EXPR3)-PRR2Z3) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB3 -(FRN3 - (TSNONIMPU * FRN3)))) * positif(TSB3 -(FRN3 - (TSNONIMPU * FRN3))+ EXPR3 - APR3)
                       * (CODREZ-arr((FRN3-(TSNONIMPU * FRN3)-TSB3)* CODREZ/EXPR3)-arr(APR3*CODREZ/EXPR3)-PRR2Z3));
PRR2Z4_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB4 -(FRN4 - (TSNONIMPU * FRN4))) * (CODRFZ - arr(APR4 * CODRFZ/EXPR4)-PRR2Z4) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB4 -(FRN4 - (TSNONIMPU * FRN4)))) * positif(TSB4 -(FRN4 - (TSNONIMPU * FRN4))+ EXPR4 - APR4)
                       * (CODRFZ-arr((FRN4-(TSNONIMPU * FRN4)-TSB4)* CODRFZ/EXPR4)-arr(APR4*CODRFZ/EXPR4)-PRR2Z4));
PRR2ZT_1731 = PRR2ZV_1731+PRR2ZC_1731+PRR2Z1_1731+PRR2Z2_1731+PRR2Z3_1731+PRR2Z4_1731;

PENALIMV_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSBV -(FRNV - (TSNONIMPU * FRNV))) * (PENSALV - arr(APRV * PENSALV/EXPRV)-PENALIMV) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSBV -(FRNV - (TSNONIMPU * FRNV)))) * positif(TSBV -(FRNV - (TSNONIMPU * FRNV))+ EXPRV - APRV)
                       * (PENSALV-arr((FRNV-(TSNONIMPU * FRNV)-TSBV)* PENSALV/EXPRV)-arr(APRV*PENSALV/EXPRV)-PENALIMV));
PENALIMC_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSBC -(FRNC - (TSNONIMPU * FRNC))) * (PENSALC - arr(APRC * PENSALC/EXPRC)-PENALIMC) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSBC -(FRNC - (TSNONIMPU * FRNC)))) * positif(TSBC -(FRNC - (TSNONIMPU * FRNC))+ EXPRC - APRC)
                       * (PENSALC-arr((FRNC-(TSNONIMPU * FRNC)-TSBC)* PENSALC/EXPRC)-arr(APRC*PENSALC/EXPRC)-PENALIMC));
PENALIM1_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB1 -(FRN1 - (TSNONIMPU * FRN1))) * (PENSALP1 - arr(APR1 * PENSALP1/EXPR1)-PENALIM1) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB1 -(FRN1 - (TSNONIMPU * FRN1)))) * positif(TSB1 -(FRN1 - (TSNONIMPU * FRN1))+ EXPR1 - APR1)
                       * (PENSALP1-arr((FRN1-(TSNONIMPU * FRN1)-TSB1)* PENSALP1/EXPR1)-arr(APR1*PENSALP1/EXPR1)-PENALIM1));
PENALIM2_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB2 -(FRN2 - (TSNONIMPU * FRN2))) * (PENSALP2 - arr(APR2 * PENSALP2/EXPR2)-PENALIM2) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB2 -(FRN2 - (TSNONIMPU * FRN2)))) * positif(TSB2 -(FRN2 - (TSNONIMPU * FRN2))+ EXPR2 - APR2)
                       * (PENSALP2-arr((FRN2-(TSNONIMPU * FRN2)-TSB2)* PENSALP2/EXPR2)-arr(APR2*PENSALP2/EXPR2)-PENALIM2));
PENALIM3_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB3 -(FRN3 - (TSNONIMPU * FRN3))) * (PENSALP3 - arr(APR3 * PENSALP3/EXPR3)-PENALIM3) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB3 -(FRN3 - (TSNONIMPU * FRN3)))) * positif(TSB3 -(FRN3 - (TSNONIMPU * FRN3))+ EXPR3 - APR3)
                       * (PENSALP3-arr((FRN3-(TSNONIMPU * FRN3)-TSB3)* PENSALP3/EXPR3)-arr(APR3*PENSALP3/EXPR3)-PENALIM3));
PENALIM4_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB4 -(FRN4 - (TSNONIMPU * FRN4))) * (PENSALP4 - arr(APR4 * PENSALP4/EXPR4)-PENALIM4) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB4 -(FRN4 - (TSNONIMPU * FRN4)))) * positif(TSB4 -(FRN4 - (TSNONIMPU * FRN4))+ EXPR4 - APR4)
                       * (PENSALP4-arr((FRN4-(TSNONIMPU * FRN4)-TSB4)* PENSALP4/EXPR4)-arr(APR4*PENSALP4/EXPR4)-PENALIM4));
PENALIMT_1731 = PENALIMV_1731+PENALIMC_1731+PENALIM1_1731+PENALIM2_1731+PENALIM3_1731+PENALIM4_1731;
PENFV_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSBV -(FRNV - (TSNONIMPU * FRNV))) * (PEBFV - arr(APRV * PEBFV/EXPRV)-PENFV) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSBV -(FRNV - (TSNONIMPU * FRNV)))) * positif(TSBV -(FRNV - (TSNONIMPU * FRNV))+ EXPRV - APRV)
                       * (PEBFV-arr((FRNV-(TSNONIMPU * FRNV)-TSBV)* PEBFV/EXPRV)-arr(APRV*PEBFV/EXPRV)-PENFV));
PENFC_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSBC -(FRNC - (TSNONIMPU * FRNC))) * (PEBFC - arr(APRC * PEBFC/EXPRC)-PENFC) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSBC -(FRNC - (TSNONIMPU * FRNC))))  * positif(TSBC -(FRNC - (TSNONIMPU * FRNC))+ EXPRC - APRC)
                       * (PEBFC-arr((FRNC-(TSNONIMPU * FRNC)-TSBC)* PEBFC/EXPRC)-arr(APRC*PEBFC/EXPRC)-PENFC));
PENF1_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB1 -(FRN1 - (TSNONIMPU * FRN1))) * (PEBF1 - arr(APR1 * PEBF1/EXPR1)-PENF1) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB1 -(FRN1 - (TSNONIMPU * FRN1))))  * positif(TSB1 -(FRN1 - (TSNONIMPU * FRN1))+ EXPR1 - APR1)
                       * (PEBF1-arr((FRN1-(TSNONIMPU * FRN1)-TSB1)* PEBF1/EXPR1)-arr(APR1*PEBF1/EXPR1)-PENF1));
PENF2_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB2 -(FRN2 - (TSNONIMPU * FRN2))) * (PEBF2 - arr(APR2 * PEBF2/EXPR2)-PENF2) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB2 -(FRN2 - (TSNONIMPU * FRN2)))) * positif(TSB2 -(FRN2 - (TSNONIMPU * FRN2))+ EXPR2 - APR2)
                       * (PEBF2-arr((FRN2-(TSNONIMPU * FRN2)-TSB2)* PEBF2/EXPR2)-arr(APR2*PEBF2/EXPR2)-PENF2));
PENF3_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB3 -(FRN3 - (TSNONIMPU * FRN3))) * (PEBF3 - arr(APR3 * PEBF3/EXPR3)-PENF3) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB3 -(FRN3 - (TSNONIMPU * FRN3)))) * positif(TSB3 -(FRN3 - (TSNONIMPU * FRN3))+ EXPR3 - APR3)
                       * (PEBF3-arr((FRN3-(TSNONIMPU * FRN3)-TSB3)* PEBF3/EXPR3)-arr(APR3*PEBF3/EXPR3)-PENF3));
PENF4_1731 = max(0,PREM8_11 * positif(TSNONIMPU) * positif(TSB4 -(FRN4 - (TSNONIMPU * FRN4))) * (PEBF4 - arr(APR4 * PEBF4/EXPR4)-PENF4) + 0
            + PREM8_11 * positif(TSNONIMPU) * (1-positif(TSB4 -(FRN4 - (TSNONIMPU * FRN4)))) * positif(TSB4 -(FRN4 - (TSNONIMPU * FRN4))+ EXPR4 - APR4)
                       * (PEBF4-arr((FRN4-(TSNONIMPU * FRN4)-TSB4)* PEBF4/EXPR4)-arr(APR4*PEBF4/EXPR4)-PENF4));
PENFT_1731 = PENFV_1731 + PENFC_1731 + PENF1_1731 + PENF2_1731 + PENF3_1731 + PENF4_1731;
regle 701040:
application : iliad ;

REV3 = GLN3 * (1-INDTEFF) + TGLN3 * INDTEFF+GLN3_1731;
REV4V = BAQCV + (DEFNIBAQ * BAQCV / (BAQCV+BAQCC+BAQCP))+GLN4DAJV+REV4DAJ_1731;
REV4RAJV = max(CARTSV -ABTSRAJ,0)+TSNN2TSV_1731;
REV4C = BAQCC + (DEFNIBAQ * BAQCC / (BAQCV+BAQCC+BAQCP))+GLN4DBJC+REV4DBJ_1731;
REV4RBJC = max(CARTSC -ABTSRBJ,0)+TSNN2TSC_1731;
REV4VC = BAQCV + (DEFNIBAQ * BAQCV / (BAQCV+BAQCC+BAQCP))+BAQCC + (DEFNIBAQ * BAQCC / (BAQCV+BAQCC+BAQCP))+GLN4DAJV + GLN4DBJC+REV4DAJ_1731+REV4DBJ_1731;
REV4 = BAQTOTAVIS +GLN4V + GLN4C+REV4_1731+ (BNCPQF+BNCNPQF)  * (1-INDTEFF)+ (TBNCPQF+TBNCNPQF) * INDTEFF 
        + (BICPROQF + BICNPQTF) * (1-INDTEFF)+ (TBICPROQF + TBICNPQTF) * INDTEFF;
REV4HT = BAQTOTAVIS +GLN4V + GLN4C+REV4_1731+ BNCPQF+BNCNPQF + BICPROQF + BICNPQTF;
       
REV4TVC = GLN4V + GLN4C+REV4DAJ_1731+REV4DBJ_1731+REV4EAJ_1731+REV4EBJ_1731;
REVF = somme(i=V,C,1..4: PENFi) * (1-INDTEFF) + somme(i=V,C,1..4: TPENFi)  * INDTEFF+PENFT_1731;
REVFHT = somme(i=V,C,1..4: PENFi)+PENFT_1731;
REVALIM = somme (i=V,C,1..4: PENALIMi) * (1-INDTEFF) + somme (i=V,C,1..4: TPENALIMi) * INDTEFF+PENALIMT_1731;
REVALIMQHT = somme (i=V,C,1..4: PENALIMi)+PENALIMT_1731;
REVTS = (somme (i=V,C,1..4:TSNN2TSi)+TSNN2RAF+TSNN2RBF+TSNN2RCF+TSNN2RDF+TSNN2REF+TSNN2RFF+TSNN2RAG+TSNN2RBG+TSNN2RCG+TSNN2RDG+TSNN2RGG+TSNN2RFG) * (1-INDTEFF) 
        + (somme (i=V,C,1..4:TTSNN2TSi)+TTSNN2RAF+TTSNN2RBF+TTSNN2RCF+TTSNN2RDF+TTSNN2REF+TTSNN2RFF+TTSNN2RAG+TTSNN2RBG+TTSNN2RCG+TTSNN2RDG+TTSNN2RGG+TTSNN2RFG) * INDTEFF+TSNN2TST_1731;
REVTSQHT = somme (i=V,C,1..4:TSNN2TSi)+TSNN2TST_1731+TSNN2RAF+TSNN2RBF+TSNN2RCF+TSNN2RDF+TSNN2REF+TSNN2RFF+TSNN2RAG+TSNN2RBG+TSNN2RCG+TSNN2RDG+TSNN2RGG+TSNN2RFG;
REVTSREMP = somme (i=V,C,1..4:TSNN2REMPi)*(1-INDTEFF)+ somme (i=V,C,1..4:TTSNN2REMPi)*INDTEFF+TSNN2REMPT_1731;
REVTSREMPQHT = somme (i=V,C,1..4:TSNN2REMPi)+TSNN2REMPT_1731;
REVPRR = (somme (i=V,C,1..4:PRR2i+PRR2Zi)+PRR2RAL+PRR2RBL+PRR2RCL+PRR2RDL+PRR2REL+PRR2RFL+PRR2RAM+PRR2RBM+PRR2RCM+PRR2RDM+PRR2REM+PRR2RFM)*(1-INDTEFF)
          +(somme (i=V,C,1..4:TPRR2i+TPRR2Zi)+TPRR2RAL+TPRR2RBL+TPRR2RCL+TPRR2RDL+TPRR2REL+TPRR2RFL+TPRR2RAM+TPRR2RBM+TPRR2RCM+TPRR2RDM+TPRR2REM+TPRR2RFM)*INDTEFF+PRR2T_1731+PRR2ZT_1731;
REVPRRQHT = somme (i=V,C,1..4:PRR2i+PRR2Zi)+PRR2T_1731+PRR2ZT_1731 +PRR2RAL+PRR2RBL+PRR2RCL+PRR2RDL+PRR2REL+PRR2RFL+PRR2RAM+PRR2RBM+PRR2RCM+PRR2RDM+PRR2REM+PRR2RFM ;
REVRVO = T2RV;
REVRCM =positif(COD2OP)*(2RCM + 3RCM + 4RCM + 5RCM + 6RCM + 7RCM );
REVRF = 2REVF+3REVF+2REVF_1731+3REVF_1731;
REVQTOT = positif(COD2OP)*(CODRWB * null(1-FLAG_EXIT) + (CODRWB+CODRWA) * null(2 -FLAG_EXIT) + (max (0,CODRVG-CODRSG))+(max(0,CODRUA-CODRVA-CODRSL))+somme(i=1..3 : REVi)+REV4 + REVALIM + REVF+REVTS+REVTSREMP+REVPRR+REVRVO+REVRCM+REVRF)+ (1-positif(COD2OP))*(CODRWB * null(1-FLAG_EXIT) + (CODRWB+CODRWA) * null(2 -FLAG_EXIT) + CODRVG+somme(i=1..3 : REVi)+REV4 + REVALIM + REVF+REVTS+REVTSREMP+REVPRR+REVRVO+REVRCM+REVRF);

REVQTOTQHT =(positif(COD2OP))*(CODRWB * null(1-FLAG_EXIT) + (CODRWB+CODRWA) * null(2 -FLAG_EXIT) + (max (0,CODRVG-CODRSG))+(max(0,CODRUA-CODRVA-CODRSL))-IMPU3VR2 +GLN3+GLN3_1731 + REV4HT + REVALIMQHT + REVFHT+REVTSQHT+REVTSREMPQHT+REVPRRQHT+REVRVO+REVRCM+REVRF)
             + (1-positif(COD2OP))*( CODRWB * null(1-FLAG_EXIT) + (CODRWB+CODRWA) * null(2 -FLAG_EXIT) + CODRVG+ GLN3+GLN3_1731 + REV4HT + REVALIMQHT + REVFHT+REVTSQHT+REVTSREMPQHT+REVPRRQHT+REVRVO+REVRCM+REVRF);
regle 701045:
application : iliad ;

RASREV4V = BAQV +GLN4V+ (max(0,BNCNPQCV -max(0,DABNCNPV-BNCNPHQCV))+BNCPQCV)*(1-INDTEFF)+(max(0,TBNCNPQCV -max(0,TDABNCNPV-TBNCNPHQCV))+TBNCPQCV)* INDTEFF+ BINTAQV + BINHTAQV +BIPTAQV+BIHTAQV;
RASREV4C = BAQC+ GLN4C+ (max(0,BNCNPQCC -max(0,DABNCNPC-BNCNPHQCC))+BNCPQCC)*(1-INDTEFF)+(max(0,TBNCNPQCC -max(0,TDABNCNPC-TBNCNPHQCC))+TBNCPQCC)* INDTEFF+ BINTAQC + BINHTAQC +BIPTAQC+BIHTAQC;
RASREV4P = BAQP+ (max(0,BNCNPQCP -max(0,DABNCNPP-BNCNPHQCP))+BNCPQCP)*(1-INDTEFF)+(max(0,TBNCNPQCP -max(0,TDABNCNPP-TBNCNPHQCP))+TBNCPQCP)* INDTEFF+ BINTAQP + BINHTAQP +BIPTAQP+BIHTAQP;
RASREV4 = RASREV4V + RASREV4C;
RASREV4HTV = BAQV+ GLN4V+ max(0,BNCNPQCV -max(0,DABNCNPV-BNCNPHQCV))+BNCPQCV+ BINTAQV + BINHTAQV +BIPTAQV+BIHTAQV;
RASREV4HTC = BAQC+ GLN4C+ max(0,BNCNPQCC -max(0,DABNCNPC-BNCNPHQCC))+BNCPQCC+ BINTAQC + BINHTAQC +BIPTAQC+BIHTAQC;
RASREV4HTP = BAQP+ max(0,BNCNPQCP -max(0,DABNCNPP-BNCNPHQCP))+BNCPQCP+ BINTAQP + BINHTAQP +BIPTAQP+BIHTAQP;
RASREVFV = PENFV * (1-INDTEFF) + TPENFV * INDTEFF;
RASREVFC = PENFC * (1-INDTEFF) + TPENFC * INDTEFF;
RASREVF = RASREVFV + RASREVFC;
RASREVALIMV = PENALIMV * (1-INDTEFF) + TPENALIMV * INDTEFF;
RASREVALIMC = PENALIMC * (1-INDTEFF) + TPENALIMC * INDTEFF;
RASREVALIM = RASREVALIMV+RASREVALIMC;
RASREVRF = 2REVF+3REVF;
RASREVTSV = (TSNN2TSV+TSNN2RAF+TSNN2RAG) * (1-INDTEFF) +(TTSNN2TSV+TTSNN2RAF+TTSNN2RAG) * INDTEFF;
RASREVTSC = (TSNN2TSC+TSNN2RBF+TSNN2RBG) * (1-INDTEFF) +(TTSNN2TSC+TTSNN2RBF+TTSNN2RBG) * INDTEFF;
RASREVTS = (TSNN2TSV+TSNN2TSC+TSNN2RAF+TSNN2RBF+TSNN2RAG+TSNN2RBG) * (1-INDTEFF) +(TTSNN2TSV+TTSNN2TSC+TTSNN2RAF+TTSNN2RBF+TTSNN2RAG+TTSNN2RBG) * INDTEFF;
RASREVTSHTV = (TSNN2TSV+TSNN2RAF+TSNN2RAG);
RASREVTSHTC = (TSNN2TSC+TSNN2RBF+TSNN2RBG);
RASREVTSREMPV = TSNN2REMPV*(1-INDTEFF)+TTSNN2REMPV*(1-INDTEFF);
RASREVTSREMPC = TSNN2REMPC*(1-INDTEFF)+TTSNN2REMPC*(1-INDTEFF);
RASREVTSREMP = (TSNN2REMPV+TSNN2REMPC)*(1-INDTEFF)+(TTSNN2REMPV+TTSNN2REMPC)*(1-INDTEFF);
RASREVTSREMPHTV = TSNN2REMPV;
RASREVTSREMPHTC = TSNN2REMPC;
RASREVPRRV = (PRR2V+PRR2ZV+PRR2RAL+PRR2RAM)* (1-INDTEFF)+(TPRR2V+TPRR2ZV+TPRR2RAL+TPRR2RAM)* INDTEFF;
RASREVPRRC = (PRR2C+PRR2ZC+PRR2RBL+PRR2RBM)* (1-INDTEFF)+(TPRR2C+TPRR2ZC+TPRR2RBL+TPRR2RBM)* INDTEFF;
RASREVPRR = (PRR2V+PRR2C+PRR2ZV+PRR2ZC+PRR2RAL+PRR2RAM+PRR2RBL+PRR2RBM)* (1-INDTEFF)+(TPRR2V+TPRR2C+TPRR2ZV+TPRR2ZC+TPRR2RAL+TPRR2RAM+TPRR2RBL+TPRR2RBM)* INDTEFF;
RASREVPRRHTV = (PRR2V+PRR2ZV+PRR2RAL+PRR2RAM);
RASREVPRRHTC = (PRR2C+PRR2ZC+PRR2RBL+PRR2RBM);
RASREVRF = 2REVF+3REVF;
RASREVPAC =  somme(i=1..4: PENFi) * (1-INDTEFF) + somme(i=1..4: TPENFi)  * INDTEFF
            + somme (i=1..4: PENALIMi) * (1-INDTEFF) + somme (i=1..4: TPENALIMi) * INDTEFF
	    + (somme (i=1..4:TSNN2TSi)+TSNN2RCF+TSNN2RDF+TSNN2REF+TSNN2RFF+TSNN2RCG+TSNN2RDG+TSNN2RGG+TSNN2RFG) * (1-INDTEFF)
                           + (somme (i=1..4:TTSNN2TSi)+TTSNN2RCF+TTSNN2RDF+TTSNN2REF+TTSNN2RFF+TTSNN2RCG+TTSNN2RDG+TTSNN2RGG+TTSNN2RFG) * INDTEFF
            + somme (i=1..4:TSNN2REMPi)*(1-INDTEFF)+ somme (i=1..4:TTSNN2REMPi)*INDTEFF
            + (somme (i=1..4:PRR2i+PRR2Zi)+PRR2RCL+PRR2RDL+PRR2REL+PRR2RFL+PRR2RCM+PRR2RDM+PRR2REM+PRR2RFM)*(1-INDTEFF)
                           +(somme (i=1..4:TPRR2i+TPRR2Zi)+TPRR2RCL+TPRR2RDL+TPRR2REL+TPRR2RFL+TPRR2RCM+TPRR2RDM+TPRR2REM+TPRR2RFM)*INDTEFF
            + BAQCP + (max(0,BNCNPQCP -max(0,DABNCNPP-BNCNPHQCP))+BNCPQCP)*(1-INDTEFF)+(max(0,TBNCNPQCP -max(0,TDABNCNPP-TBNCNPHQCP))+TBNCPQCP)* INDTEFF+ BINTAQP + BINHTAQP +BIPTAQP+BIHTAQP;
RASREVQTOT = arr(CODRWB/2) * null(1-FLAG_EXIT) + arr((CODRWB+CODRWA)/2) * null(2 -FLAG_EXIT) 
             + arr((REVRVO + REVRCM + RASREVRF)/2) * (1-positif(COD2OP)) + arr((max(0 , CODRVG-CODRSG) + max(0 , CODRUA-CODRVA-CODRSL) + REVRVO + REVRCM + RASREVRF)/2) * positif(COD2OP)
             + RASREV4V * null(1-TXPASMIN) 
             + RASREV4C * null(2-TXPASMIN) 
	     + RASREVFV * null(1-TXPASMIN) 
	     + RASREVFC * null(2-TXPASMIN) 
	     + RASREVALIMV * null(1-TXPASMIN)
	     + RASREVALIMC * null(2-TXPASMIN)
	     + RASREVTSV * null(1-TXPASMIN)
	     + RASREVTSC * null(2-TXPASMIN)
	     + RASREVTSREMPV * null(1-TXPASMIN)
	     + RASREVTSREMPC * null(2-TXPASMIN)
             + RASREVPRRV * null(1-TXPASMIN)
             + RASREVPRRC * null(2-TXPASMIN)
	     + RASREVPAC/2 ;

RASREVQTOTHT = arr(CODRWB/2) * null(1-FLAG_EXIT) + arr((CODRWB+CODRWA)/2) * null(2 -FLAG_EXIT) 
               + arr((REVRVO+REVRCM+RASREVRF)/2) * (1-positif(COD2OP)) + arr((max(0 , CODRVG-CODRSG) + max(0 , CODRUA-CODRVA-CODRSL) + REVRVO + REVRCM + RASREVRF)/2) * positif(COD2OP)
               + RASREV4HTV * null(1-TXPASMIN) 
               + RASREV4HTC * null(2-TXPASMIN) 
	       + PENFV * null(1-TXPASMIN) 
	       + PENFC * null(2-TXPASMIN) 
	       + PENALIMV * null(1-TXPASMIN)
	       + PENALIMC * null(2-TXPASMIN)
	       + RASREVTSHTV * null(1-TXPASMIN)
	       + RASREVTSHTC * null(2-TXPASMIN)
	       + RASREVTSREMPHTV * null(1-TXPASMIN)
	       + RASREVTSREMPHTC * null(2-TXPASMIN)
               + RASREVPRRHTV * null(1-TXPASMIN)
               + RASREVPRRHTC * null(2-TXPASMIN)
	       + RASREVPAC/2 ;

regle 701048:
application : iliad ;


GLRVG = positif(COD2OP)*inf(TONEQUOHT * max(0,CODRVG-CODRSG)/ TOTALQUOHT);
GLRUA = positif(COD2OP)*inf(TONEQUOHT * max(0,CODRUA-CODRVA-CODRSL) / TOTALQUOHT) ;
regle 701050:
application : iliad ;
GLRWB = inf(TONEQUOHT * CODRWB / TOTALQUOHT) * positif(null(1-FLAG_EXIT)+null(2-FLAG_EXIT));
GLRWA = inf(TONEQUOHT * CODRWA / TOTALQUOHT)* null(2-FLAG_EXIT);
GL4V = inf(TONEQUOHT * REV4V / TOTALQUOHT);
GL4C = inf(TONEQUOHT * REV4C / TOTALQUOHT);
GL4RAJV = inf(TONEQUOHT * REV4RAJV / TOTALQUOHT);
GL4RBJC = inf(TONEQUOHT * REV4RBJC / TOTALQUOHT);
GL4VC = inf(TONEQUOHT * REV4VC / TOTALQUOHT);
GL4TVC = inf(TONEQUOHT * REV4TVC / TOTALQUOHT);
GL4 = inf(TONEQUOHT * REV4HT / TOTALQUOHT) ;
GLTOT = GL4+GLRVG+GLRUA+GLRWB+GLRWA;
GLFV = inf(TONEQUOHT * (PENFV+PENFV_1731) / TOTALQUOHT) ;
GLFC = inf(TONEQUOHT * (PENFC+PENFC_1731) / TOTALQUOHT) ;
GLF1 = inf(TONEQUOHT * (PENF1+PENF1_1731) / TOTALQUOHT) ;
GLF2 = inf(TONEQUOHT * (PENF2+PENF2_1731) / TOTALQUOHT) ;
GLF3 = inf(TONEQUOHT * (PENF3+PENF3_1731) / TOTALQUOHT) ;
GLF4 = inf(TONEQUOHT * (PENF4+PENF4_1731) / TOTALQUOHT) ;
GLFTOT = somme(i=V,C,1..4:GLFi);
GLPALIMV = inf(TONEQUOHT * (PENALIMV+PENALIMV_1731) / TOTALQUOHT) ;
GLPALIMC = inf(TONEQUOHT * (PENALIMC+PENALIMC_1731) / TOTALQUOHT) ;
GLPALIM1 = inf(TONEQUOHT * (PENALIM1+PENALIM1_1731) / TOTALQUOHT) ;
GLPALIM2 = inf(TONEQUOHT * (PENALIM2+PENALIM2_1731) / TOTALQUOHT) ;
GLPALIM3 = inf(TONEQUOHT * (PENALIM3+PENALIM3_1731) / TOTALQUOHT) ;
GLPALIM4 = inf(TONEQUOHT * (PENALIM4+PENALIM4_1731) / TOTALQUOHT) ;
GLPALIMTOT = somme(i=V,C,1..4:GLPALIMi);
GLTSV = inf(TONEQUOHT * (TSNN2TSV+TSNN2TSV_1731) / TOTALQUOHT) ;
GLTSC = inf(TONEQUOHT * (TSNN2TSC+TSNN2TSC_1731) / TOTALQUOHT) ;
GLTS1 = inf(TONEQUOHT * (TSNN2TS1+TSNN2TS1_1731) / TOTALQUOHT) ;
GLTS2 = inf(TONEQUOHT * (TSNN2TS2+TSNN2TS2_1731) / TOTALQUOHT) ;
GLTS3 = inf(TONEQUOHT * (TSNN2TS3+TSNN2TS3_1731) / TOTALQUOHT) ;
GLTS4 = inf(TONEQUOHT * (TSNN2TS4+TSNN2TS4_1731) / TOTALQUOHT) ;
GLRAF = inf(TONEQUOHT * (TSNN2RAF) / TOTALQUOHT) ;
GLRBF = inf(TONEQUOHT * (TSNN2RBF) / TOTALQUOHT) ;
GLRCF = inf(TONEQUOHT * (TSNN2RCF) / TOTALQUOHT) ;
GLRDF = inf(TONEQUOHT * (TSNN2RDF) / TOTALQUOHT) ;
GLREF = inf(TONEQUOHT * (TSNN2REF) / TOTALQUOHT) ;
GLRFF = inf(TONEQUOHT * (TSNN2RFF) / TOTALQUOHT) ;
GLRAG = inf(TONEQUOHT * (TSNN2RAG) / TOTALQUOHT) ;
GLRBG = inf(TONEQUOHT * (TSNN2RBG) / TOTALQUOHT) ;
GLRCG = inf(TONEQUOHT * (TSNN2RCG) / TOTALQUOHT) ;
GLRDG = inf(TONEQUOHT * (TSNN2RDG) / TOTALQUOHT) ;
GLRGG = inf(TONEQUOHT * (TSNN2RGG) / TOTALQUOHT) ;
GLRFG = inf(TONEQUOHT * (TSNN2RFG) / TOTALQUOHT) ;
GLTSTOT = somme(i=V,C,1..4:GLTSi)+GLRAF+GLRBF+GLRCF+GLRDF+GLREF+GLRFF+GLRAG+GLRBG+GLRCG+GLRDG+GLRGG+GLRFG;
GLTSREMPV = inf(TONEQUOHT * (TSNN2REMPV+TSNN2REMPV_1731) / TOTALQUOHT) ;
GLTSREMPC = inf(TONEQUOHT * (TSNN2REMPC+TSNN2REMPC_1731) / TOTALQUOHT) ;
GLTSREMP1 = inf(TONEQUOHT * (TSNN2REMP1+TSNN2REMP1_1731) / TOTALQUOHT) ;
GLTSREMP2 = inf(TONEQUOHT * (TSNN2REMP2+TSNN2REMP2_1731) / TOTALQUOHT) ;
GLTSREMP3 = inf(TONEQUOHT * (TSNN2REMP3+TSNN2REMP3_1731) / TOTALQUOHT) ;
GLTSREMP4 = inf(TONEQUOHT * (TSNN2REMP4+TSNN2REMP4_1731) / TOTALQUOHT) ;
GLTSREMPTOT = somme(i=V,C,1..4:GLTSREMPi);
GLPRRV = inf(TONEQUOHT * (PRR2V+PRR2V_1731) / TOTALQUOHT) ;
GLPRRC = inf(TONEQUOHT * (PRR2C+PRR2C_1731) / TOTALQUOHT) ;
GLPRR1 = inf(TONEQUOHT * (PRR21+PRR21_1731) / TOTALQUOHT) ;
GLPRR2 = inf(TONEQUOHT * (PRR22+PRR22_1731) / TOTALQUOHT) ;
GLPRR3 = inf(TONEQUOHT * (PRR23+PRR23_1731) / TOTALQUOHT) ;
GLPRR4 = inf(TONEQUOHT * (PRR24+PRR24_1731) / TOTALQUOHT) ;
GLPRRZV = inf(TONEQUOHT * (PRR2ZV+PRR2ZV_1731) / TOTALQUOHT) ;
GLPRRZC = inf(TONEQUOHT * (PRR2ZC+PRR2ZC_1731) / TOTALQUOHT) ;
GLPRRZ1 = inf(TONEQUOHT * (PRR2Z1+PRR2Z1_1731) / TOTALQUOHT) ;
GLPRRZ2 = inf(TONEQUOHT * (PRR2Z2+PRR2Z2_1731) / TOTALQUOHT) ;
GLPRRZ3 = inf(TONEQUOHT * (PRR2Z3+PRR2Z3_1731) / TOTALQUOHT) ;
GLPRRZ4 = inf(TONEQUOHT * (PRR2Z4+PRR2Z4_1731) / TOTALQUOHT) ;
GLRAL = inf(TONEQUOHT * (PRR2RAL) / TOTALQUOHT) ;
GLRBL = inf(TONEQUOHT * (PRR2RBL) / TOTALQUOHT) ;
GLRCL = inf(TONEQUOHT * (PRR2RCL) / TOTALQUOHT) ;
GLRDL = inf(TONEQUOHT * (PRR2RDL) / TOTALQUOHT) ;
GLREL = inf(TONEQUOHT * (PRR2REL) / TOTALQUOHT) ;
GLRFL = inf(TONEQUOHT * (PRR2RFL) / TOTALQUOHT) ;
GLRAM = inf(TONEQUOHT * (PRR2RAM) / TOTALQUOHT) ;
GLRBM = inf(TONEQUOHT * (PRR2RBM) / TOTALQUOHT) ;
GLRCM = inf(TONEQUOHT * (PRR2RCM) / TOTALQUOHT) ;
GLRDM = inf(TONEQUOHT * (PRR2RDM) / TOTALQUOHT) ;
GLREM = inf(TONEQUOHT * (PRR2REM) / TOTALQUOHT) ;
GLRFM = inf(TONEQUOHT * (PRR2RFM) / TOTALQUOHT) ;
GLPRRTOT = somme(i=V,C,1..4:GLPRRi+GLPRRZi)+GLRAL+GLRBL+GLRCL+GLRDL+GLREL+GLRFL+GLRAM+GLRBM+GLRCM+GLRDM+GLREM+GLRFM;
GLRVO = inf(TONEQUOHT * 2RV1 / TOTALQUOHT) ;
GLRVO5 = inf(TONEQUOHT * 2RV2 / TOTALQUOHT) ;
GLRVO6 = inf(TONEQUOHT * 2RV3 / TOTALQUOHT) ;
GLRVO7 = inf(TONEQUOHT * 2RV4 / TOTALQUOHT) ;
GLRVOR = inf(TONEQUOHT * 2RV1R / TOTALQUOHT) ;
GLRVO5R = inf(TONEQUOHT * 2RV2R / TOTALQUOHT) ;
GLRVO6R = inf(TONEQUOHT * 2RV3R / TOTALQUOHT) ;
GLRVO7R = inf(TONEQUOHT * 2RV4R / TOTALQUOHT) ;
GLRVOTOT = GLRVO + GLRVO5 + GLRVO6 + GLRVO7+GLRVOR+GLRVO5R+GLRVO6R+GLRVO7R;
GLRCMDC  = inf(TONEQUOHT * 2RCM / TOTALQUOHT) ;
GLRCMFU  = inf(TONEQUOHT * 3RCM / TOTALQUOHT) ;
GLRCMCH  = inf(TONEQUOHT * 4RCM / TOTALQUOHT) ;
GLRCMTS  = inf(TONEQUOHT * 5RCM / TOTALQUOHT) ;
GLRCMGO = inf(TONEQUOHT * 6RCM / TOTALQUOHT) ;
GLRCMTR  = inf(TONEQUOHT * 7RCM / TOTALQUOHT) ;
GLRCMTOT = GLRCMDC + GLRCMFU + GLRCMCH + GLRCMGO + GLRCMTR + GLRCMTS ;
GLRCMTR  = inf(TONEQUOHT * 7RCM / TOTALQUOHT) ;

GLRF1 = inf(TONEQUOHT * (2REVF+2REVF_1731) / TOTALQUOHT) ;
GLRF2 = max(0,TONEQUOHT-GLTOT-GLFTOT-GLPALIMTOT-GLTSTOT-GLTSREMPTOT-GLPRRTOT-GLRVOTOT-GLRCMTOT-GLRF1) ;
GLRFTOT = GLRF1 + GLRF2 ;
regle 701055:
application : iliad ;
RASGLRWB = inf(RASTONEQUOHT * arr(CODRWB/2) / RASTOTALQUOHT) ;
RASGLRWA = inf(RASTONEQUOHT * arr(CODRWA/2) / RASTOTALQUOHT) ;
RASGLRVG = inf(RASTONEQUOHT * max(0,arr((CODRVG-CODRSG)/2)) / RASTOTALQUOHT) * positif(COD2OP) ;
RASGLRUA = inf(RASTONEQUOHT * max(0,arr((CODRUA-CODRVA-CODRSL)/2))/RASTOTALQUOHT) * positif(COD2OP) ;

RASGL4V = null(1-TXPASMIN) *inf(RASTONEQUOHT * RASREV4HTV / RASTOTALQUOHT) ;
RASGL4C = null(2-TXPASMIN) *inf(RASTONEQUOHT * RASREV4HTC / RASTOTALQUOHT) ;
RASGL4P = inf(RASTONEQUOHT * RASREV4HTP / RASTOTALQUOHT)/2 ;
RASGL4 = RASGL4V + RASGL4C ;
RASGLTOT = RASGL4 + RASGLRVG + RASGLRUA + RASGLRWB + RASGLRWA ;
RASGLFV = null(1-TXPASMIN) *inf(RASTONEQUOHT * PENFV / RASTOTALQUOHT);
RASGLFC = null(2-TXPASMIN) *inf(RASTONEQUOHT * PENFC / RASTOTALQUOHT);
RASGLF1 = inf(RASTONEQUOHT * PENF1 / RASTOTALQUOHT)/2;
RASGLF2 = inf(RASTONEQUOHT * PENF2 / RASTOTALQUOHT)/2;
RASGLF3 = inf(RASTONEQUOHT * PENF3 / RASTOTALQUOHT)/2;
RASGLF4 = inf(RASTONEQUOHT * PENF4 / RASTOTALQUOHT)/2;
RASGLFTOT = RASGLFV+RASGLFC+RASGLF1+RASGLF2+RASGLF3+RASGLF4;
RASGLPALIMV = null(1-TXPASMIN) *inf(RASTONEQUOHT * PENALIMV / RASTOTALQUOHT);
RASGLPALIMC = null(2-TXPASMIN) *inf(RASTONEQUOHT * PENALIMC / RASTOTALQUOHT);
RASGLPALIM1 = inf(RASTONEQUOHT * PENALIM1 / RASTOTALQUOHT)/2;
RASGLPALIM2 = inf(RASTONEQUOHT * PENALIM2 / RASTOTALQUOHT)/2;
RASGLPALIM3 = inf(RASTONEQUOHT * PENALIM3 / RASTOTALQUOHT)/2;
RASGLPALIM4 = inf(RASTONEQUOHT * PENALIM4 / RASTOTALQUOHT)/2;
RASGLPALIMTOT = RASGLPALIMV+RASGLPALIMC+RASGLPALIM1+RASGLPALIM2+RASGLPALIM3+RASGLPALIM4;
RASGLTSV = null(1-TXPASMIN) *inf(RASTONEQUOHT * TSNN2TSV / RASTOTALQUOHT);
RASGLTSC = null(2-TXPASMIN) *inf(RASTONEQUOHT * TSNN2TSC / RASTOTALQUOHT);
RASGLTS1 = inf(RASTONEQUOHT * TSNN2TS1 / RASTOTALQUOHT)/2;
RASGLTS2 = inf(RASTONEQUOHT * TSNN2TS2 / RASTOTALQUOHT)/2;
RASGLTS3 = inf(RASTONEQUOHT * TSNN2TS3 / RASTOTALQUOHT)/2;
RASGLTS4 = inf(RASTONEQUOHT * TSNN2TS4 / RASTOTALQUOHT)/2;
RASGLRAF = inf(RASTONEQUOHT * (TSNN2RAF) / RASTOTALQUOHT) ;
RASGLRBF = inf(RASTONEQUOHT * (TSNN2RBF) / RASTOTALQUOHT) ;
RASGLRCF = inf(RASTONEQUOHT * (TSNN2RCF) / RASTOTALQUOHT) /2;
RASGLRDF = inf(RASTONEQUOHT * (TSNN2RDF) / RASTOTALQUOHT) /2;
RASGLREF = inf(RASTONEQUOHT * (TSNN2REF) / RASTOTALQUOHT) /2;
RASGLRFF = inf(RASTONEQUOHT * (TSNN2RFF) / RASTOTALQUOHT) /2;
RASGLRAG = inf(RASTONEQUOHT * (TSNN2RAG) / RASTOTALQUOHT) ;
RASGLRBG = inf(RASTONEQUOHT * (TSNN2RBG) / RASTOTALQUOHT) ;
RASGLRCG = inf(RASTONEQUOHT * (TSNN2RCG) / RASTOTALQUOHT) /2;
RASGLRDG = inf(RASTONEQUOHT * (TSNN2RDG) / RASTOTALQUOHT) /2;
RASGLRGG = inf(RASTONEQUOHT * (TSNN2RGG) / RASTOTALQUOHT) /2;
RASGLRFG = inf(RASTONEQUOHT * (TSNN2RFG) / RASTOTALQUOHT) /2;
RASGLTSTOT = RASGLTSV+RASGLTSC+RASGLTS1+RASGLTS2+RASGLTS3+RASGLTS4+RASGLRAF+RASGLRBF+RASGLRCF+RASGLRDF+RASGLREF+RASGLRFF+RASGLRAG+RASGLRBG+RASGLRCG+RASGLRDG+RASGLRGG+RASGLRFG;
RASGLTSREMPV = null(1-TXPASMIN) *inf(RASTONEQUOHT * TSNN2REMPV / RASTOTALQUOHT);
RASGLTSREMPC = null(2-TXPASMIN) *inf(RASTONEQUOHT * TSNN2REMPC / RASTOTALQUOHT);
RASGLTSREMP1 = inf(RASTONEQUOHT * TSNN2REMP1 / RASTOTALQUOHT)/2;
RASGLTSREMP2 = inf(RASTONEQUOHT * TSNN2REMP2 / RASTOTALQUOHT)/2;
RASGLTSREMP3 = inf(RASTONEQUOHT * TSNN2REMP3 / RASTOTALQUOHT)/2;
RASGLTSREMP4 = inf(RASTONEQUOHT * TSNN2REMP4 / RASTOTALQUOHT)/2;
RASGLTSREMPTOT = RASGLTSREMPV+RASGLTSREMPC+RASGLTSREMP1+RASGLTSREMP2+RASGLTSREMP3+RASGLTSREMP4;
RASGLPRRV = null(1-TXPASMIN) *inf(RASTONEQUOHT * PRR2V / RASTOTALQUOHT);
RASGLPRRC = null(2-TXPASMIN) *inf(RASTONEQUOHT * PRR2C / RASTOTALQUOHT);
RASGLPRR1 = inf(RASTONEQUOHT * PRR21 / RASTOTALQUOHT)/2;
RASGLPRR2 = inf(RASTONEQUOHT * PRR22 / RASTOTALQUOHT)/2;
RASGLPRR3 = inf(RASTONEQUOHT * PRR23 / RASTOTALQUOHT)/2;
RASGLPRR4 = inf(RASTONEQUOHT * PRR24 / RASTOTALQUOHT)/2;
RASGLPRRZV = null(1-TXPASMIN) *inf(RASTONEQUOHT * PRR2ZV / RASTOTALQUOHT);
RASGLPRRZC = null(2-TXPASMIN) *inf(RASTONEQUOHT * PRR2ZC / RASTOTALQUOHT);
RASGLPRRZ1 = inf(RASTONEQUOHT * PRR2Z1 / RASTOTALQUOHT)/2;
RASGLPRRZ2 = inf(RASTONEQUOHT * PRR2Z2 / RASTOTALQUOHT)/2;
RASGLPRRZ3 = inf(RASTONEQUOHT * PRR2Z3 / RASTOTALQUOHT)/2;
RASGLPRRZ4 = inf(RASTONEQUOHT * PRR2Z4 / RASTOTALQUOHT)/2;
RASGLRAL = inf(RASTONEQUOHT * (PRR2RAL) / RASTOTALQUOHT) ;
RASGLRBL = inf(RASTONEQUOHT * (PRR2RBL) / RASTOTALQUOHT) ;
RASGLRCL = inf(RASTONEQUOHT * (PRR2RCL) / RASTOTALQUOHT) /2;
RASGLRDL = inf(RASTONEQUOHT * (PRR2RDL) / RASTOTALQUOHT) /2;
RASGLREL = inf(RASTONEQUOHT * (PRR2REL) / RASTOTALQUOHT) /2;
RASGLRFL = inf(RASTONEQUOHT * (PRR2RFL) / RASTOTALQUOHT) /2;
RASGLRAM = inf(RASTONEQUOHT * (PRR2RAM) / RASTOTALQUOHT) ;
RASGLRBM = inf(RASTONEQUOHT * (PRR2RBM) / RASTOTALQUOHT) ;
RASGLRCM = inf(RASTONEQUOHT * (PRR2RCM) / RASTOTALQUOHT) /2;
RASGLRDM = inf(RASTONEQUOHT * (PRR2RDM) / RASTOTALQUOHT) /2;
RASGLREM = inf(RASTONEQUOHT * (PRR2REM) / RASTOTALQUOHT) /2;
RASGLRFM = inf(RASTONEQUOHT * (PRR2RFM) / RASTOTALQUOHT) /2;
RASGLPRRTOT = RASGLPRRV+RASGLPRRC+RASGLPRR1+RASGLPRR2+RASGLPRR3+RASGLPRR4+RASGLPRRZV+RASGLPRRZC+RASGLPRRZ1+RASGLPRRZ2+RASGLPRRZ3+RASGLPRRZ4
             +RASGLRAL+RASGLRBL+RASGLRCL+RASGLRDL+RASGLREL+RASGLRFL+RASGLRAM+RASGLRBM+RASGLRCM+RASGLRDM+RASGLREM+RASGLRFM;
RASGLRVO = inf(RASTONEQUOHT * 2RV1 / RASTOTALQUOHT)/2;
RASGLRVO5 =inf(RASTONEQUOHT * 2RV2 / RASTOTALQUOHT)/2;
RASGLRVO6 =inf(RASTONEQUOHT * 2RV3 / RASTOTALQUOHT)/2;
RASGLRVO7 =inf(RASTONEQUOHT * 2RV4 / RASTOTALQUOHT)/2;
RASGLRVOR = inf(RASTONEQUOHT * 2RV1R / RASTOTALQUOHT)/2 ;
RASGLRVO5R = inf(RASTONEQUOHT * 2RV2R / RASTOTALQUOHT)/2 ;
RASGLRVO6R = inf(RASTONEQUOHT * 2RV3R / RASTOTALQUOHT) /2;
RASGLRVO7R = inf(RASTONEQUOHT * 2RV4R / RASTOTALQUOHT) /2;
RASGLRVOTOT = RASGLRVO + RASGLRVO5 + RASGLRVO6 + RASGLRVO7;
RASGLRCMDC  =inf(RASTONEQUOHT * 2RCM / RASTOTALQUOHT)/2;
RASGLRCMFU  =inf(RASTONEQUOHT * 3RCM / RASTOTALQUOHT)/2;
RASGLRCMCH  =inf(RASTONEQUOHT * 4RCM / RASTOTALQUOHT)/2;
RASGLRCMTS  =inf(RASTONEQUOHT * 5RCM / RASTOTALQUOHT)/2;
RASGLRCMGO = inf(RASTONEQUOHT * 6RCM / RASTOTALQUOHT)/2;
RASGLRCMTR  =inf(RASTONEQUOHT * 7RCM / RASTOTALQUOHT)/2;
RASGLRCMTOT = RASGLRCMDC + RASGLRCMFU + RASGLRCMCH + RASGLRCMGO + RASGLRCMTR + RASGLRCMTS ;

RASGLRF1 = inf(RASTONEQUOHT * 2REVF / RASTOTALQUOHT)/2;
RASGLRF2 = (RASTONEQUOHT-RASGLTOT-RASGLFTOT-RASGLPALIMTOT-RASGLTSTOT-RASGLTSREMPTOT-RASGLPRRTOT-RASGLRVOTOT-RASGLRCMTOT-RASGLRF1) ;
RASGLRFTOT = RASGLRF1+RASGLRF2;


regle 701057:
application : iliad ;
TRASGLRWB = inf(RASTONEQUO * arr(CODRWB/2) / RASTOTALQUO);
TRASGLRWA = inf(RASTONEQUO * arr(CODRWA/2) / RASTOTALQUO);
TRASGLRVG = inf(RASTONEQUO * max(0,arr((CODRVG-CODRSG)/2)) / RASTOTALQUO) * positif(COD2OP) ;
TRASGLRUA = inf(RASTONEQUO * max(0,arr((CODRUA-CODRVA-CODRSL)/2)) / RASTOTALQUO) * positif(COD2OP) ;

TRASGL4V = null(1-TXPASMIN) *inf(RASTONEQUO * RASREV4V / RASTOTALQUO);
TRASGL4C = null(2-TXPASMIN) *inf(RASTONEQUO * RASREV4C / RASTOTALQUO);
TRASGL4P = inf(RASTONEQUO * RASREV4P / RASTOTALQUO)/2;
TRASGL4=TRASGL4V + TRASGL4C;
TRASGLTOT = TRASGL4+TRASGLRVG+TRASGLRUA+TRASGLRWB+TRASGLRWA;
TRASGLFV = null(1-TXPASMIN) *inf(RASTONEQUO * TPENFV / RASTOTALQUO);
TRASGLFC = null(2-TXPASMIN) *inf(RASTONEQUO * TPENFC / RASTOTALQUO);
TRASGLF1 = inf(RASTONEQUO * TPENF1 / RASTOTALQUO)/2;
TRASGLF2 = inf(RASTONEQUO * TPENF2 / RASTOTALQUO)/2;
TRASGLF3 = inf(RASTONEQUO * TPENF3 / RASTOTALQUO)/2;
TRASGLF4 = inf(RASTONEQUO * TPENF4 / RASTOTALQUO)/2;
TRASGLFTOT = TRASGLFV+TRASGLFC+TRASGLF1+TRASGLF2+TRASGLF3+TRASGLF4;
TRASGLPALIMV = null(1-TXPASMIN) *inf(RASTONEQUO * TPENALIMV / RASTOTALQUO);
TRASGLPALIMC = null(2-TXPASMIN) *inf(RASTONEQUO * TPENALIMC / RASTOTALQUO);
TRASGLPALIM1 = inf(RASTONEQUO * TPENALIM1 / RASTOTALQUO)/2;
TRASGLPALIM2 = inf(RASTONEQUO * TPENALIM2 / RASTOTALQUO)/2;
TRASGLPALIM3 = inf(RASTONEQUO * TPENALIM3 / RASTOTALQUO)/2;
TRASGLPALIM4 = inf(RASTONEQUO * TPENALIM4 / RASTOTALQUO)/2;
TRASGLPALIMTOT = TRASGLPALIMV+TRASGLPALIMC+TRASGLPALIM1+TRASGLPALIM2+TRASGLPALIM3+TRASGLPALIM4;
TRASGLTSV = null(1-TXPASMIN) *inf(RASTONEQUO * TTSNN2TSV / RASTOTALQUO);
TRASGLTSC = null(2-TXPASMIN) *inf(RASTONEQUO * TTSNN2TSC / RASTOTALQUO);
TRASGLTS1 = inf(RASTONEQUO * TSNN2TS1 / RASTOTALQUO)/2;
TRASGLTS2 = inf(RASTONEQUO * TSNN2TS2 / RASTOTALQUO)/2;
TRASGLTS3 = inf(RASTONEQUO * TSNN2TS3 / RASTOTALQUO)/2;
TRASGLTS4 = inf(RASTONEQUO * TSNN2TS4 / RASTOTALQUO)/2;
TRASGLRAF = inf(RASTONEQUO * (TTSNN2RAF) / RASTOTALQUO) ;
TRASGLRBF = inf(RASTONEQUO * (TTSNN2RBF) / RASTOTALQUO) ;
TRASGLRCF = inf(RASTONEQUO * (TTSNN2RCF) / RASTOTALQUO) /2;
TRASGLRDF = inf(RASTONEQUO * (TTSNN2RDF) / RASTOTALQUO) /2;
TRASGLREF = inf(RASTONEQUO * (TTSNN2REF) / RASTOTALQUO) /2;
TRASGLRFF = inf(RASTONEQUO * (TTSNN2RFF) / RASTOTALQUO) /2;
TRASGLRAG = inf(RASTONEQUO * (TTSNN2RAG) / RASTOTALQUO) ;
TRASGLRBG = inf(RASTONEQUO * (TTSNN2RBG) / RASTOTALQUO) ;
TRASGLRCG = inf(RASTONEQUO * (TTSNN2RCG) / RASTOTALQUO) /2;
TRASGLRDG = inf(RASTONEQUO * (TTSNN2RDG) / RASTOTALQUO) /2;
TRASGLRGG = inf(RASTONEQUO * (TTSNN2RGG) / RASTOTALQUO) /2;
TRASGLRFG = inf(RASTONEQUO * (TTSNN2RFG) / RASTOTALQUO) /2;
TRASGLTSTOT = TRASGLTSV+TRASGLTSC+TRASGLTS1+TRASGLTS2+TRASGLTS3+TRASGLTS4+TRASGLRAF+TRASGLRBF+TRASGLRCF+TRASGLRDF+TRASGLREF+TRASGLRFF+TRASGLRAG+TRASGLRBG+TRASGLRCG+TRASGLRDG+TRASGLRGG+TRASGLRFG;
TRASGLTSREMPV = null(1-TXPASMIN) *inf(RASTONEQUO * TTSNN2REMPV / RASTOTALQUO);
TRASGLTSREMPC = null(2-TXPASMIN) *inf(RASTONEQUO * TTSNN2REMPC / RASTOTALQUO);
TRASGLTSREMP1 = inf(RASTONEQUO * TTSNN2REMP1 / RASTOTALQUO)/2;
TRASGLTSREMP2 = inf(RASTONEQUO * TTSNN2REMP2 / RASTOTALQUO)/2;
TRASGLTSREMP3 = inf(RASTONEQUO * TTSNN2REMP3 / RASTOTALQUO)/2;
TRASGLTSREMP4 = inf(RASTONEQUO * TTSNN2REMP4 / RASTOTALQUO)/2;
TRASGLTSREMPTOT = TRASGLTSREMPV+TRASGLTSREMPC+TRASGLTSREMP1+TRASGLTSREMP2+TRASGLTSREMP3+TRASGLTSREMP4;
TRASGLPRRV = null(1-TXPASMIN) *inf(RASTONEQUO * TPRR2V / RASTOTALQUO);
TRASGLPRRC = null(2-TXPASMIN) *inf(RASTONEQUO * TPRR2C / RASTOTALQUO);
TRASGLPRR1 = inf(RASTONEQUO * TPRR21 / RASTOTALQUO)/2;
TRASGLPRR2 = inf(RASTONEQUO * TPRR22 / RASTOTALQUO)/2;
TRASGLPRR3 = inf(RASTONEQUO * TPRR23 / RASTOTALQUO)/2;
TRASGLPRR4 = inf(RASTONEQUO * TPRR24 / RASTOTALQUO)/2;
TRASGLPRRZV = null(1-TXPASMIN) *inf(RASTONEQUO * TPRR2ZV / RASTOTALQUO);
TRASGLPRRZC = null(2-TXPASMIN) *inf(RASTONEQUO * TPRR2ZC / RASTOTALQUO);
TRASGLPRRZ1 = inf(RASTONEQUO * TPRR2Z1 / RASTOTALQUO)/2;
TRASGLPRRZ2 = inf(RASTONEQUO * TPRR2Z2 / RASTOTALQUO)/2;
TRASGLPRRZ3 = inf(RASTONEQUO * TPRR2Z3 / RASTOTALQUO)/2;
TRASGLPRRZ4 = inf(RASTONEQUO * TPRR2Z4 / RASTOTALQUO)/2;
TRASGLRAL = inf(RASTONEQUO * (TPRR2RAL) / RASTOTALQUO) ;
TRASGLRBL = inf(RASTONEQUO * (TPRR2RBL) / RASTOTALQUO) ;
TRASGLRCL = inf(RASTONEQUO * (TPRR2RCL) / RASTOTALQUO) /2;
TRASGLRDL = inf(RASTONEQUO * (TPRR2RDL) / RASTOTALQUO) /2;
TRASGLREL = inf(RASTONEQUO * (TPRR2REL) / RASTOTALQUO) /2;
TRASGLRFL = inf(RASTONEQUO * (TPRR2RFL) / RASTOTALQUO) /2;
TRASGLRAM = inf(RASTONEQUO * (TPRR2RAM) / RASTOTALQUO) ;
TRASGLRBM = inf(RASTONEQUO * (TPRR2RBM) / RASTOTALQUO) ;
TRASGLRCM = inf(RASTONEQUO * (TPRR2RCM) / RASTOTALQUO) /2;
TRASGLRDM = inf(RASTONEQUO * (TPRR2RDM) / RASTOTALQUO) /2;
TRASGLREM = inf(RASTONEQUO * (TPRR2REM) / RASTOTALQUO) /2;
TRASGLRFM = inf(RASTONEQUO * (TPRR2RFM) / RASTOTALQUO) /2;
TRASGLPRRTOT = TRASGLPRRV+TRASGLPRRC+TRASGLPRR1+TRASGLPRR2+TRASGLPRR3+TRASGLPRR4+TRASGLPRRZV+TRASGLPRRZC+TRASGLPRRZ1+TRASGLPRRZ2+TRASGLPRRZ3+TRASGLPRRZ4
             +TRASGLRAL+TRASGLRBL+TRASGLRCL+TRASGLRDL+TRASGLREL+TRASGLRFL+TRASGLRAM+TRASGLRBM+TRASGLRCM+TRASGLRDM+TRASGLREM+TRASGLRFM;
TRASGLRVO = inf(RASTONEQUO * 2RV1 / RASTOTALQUO)/2;
TRASGLRVO5 =inf(RASTONEQUO * 2RV2 / RASTOTALQUO)/2;
TRASGLRVO6 =inf(RASTONEQUO * 2RV3 / RASTOTALQUO)/2;
TRASGLRVO7 =inf(RASTONEQUO * 2RV4 / RASTOTALQUO)/2;
TRASGLRVOR = inf(RASTONEQUO * 2RV1R / RASTOTALQUO)/2;
TRASGLRVO5R = inf(RASTONEQUO * 2RV2R / RASTOTALQUO)/2;
TRASGLRVO6R = inf(RASTONEQUO * 2RV3R / RASTOTALQUO)/2;
TRASGLRVO7R = inf(RASTONEQUO * 2RV4R / RASTOTALQUO)/2;
TRASGLRVOTOT = TRASGLRVO + TRASGLRVO5 + TRASGLRVO6 + TRASGLRVO7;
TRASGLRCMDC  =inf(RASTONEQUO * 2RCM / RASTOTALQUO)/2;
TRASGLRCMFU  =inf(RASTONEQUO * 3RCM / RASTOTALQUO)/2;
TRASGLRCMCH  =inf(RASTONEQUO * 4RCM / RASTOTALQUO)/2;
TRASGLRCMTS  =inf(RASTONEQUO * 5RCM / RASTOTALQUO)/2;
TRASGLRCMGO = inf(RASTONEQUO * 6RCM / RASTOTALQUO)/2;
TRASGLRCMTR  =inf(RASTONEQUO * 7RCM / RASTOTALQUO)/2;
TRASGLRCMTOT = TRASGLRCMDC + TRASGLRCMFU + TRASGLRCMCH + TRASGLRCMGO + TRASGLRCMTR + TRASGLRCMTS ;

TRASGLRF1 = inf(RASTONEQUO * 2REVF / RASTOTALQUO)/2;
TRASGLRF2 = (RASTONEQUO-TRASGLTOT-TRASGLFTOT-TRASGLPALIMTOT-TRASGLTSTOT-TRASGLTSREMPTOT-TRASGLPRRTOT-TRASGLRVOTOT-TRASGLRCMTOT-TRASGLRF1) ;
TRASGLRFTOT = TRASGLRF1+TRASGLRF2;


regle 701060:
application : iliad ;
TGLRWB = inf(TONEQUO * CODRWB / TOTALQUO) * positif(null(1-FLAG_EXIT)+null(2-FLAG_EXIT));
TGLRWA = inf(TONEQUO * CODRWA / TOTALQUO) * null(2-FLAG_EXIT);
TGLRVG =(COD2OP)* inf(TONEQUO * PVCODRVG / TOTALQUO);
TGLRUA =(COD2OP)* inf(TONEQUO *PVCODRUA / TOTALQUO) ;
regle 701069:
application : iliad ;


TGL4V = inf(TONEQUO * REV4V / TOTALQUO);
TGL4C = inf(TONEQUO * REV4C / TOTALQUO);
TGL4RAJV = inf(TONEQUO * REV4RAJV / TOTALQUO);
TGL4RBJC = inf(TONEQUO * REV4RBJC / TOTALQUO);
TGL4VC = inf(TONEQUO * REV4VC / TOTALQUO);
TGL4TVC = inf(TONEQUO * REV4TVC / TOTALQUO);
TGL4 = inf(TONEQUO * REV4 / TOTALQUO) ;
TGLTOT = TGL4 +TGLRVG+TGLRUA+TGLRWB+TGLRWA;
TGLFV = inf(TONEQUO * (TPENFV+PENFV_1731) / TOTALQUO) ;
TGLFC = inf(TONEQUO * (TPENFC+PENFC_1731) / TOTALQUO) ;
TGLF1 = inf(TONEQUO * (TPENF1+PENF1_1731) / TOTALQUO) ;
TGLF2 = inf(TONEQUO * (TPENF2+PENF2_1731) / TOTALQUO) ;
TGLF3 = inf(TONEQUO * (TPENF3+PENF3_1731) / TOTALQUO) ;
TGLF4 = inf(TONEQUO * (TPENF4+PENF4_1731) / TOTALQUO) ;
TGLFTOT = somme(i=V,C,1..4:TGLFi);
TGLPALIMV = inf(TONEQUO * (TPENALIMV+PENALIMV_1731) / TOTALQUO) ;
TGLPALIMC = inf(TONEQUO * (TPENALIMC+PENALIMC_1731) / TOTALQUO) ;
TGLPALIM1 = inf(TONEQUO * (TPENALIM1+PENALIM1_1731) / TOTALQUO) ;
TGLPALIM2 = inf(TONEQUO * (TPENALIM2+PENALIM2_1731) / TOTALQUO) ;
TGLPALIM3 = inf(TONEQUO * (TPENALIM3+PENALIM3_1731) / TOTALQUO) ;
TGLPALIM4 = inf(TONEQUO * (TPENALIM4+PENALIM4_1731) / TOTALQUO) ;
TGLPALIMTOT = somme(i=V,C,1..4:TGLPALIMi);
TGLTSV = inf(TONEQUO * (TTSNN2TSV+TSNN2TSV_1731) / TOTALQUO) ;
TGLTSC = inf(TONEQUO * (TTSNN2TSC+TSNN2TSC_1731) / TOTALQUO) ;
TGLTS1 = inf(TONEQUO * (TTSNN2TS1+TSNN2TS1_1731) / TOTALQUO) ;
TGLTS2 = inf(TONEQUO * (TTSNN2TS2+TSNN2TS2_1731) / TOTALQUO) ;
TGLTS3 = inf(TONEQUO * (TTSNN2TS3+TSNN2TS3_1731) / TOTALQUO) ;
TGLTS4 = inf(TONEQUO * (TTSNN2TS4+TSNN2TS4_1731) / TOTALQUO) ;
TGLTSTOT = somme(i=V,C,1..4:TGLTSi);
TGLRAF = inf(TONEQUOHT * (TTSNN2RAF) / TOTALQUOHT) ;
TGLRBF = inf(TONEQUOHT * (TTSNN2RBF) / TOTALQUOHT) ;
TGLRCF = inf(TONEQUOHT * (TTSNN2RCF) / TOTALQUOHT) ;
TGLRDF = inf(TONEQUOHT * (TTSNN2RDF) / TOTALQUOHT) ;
TGLREF = inf(TONEQUOHT * (TTSNN2REF) / TOTALQUOHT) ;
TGLRFF = inf(TONEQUOHT * (TTSNN2RFF) / TOTALQUOHT) ;
TGLRAG = inf(TONEQUOHT * (TTSNN2RAG) / TOTALQUOHT) ;
TGLRBG = inf(TONEQUOHT * (TTSNN2RBG) / TOTALQUOHT) ;
TGLRCG = inf(TONEQUOHT * (TTSNN2RCG) / TOTALQUOHT) ;
TGLRDG = inf(TONEQUOHT * (TTSNN2RDG) / TOTALQUOHT) ;
TGLRGG = inf(TONEQUOHT * (TTSNN2RGG) / TOTALQUOHT) ;
TGLRFG = inf(TONEQUOHT * (TTSNN2RFG) / TOTALQUOHT) ;
TGLTSTOT = somme(i=V,C,1..4:TGLTSi)+TGLRAF+TGLRBF+TGLRCF+TGLRDF+TGLREF+TGLRFF+TGLRAG+TGLRBG+TGLRCG+TGLRDG+TGLRGG+TGLRFG;
TGLTSREMPV = inf(TONEQUO * (TTSNN2REMPV+TSNN2REMPV_1731) / TOTALQUO) ;
TGLTSREMPC = inf(TONEQUO * (TTSNN2REMPC+TSNN2REMPC_1731) / TOTALQUO) ;
TGLTSREMP1 = inf(TONEQUO * (TTSNN2REMP1+TSNN2REMP1_1731) / TOTALQUO) ;
TGLTSREMP2 = inf(TONEQUO * (TTSNN2REMP2+TSNN2REMP2_1731) / TOTALQUO) ;
TGLTSREMP3 = inf(TONEQUO * (TTSNN2REMP3+TSNN2REMP3_1731) / TOTALQUO) ;
TGLTSREMP4 = inf(TONEQUO * (TTSNN2REMP4+TSNN2REMP4_1731) / TOTALQUO) ;
TGLTSREMPTOT = somme(i=V,C,1..4:TGLTSREMPi);
TGLPRRV = inf(TONEQUO * (TPRR2V+PRR2V_1731) / TOTALQUO) ;
TGLPRRC = inf(TONEQUO * (TPRR2C+PRR2C_1731) / TOTALQUO) ;
TGLPRR1 = inf(TONEQUO * (TPRR21+PRR21_1731) / TOTALQUO) ;
TGLPRR2 = inf(TONEQUO * (TPRR22+PRR22_1731) / TOTALQUO) ;
TGLPRR3 = inf(TONEQUO * (TPRR23+PRR23_1731) / TOTALQUO) ;
TGLPRR4 = inf(TONEQUO * (TPRR24+PRR24_1731) / TOTALQUO) ;
TGLPRRZV = inf(TONEQUO * (TPRR2ZV+PRR2ZV_1731) / TOTALQUO) ;
TGLPRRZC = inf(TONEQUO * (TPRR2ZC+PRR2ZC_1731) / TOTALQUO) ;
TGLPRRZ1 = inf(TONEQUO * (TPRR2Z1+PRR2Z1_1731) / TOTALQUO) ;
TGLPRRZ2 = inf(TONEQUO * (TPRR2Z2+PRR2Z2_1731) / TOTALQUO) ;
TGLPRRZ3 = inf(TONEQUO * (TPRR2Z3+PRR2Z3_1731) / TOTALQUO) ;
TGLPRRZ4 = inf(TONEQUO * (TPRR2Z4+PRR2Z4_1731) / TOTALQUO) ;
TGLRAL = inf(TONEQUOHT * (TPRR2RAL) / TOTALQUOHT) ;
TGLRBL = inf(TONEQUOHT * (TPRR2RBL) / TOTALQUOHT) ;
TGLRCL = inf(TONEQUOHT * (TPRR2RCL) / TOTALQUOHT) ;
TGLRDL = inf(TONEQUOHT * (TPRR2RDL) / TOTALQUOHT) ;
TGLREL = inf(TONEQUOHT * (TPRR2REL) / TOTALQUOHT) ;
TGLRFL = inf(TONEQUOHT * (TPRR2RFL) / TOTALQUOHT) ;
TGLRAM = inf(TONEQUOHT * (TPRR2RAM) / TOTALQUOHT) ;
TGLRBM = inf(TONEQUOHT * (TPRR2RBM) / TOTALQUOHT) ;
TGLRCM = inf(TONEQUOHT * (TPRR2RCM) / TOTALQUOHT) ;
TGLRDM = inf(TONEQUOHT * (TPRR2RDM) / TOTALQUOHT) ;
TGLREM = inf(TONEQUOHT * (TPRR2REM) / TOTALQUOHT) ;
TGLRFM = inf(TONEQUOHT * (TPRR2RFM) / TOTALQUOHT) ;
TGLPRRTOT = somme(i=V,C,1..4:TGLPRRi+TGLPRRZi)+TGLRAL+TGLRBL+TGLRCL+TGLRDL+TGLREL+TGLRFL+TGLRAM+TGLRBM+TGLRCM+TGLRDM+TGLREM+TGLRFM;
TGLRVO = inf(TONEQUO * 2RV1 / TOTALQUO) ;
TGLRVO5 = inf(TONEQUO * 2RV2 / TOTALQUO) ;
TGLRVO6 = inf(TONEQUO * 2RV3 / TOTALQUO) ;
TGLRVO7 = inf(TONEQUO * 2RV4 / TOTALQUO) ;
TGLRVOR = inf(TONEQUO * 2RV1R / TOTALQUO) ;
TGLRVO5R = inf(TONEQUO * 2RV2R / TOTALQUO) ;
TGLRVO6R = inf(TONEQUO * 2RV3R / TOTALQUO) ;
TGLRVO7R = inf(TONEQUO * 2RV4R / TOTALQUO) ;
TGLRVOTOT = TGLRVO + TGLRVO5 + TGLRVO6 + TGLRVO7+TGLRVOR + TGLRVO5R + TGLRVO6R + TGLRVO7R;
TGLRCMDC  = inf(TONEQUO * 2RCM / TOTALQUO) ;
TGLRCMFU  = inf(TONEQUO * 3RCM / TOTALQUO) ;
TGLRCMCH  = inf(TONEQUO * 4RCM / TOTALQUO) ;
TGLRCMTS  = inf(TONEQUO * 5RCM / TOTALQUO) ;
TGLRCMGO = inf(TONEQUO * 6RCM / TOTALQUO) ;
TGLRCMTR  = inf(TONEQUO * 7RCM / TOTALQUO) ;
TGLRCMTOT = TGLRCMDC + TGLRCMFU + TGLRCMCH + TGLRCMGO + TGLRCMTR + TGLRCMTS;
TGLRF1  = inf(TONEQUO * (2REVF+2REVF_1731) / TOTALQUO) ;
TGLRF2  = (TONEQUO-TGLTOT-TGLFTOT-TGLPALIMTOT-TGLTSTOT-TGLTSREMPTOT-TGLPRRTOT-TGLRVOTOT-TGLRCMTOT-TGLRF1);
TGLRFTOT = TGLRF1 + TGLRF2;
TEGLFV = GLFV * (1-positif(INDTEFF)) + TGLFV * positif(INDTEFF);
TEGLFC = GLFC * (1-positif(INDTEFF)) + TGLFC * positif(INDTEFF);
TEGLF1 = GLF1 * (1-positif(INDTEFF)) + TGLF1 * positif(INDTEFF);
TEGLF2 = GLF2 * (1-positif(INDTEFF)) + TGLF2 * positif(INDTEFF);
TEGLF3 = GLF3 * (1-positif(INDTEFF)) + TGLF3 * positif(INDTEFF);
TEGLF4 = GLF4 * (1-positif(INDTEFF)) + TGLF4 * positif(INDTEFF);
TEGLRF2 = GLRF2 * (1-positif(INDTEFF)) + TGLRF2 * positif(INDTEFF);

regle 701070:
application : iliad ;


GLRWBM = inf(TONEQUOMHT * CODRWB / TOTALQUOHT)* positif(null(1-FLAG_EXIT)+null(2-FLAG_EXIT)) ;
GLRWAM = inf(TONEQUOMHT * CODRWA / TOTALQUOHT) * null(2-FLAG_EXIT);
GLRVGM = inf(TONEQUOMHT * CODRVG / TOTALQUOHT) *(1-positif(COD2OP))
           + inf(TONEQUOMHT * max(0,CODRVG-CODRSG) / TOTALQUOHT) * positif(COD2OP) ;
GLRUAM = inf(TONEQUOMHT * max(0,CODRUA-CODRVA-CODRSL)/TOTALQUOHT) * positif(COD2OP) ;
GL4VM = inf(TONEQUOMHT * REV4V / TOTALQUOHT);
GL4CM = inf(TONEQUOMHT * REV4C / TOTALQUOHT);
GL4VCM = inf(TONEQUOMHT * REV4VC / TOTALQUOHT);
GL4TVCM = inf(TONEQUOMHT * REV4TVC / TOTALQUOHT);
GL4M = inf(TONEQUOMHT * REV4HT / TOTALQUOHT) ;
GLTOTM = somme(i=1..4:GLiM)+GLRVGM+GLRUAM+GLRWBM+GLRWAM;
GLFVM = inf(TONEQUOMHT * (PENFV+PENFV_1731) / TOTALQUOHT) ;
GLFCM = inf(TONEQUOMHT * (PENFC+PENFC_1731) / TOTALQUOHT) ;
GLF1M = inf(TONEQUOMHT * (PENF1+PENF1_1731) / TOTALQUOHT) ;
GLF2M = inf(TONEQUOMHT * (PENF2+PENF2_1731) / TOTALQUOHT) ;
GLF3M = inf(TONEQUOMHT * (PENF3+PENF3_1731) / TOTALQUOHT) ;
GLF4M = inf(TONEQUOMHT * (PENF4+PENF4_1731) / TOTALQUOHT) ;
GLFTOTM = somme(i=V,C,1..4:GLFiM);
GLPALIMVM = inf(TONEQUOMHT * (PENALIMV+PENALIMV_1731) / TOTALQUOHT) ;
GLPALIMCM = inf(TONEQUOMHT * (PENALIMC+PENALIMC_1731) / TOTALQUOHT) ;
GLPALIM1M = inf(TONEQUOMHT * (PENALIM1+PENALIM1_1731) / TOTALQUOHT) ;
GLPALIM2M = inf(TONEQUOMHT * (PENALIM2+PENALIM2_1731) / TOTALQUOHT) ;
GLPALIM3M = inf(TONEQUOMHT * (PENALIM3+PENALIM3_1731) / TOTALQUOHT) ;
GLPALIM4M = inf(TONEQUOMHT * (PENALIM4+PENALIM4_1731) / TOTALQUOHT) ;
GLPALIMTOTM = somme(i=V,C,1..4:GLPALIMiM);
GLTSVM = inf(TONEQUOMHT * (TSNN2TSV+TSNN2TSV_1731) / TOTALQUOHT) ;
GLTSCM = inf(TONEQUOMHT * (TSNN2TSC+TSNN2TSC_1731) / TOTALQUOHT) ;
GLTS1M = inf(TONEQUOMHT * (TSNN2TS1+TSNN2TS1_1731) / TOTALQUOHT) ;
GLTS2M = inf(TONEQUOMHT * (TSNN2TS2+TSNN2TS2_1731) / TOTALQUOHT) ;
GLTS3M = inf(TONEQUOMHT * (TSNN2TS3+TSNN2TS3_1731) / TOTALQUOHT) ;
GLTS4M = inf(TONEQUOMHT * (TSNN2TS4+TSNN2TS4_1731) / TOTALQUOHT) ;
GLRAFM = inf(TONEQUOMHT * (TSNN2RAF) / TOTALQUOHT) ;
GLRBFM = inf(TONEQUOMHT * (TSNN2RBF) / TOTALQUOHT) ;
GLRCFM = inf(TONEQUOMHT * (TSNN2RCF) / TOTALQUOHT) ;
GLRDFM = inf(TONEQUOMHT * (TSNN2RDF) / TOTALQUOHT) ;
GLREFM = inf(TONEQUOMHT * (TSNN2REF) / TOTALQUOHT) ;
GLRFFM = inf(TONEQUOMHT * (TSNN2RFF) / TOTALQUOHT) ;
GLRAGM = inf(TONEQUOMHT * (TSNN2RAG) / TOTALQUOHT) ;
GLRBGM = inf(TONEQUOMHT * (TSNN2RBG) / TOTALQUOHT) ;
GLRCGM = inf(TONEQUOMHT * (TSNN2RCG) / TOTALQUOHT) ;
GLRDGM = inf(TONEQUOMHT * (TSNN2RDG) / TOTALQUOHT) ;
GLRGGM = inf(TONEQUOMHT * (TSNN2RGG) / TOTALQUOHT) ;
GLRFGM = inf(TONEQUOMHT * (TSNN2RFG) / TOTALQUOHT) ;
GLTSTOTM = somme(i=V,C,1..4:GLTSiM)+GLRAFM+GLRBFM+GLRCFM+GLRDFM+GLREFM+GLRFFM+GLRAGM+GLRBGM+GLRCGM+GLRDGM+GLRGGM+GLRFGM;
GLRALM = inf(TONEQUOMHT * (PRR2RAL) / TOTALQUOHT) ;
GLRBLM = inf(TONEQUOMHT * (PRR2RBL) / TOTALQUOHT) ;
GLRCLM = inf(TONEQUOMHT * (PRR2RCL) / TOTALQUOHT) ;
GLRDLM = inf(TONEQUOMHT * (PRR2RDL) / TOTALQUOHT) ;
GLRELM = inf(TONEQUOMHT * (PRR2REL) / TOTALQUOHT) ;
GLRFLM = inf(TONEQUOMHT * (PRR2RFL) / TOTALQUOHT) ;
GLRAMM = inf(TONEQUOMHT * (PRR2RAM) / TOTALQUOHT) ;
GLRBMM = inf(TONEQUOMHT * (PRR2RBM) / TOTALQUOHT) ;
GLRCMM = inf(TONEQUOMHT * (PRR2RCM) / TOTALQUOHT) ;
GLRDMM = inf(TONEQUOMHT * (PRR2RDM) / TOTALQUOHT) ;
GLREMM = inf(TONEQUOMHT * (PRR2REM) / TOTALQUOHT) ;
GLRFMM = inf(TONEQUOMHT * (PRR2RFM) / TOTALQUOHT) ;
GLTSREMPVM = inf(TONEQUOMHT * (TSNN2REMPV+TSNN2REMPV_1731) / TOTALQUOHT) ;
GLTSREMPCM = inf(TONEQUOMHT * (TSNN2REMPC+TSNN2REMPC_1731) / TOTALQUOHT) ;
GLTSREMP1M = inf(TONEQUOMHT * (TSNN2REMP1+TSNN2REMP1_1731) / TOTALQUOHT) ;
GLTSREMP2M = inf(TONEQUOMHT * (TSNN2REMP2+TSNN2REMP2_1731) / TOTALQUOHT) ;
GLTSREMP3M = inf(TONEQUOMHT * (TSNN2REMP3+TSNN2REMP3_1731) / TOTALQUOHT) ;
GLTSREMP4M = inf(TONEQUOMHT * (TSNN2REMP4+TSNN2REMP4_1731) / TOTALQUOHT) ;
GLTSREMPTOTM = somme(i=V,C,1..4:GLTSREMPiM);
GLPRRVM = inf(TONEQUOMHT * (PRR2V+PRR2V_1731) / TOTALQUOHT) ;
GLPRRCM = inf(TONEQUOMHT * (PRR2C+PRR2C_1731) / TOTALQUOHT) ;
GLPRR1M = inf(TONEQUOMHT * (PRR21+PRR21_1731) / TOTALQUOHT) ;
GLPRR2M = inf(TONEQUOMHT * (PRR22+PRR22_1731) / TOTALQUOHT) ;
GLPRR3M = inf(TONEQUOMHT * (PRR23+PRR23_1731) / TOTALQUOHT) ;
GLPRR4M = inf(TONEQUOMHT * (PRR24+PRR24_1731) / TOTALQUOHT) ;
GLPRRZVM = inf(TONEQUOMHT * (PRR2ZV+PRR2ZV_1731) / TOTALQUOHT) ;
GLPRRZCM = inf(TONEQUOMHT * (PRR2ZC+PRR2ZC_1731) / TOTALQUOHT) ;
GLPRRZ1M = inf(TONEQUOMHT * (PRR2Z1+PRR2Z1_1731) / TOTALQUOHT) ;
GLPRRZ2M = inf(TONEQUOMHT * (PRR2Z2+PRR2Z2_1731) / TOTALQUOHT) ;
GLPRRZ3M = inf(TONEQUOMHT * (PRR2Z3+PRR2Z3_1731) / TOTALQUOHT) ;
GLPRRZ4M = inf(TONEQUOMHT * (PRR2Z4+PRR2Z4_1731) / TOTALQUOHT) ;
GLPRRTOTM = somme(i=V,C,1..4:GLPRRiM+GLPRRZiM)+GLRALM+GLRBLM+GLRCLM+GLRDLM+GLRELM+GLRFLM+GLRAMM+GLRBMM+GLRCMM+GLRDMM+GLREMM+GLRFMM;
GLRVOM = inf(TONEQUOMHT * 2RV1 / TOTALQUOHT) ;
GLRVO5M = inf(TONEQUOMHT * 2RV2 / TOTALQUOHT) ;
GLRVO6M = inf(TONEQUOMHT * 2RV3 / TOTALQUOHT) ;
GLRVO7M = inf(TONEQUOMHT * 2RV4 / TOTALQUOHT) ;
GLRVORM = inf(TONEQUOMHT * 2RV1R / TOTALQUOHT) ;
GLRVO5RM = inf(TONEQUOMHT * 2RV2R / TOTALQUOHT) ;
GLRVO6RM = inf(TONEQUOMHT * 2RV3R / TOTALQUOHT) ;
GLRVO7RM = inf(TONEQUOMHT * 2RV4R / TOTALQUOHT) ;
GLRVOTOTM = GLRVOM + GLRVO5M + GLRVO6M + GLRVO7M+GLRVORM + GLRVO5RM + GLRVO6RM + GLRVO7RM;
GLRCMDCM = inf(TONEQUOMHT * 2RCM / TOTALQUOHT) ;
GLRCMFUM = inf(TONEQUOMHT * 3RCM / TOTALQUOHT) ;
GLRCMCHM = inf(TONEQUOMHT * 4RCM / TOTALQUOHT) ;
GLRCMTSM = inf(TONEQUOMHT * 5RCM / TOTALQUOHT) ;
GLRCMGOM = inf(TONEQUOMHT * 6RCM / TOTALQUOHT) ;
GLRCMTRM = inf(TONEQUOMHT * 7RCM / TOTALQUOHT) ;
GLRCMTOTM = GLRCMDCM + GLRCMFUM + GLRCMCHM + GLRCMGOM + GLRCMTRM + GLRCMTSM;

GLRF1M = arr(TONEQUOMHT * (2REVF+2REVF_1731) / TOTALQUOHT) ;
GLRF2M = (TONEQUOMHT-GLTOTM-GLFTOTM-GLPALIMTOTM-GLTSTOTM-GLTSREMPTOTM-GLPRRTOTM-GLRVOTOTM-GLRCMTOTM-GLRF1M) ;
GLRFTOTM = GLRF1M + GLRF2M ;

regle 701080:
application : iliad ;


TGLRWBM = arr(TONEQUOM * CODRWB / TOTALQUO) * positif(null(1-FLAG_EXIT)+null(2-FLAG_EXIT));
TGLRWAM = arr(TONEQUOM * CODRWA / TOTALQUO)  * null(2-FLAG_EXIT) ;
TGLRVGM = inf(TONEQUOM * CODRVG / TOTALQUO) *(1-positif(COD2OP))
           + inf(TONEQUOM * max(0,CODRVG-CODRSG) / TOTALQUO) *positif(COD2OP);
TGLRUAM = inf(TONEQUOM * max(0,CODRUA-CODRVA-CODRSL)/TOTALQUO)*(positif(COD2OP));
TGL4VM = arr(TONEQUOM * REV4V / TOTALQUO);
TGL4CM = arr(TONEQUOM * REV4C / TOTALQUO);
TGL4VCM = arr(TONEQUOM * REV4VC / TOTALQUO);
TGL4TVCM = arr(TONEQUOM * REV4TVC / TOTALQUO);
TGL4M = arr(TONEQUOM * REV4 / TOTALQUO) ;
TGLTOTM = somme(i=1..4:TGLiM)+TGLRVGM+TGLRUAM+TGLRWBM+TGLRWAM;
TGLFVM = arr(TONEQUOM * (TPENFV+PENFV_1731) / TOTALQUO) ;
TGLFCM = arr(TONEQUOM * (TPENFC+PENFC_1731) / TOTALQUO) ;
TGLF1M = arr(TONEQUOM * (TPENF1+PENF1_1731) / TOTALQUO) ;
TGLF2M = arr(TONEQUOM * (TPENF2+PENF2_1731) / TOTALQUO) ;
TGLF3M = arr(TONEQUOM * (TPENF3+PENF3_1731) / TOTALQUO) ;
TGLF4M = arr(TONEQUOM * (TPENF4+PENF4_1731) / TOTALQUO) ;
TGLFTOTM = somme(i=V,C,1..4:TGLFiM);
TGLPALIMVM = inf(TONEQUOM * (TPENALIMV+PENALIMV_1731) / TOTALQUO) ;
TGLPALIMCM = inf(TONEQUOM * (TPENALIMC+PENALIMC_1731) / TOTALQUO) ;
TGLPALIM1M = inf(TONEQUOM * (TPENALIM1+PENALIM1_1731) / TOTALQUO) ;
TGLPALIM2M = inf(TONEQUOM * (TPENALIM2+PENALIM2_1731) / TOTALQUO) ;
TGLPALIM3M = inf(TONEQUOM * (TPENALIM3+PENALIM3_1731) / TOTALQUO) ;
TGLPALIM4M = inf(TONEQUOM * (TPENALIM4+PENALIM4_1731) / TOTALQUO) ;
TGLPALIMTOTM = somme(i=V,C,1..4:TGLPALIMiM);
TGLTSVM = inf(TONEQUOM * (TTSNN2TSV+TSNN2TSV_1731) / TOTALQUO) ;
TGLTSCM = inf(TONEQUOM * (TTSNN2TSC+TSNN2TSC_1731) / TOTALQUO) ;
TGLTS1M = inf(TONEQUOM * (TTSNN2TS1+TSNN2TS1_1731) / TOTALQUO) ;
TGLTS2M = inf(TONEQUOM * (TTSNN2TS2+TSNN2TS2_1731) / TOTALQUO) ;
TGLTS3M = inf(TONEQUOM * (TTSNN2TS3+TSNN2TS3_1731) / TOTALQUO) ;
TGLTS4M = inf(TONEQUOM * (TTSNN2TS4+TSNN2TS4_1731) / TOTALQUO) ;
TGLRAFM = inf(TONEQUOMHT * (TSNN2RAF) / TOTALQUOHT) ;
TGLRBFM = inf(TONEQUOMHT * (TSNN2RBF) / TOTALQUOHT) ;
TGLRCFM = inf(TONEQUOMHT * (TSNN2RCF) / TOTALQUOHT) ;
TGLRDFM = inf(TONEQUOMHT * (TSNN2RDF) / TOTALQUOHT) ;
TGLREFM = inf(TONEQUOMHT * (TSNN2REF) / TOTALQUOHT) ;
TGLRFFM = inf(TONEQUOMHT * (TSNN2RFF) / TOTALQUOHT) ;
TGLRAGM = inf(TONEQUOMHT * (TSNN2RAG) / TOTALQUOHT) ;
TGLRBGM = inf(TONEQUOMHT * (TSNN2RBG) / TOTALQUOHT) ;
TGLRCGM = inf(TONEQUOMHT * (TSNN2RCG) / TOTALQUOHT) ;
TGLRDGM = inf(TONEQUOMHT * (TSNN2RDG) / TOTALQUOHT) ;
TGLRGGM = inf(TONEQUOMHT * (TSNN2RGG) / TOTALQUOHT) ;
TGLRFGM = inf(TONEQUOMHT * (TSNN2RFG) / TOTALQUOHT) ;
TGLTSTOTM = somme(i=V,C,1..4:TGLTSiM)+TGLRAFM+TGLRBFM+TGLRCFM+TGLRDFM+TGLREFM+TGLRFFM+TGLRAGM+TGLRBGM+TGLRCGM+TGLRDGM+TGLRGGM+TGLRFGM;
TGLRALM = inf(TONEQUOMHT * (TPRR2RAL) / TOTALQUOHT) ;
TGLRBLM = inf(TONEQUOMHT * (TPRR2RBL) / TOTALQUOHT) ;
TGLRCLM = inf(TONEQUOMHT * (TPRR2RCL) / TOTALQUOHT) ;
TGLRDLM = inf(TONEQUOMHT * (TPRR2RDL) / TOTALQUOHT) ;
TGLRELM = inf(TONEQUOMHT * (TPRR2REL) / TOTALQUOHT) ;
TGLRFLM = inf(TONEQUOMHT * (TPRR2RFL) / TOTALQUOHT) ;
TGLRAMM = inf(TONEQUOMHT * (TPRR2RAM) / TOTALQUOHT) ;
TGLRBMM = inf(TONEQUOMHT * (TPRR2RBM) / TOTALQUOHT) ;
TGLRCMM = inf(TONEQUOMHT * (TPRR2RCM) / TOTALQUOHT) ;
TGLRDMM = inf(TONEQUOMHT * (TPRR2RDM) / TOTALQUOHT) ;
TGLREMM = inf(TONEQUOMHT * (TPRR2REM) / TOTALQUOHT) ;
TGLRFMM = inf(TONEQUOMHT * (TPRR2RFM) / TOTALQUOHT) ;
TGLTSREMPVM = inf(TONEQUOM * (TTSNN2REMPV+TSNN2REMPV_1731) / TOTALQUO) ;
TGLTSREMPCM = inf(TONEQUOM * (TTSNN2REMPC+TSNN2REMPC_1731) / TOTALQUO) ;
TGLTSREMP1M = inf(TONEQUOM * (TTSNN2REMP1+TSNN2REMP1_1731) / TOTALQUO) ;
TGLTSREMP2M = inf(TONEQUOM * (TTSNN2REMP2+TSNN2REMP2_1731) / TOTALQUO) ;
TGLTSREMP3M = inf(TONEQUOM * (TTSNN2REMP3+TSNN2REMP3_1731) / TOTALQUO) ;
TGLTSREMP4M = inf(TONEQUOM * (TTSNN2REMP4+TSNN2REMP4_1731) / TOTALQUO) ;
TGLTSREMPTOTM = somme(i=V,C,1..4:TGLTSREMPiM);
TGLPRRVM = inf(TONEQUOM * (TPRR2V+PRR2V_1731) / TOTALQUO) ;
TGLPRRCM = inf(TONEQUOM * (TPRR2C+PRR2C_1731) / TOTALQUO) ;
TGLPRR1M = inf(TONEQUOM * (TPRR21+PRR21_1731) / TOTALQUO) ;
TGLPRR2M = inf(TONEQUOM * (TPRR22+PRR22_1731) / TOTALQUO) ;
TGLPRR3M = inf(TONEQUOM * (TPRR23+PRR23_1731) / TOTALQUO) ;
TGLPRR4M = inf(TONEQUOM * (TPRR24+PRR24_1731) / TOTALQUO) ;
TGLPRRZVM = inf(TONEQUOM * (TPRR2ZV+PRR2ZV_1731) / TOTALQUO) ;
TGLPRRZCM = inf(TONEQUOM * (TPRR2ZC+PRR2ZC_1731) / TOTALQUO) ;
TGLPRRZ1M = inf(TONEQUOM * (TPRR2Z1+PRR2Z1_1731) / TOTALQUO) ;
TGLPRRZ2M = inf(TONEQUOM * (TPRR2Z2+PRR2Z2_1731) / TOTALQUO) ;
TGLPRRZ3M = inf(TONEQUOM * (TPRR2Z3+PRR2Z3_1731) / TOTALQUO) ;
TGLPRRZ4M = inf(TONEQUOM * (TPRR2Z4+PRR2Z4_1731) / TOTALQUO) ;
TGLPRRTOTM = somme(i=V,C,1..4:TGLPRRiM+TGLPRRZiM)+TGLRALM+TGLRBLM+TGLRCLM+TGLRDLM+TGLRELM+TGLRFLM+TGLRAMM+TGLRBMM+TGLRCMM+TGLRDMM+TGLREMM+TGLRFMM;
TGLRVOM = inf(TONEQUOM * 2RV1 / TOTALQUO) ;
TGLRVO5M = inf(TONEQUOM * 2RV2 / TOTALQUO) ;
TGLRVO6M = inf(TONEQUOM * 2RV3 / TOTALQUO) ;
TGLRVO7M = inf(TONEQUOM * 2RV4 / TOTALQUO) ;
TGLRVORM = inf(TONEQUOM * 2RV1R / TOTALQUO) ;
TGLRVO5RM = inf(TONEQUOM * 2RV2R / TOTALQUO) ;
TGLRVO6RM = inf(TONEQUOM * 2RV3R / TOTALQUO) ;
TGLRVO7RM = inf(TONEQUOM * 2RV4R / TOTALQUO) ;
TGLRVOTOTM = TGLRVOM + TGLRVO5M + TGLRVO6M + TGLRVO7M+TGLRVORM + TGLRVO5RM + TGLRVO6RM + TGLRVO7RM;
TGLRCMDCM = inf(TONEQUOM * 2RCM / TOTALQUO) ;
TGLRCMFUM = inf(TONEQUOM * 3RCM / TOTALQUO) ;
TGLRCMCHM = inf(TONEQUOM * 4RCM / TOTALQUO) ;
TGLRCMTSM = inf(TONEQUOM * 5RCM / TOTALQUO) ;
TGLRCMGOM = inf(TONEQUOM * 6RCM / TOTALQUO) ;
TGLRCMTRM = inf(TONEQUOM * 7RCM / TOTALQUO) ;
TGLRCMTOTM = TGLRCMDCM + TGLRCMFUM + TGLRCMCHM + TGLRCMGOM + TGLRCMTRM + TGLRCMTSM;
TGLRF1M  = inf(TONEQUOM * (2REVF+2REVF_1731) / TOTALQUO) ;
TGLRF2M  = (TONEQUOM-TGLTOTM-TGLFTOTM-TGLPALIMTOTM-TGLTSTOTM-TGLTSREMPTOTM-TGLPRRTOTM-TGLRVOTOTM-TGLRCMTOTM-TGLRF1M);
TGLRFTOTM = TGLRF1M + TGLRF2M;

regle 701090:
application : iliad ;

RPQRWB = inf(GLRWB / CODNWB)+0;
RPQRWA = inf(GLRWA / CODNWA)+0;
RPQRVG = inf(GLRVG / CODNVG)+0;
RPQRUA = inf(GLRUA / CODNUA)+0;
RPQ4 = inf(GL4 / DIVGL4)+0;
RPQ4V = arr(GL4V / DIVGL4)+0;
RPQ4C = arr(GL4C / DIVGL4)+0;
RPQ4RAJV = arr(GL4RAJV / DIVGL4)+0;
RPQ4RBJC = arr(GL4RBJC / DIVGL4)+0;
RPQ4VC = arr(GL4VC / DIVGL4)+0;
RPQ4TVC = arr(GL4TVC / DIVGL4)+0;
RPQFV = inf(GLFV/COTFV);
RPQFC = inf(GLFC/COTFC);
RPQF1 = inf(GLF1/COTF1);
RPQF2 = inf(GLF2/COTF2);
RPQF3 = inf(GLF3/COTF3);
RPQF4 = inf(GLF4/COTF4);
RPQPALIMV = inf(GLPALIMV/PENSALNBV);
RPQPALIMC = inf(GLPALIMC/PENSALNBC);
RPQPALIM1 = inf(GLPALIM1/PENSALNBP1);
RPQPALIM2 = inf(GLPALIM2/PENSALNBP2);
RPQPALIM3 = inf(GLPALIM3/PENSALNBP3);
RPQPALIM4 = inf(GLPALIM4/PENSALNBP4);
RPQRF1 = inf(GLRF1/FONCINB);
RPQRF2 = inf(GLRF2/REAMORNB);
RPQRCMDC = inf(GLRCMDC/REVACTNB);
RPQRCMFU = inf(GLRCMFU/REVPEANB);
RPQRCMCH = inf(GLRCMCH/PROVIENB);
RPQRCMTS = inf(GLRCMTS/DISQUONB);
RPQRCMGO = inf(GLRCMGO/RESTUCNB);
RPQRCMTR = inf(GLRCMTR/INTERENB);
RPQPRRV = inf(GLPRRV/CARPENBAV);
RPQPRRC = inf(GLPRRC/CARPENBAC);
RPQPRR1 = inf(GLPRR1/CARPENBAP1);
RPQPRR2 = inf(GLPRR2/CARPENBAP2);
RPQPRR3 = inf(GLPRR3/CARPENBAP3);
RPQPRR4 = inf(GLPRR4/CARPENBAP4);
RPQPRRZV = inf(GLPRRZV/CODNAZ);
RPQPRRZC = inf(GLPRRZC/CODNBZ);
RPQPRRZ1 = inf(GLPRRZ1/CODNCZ);
RPQPRRZ2 = inf(GLPRRZ2/CODNDZ);
RPQPRRZ3 = inf(GLPRRZ3/CODNEZ);
RPQPRRZ4 = inf(GLPRRZ4/CODNFZ);
RPQRVO = inf(GLRVO/RENTAXNB);
RPQRVO5 = inf(GLRVO5/RENTAXNB5);
RPQRVO6 = inf(GLRVO6/RENTAXNB6);
RPQRVO7 = inf(GLRVO7/RENTAXNB7);
RPQRVOR = inf(GLRVOR/CODNAR);
RPQRVO5R = inf(GLRVO5R/CODNBR);
RPQRVO6R = inf(GLRVO6R/CODNCR);
RPQRVO7R = inf(GLRVO7R/CODNDR);
RPQTSV = inf(GLTSV/CARTSNBAV);
RPQTSC = inf(GLTSC/CARTSNBAC);
RPQTS1 = inf(GLTS1/CARTSNBAP1);
RPQTS2 = inf(GLTS2/CARTSNBAP2);
RPQTS3 = inf(GLTS3/CARTSNBAP3);
RPQTS4 = inf(GLTS4/CARTSNBAP4);
RPQRAF = inf(GLRAF/CODNAF);
RPQRBF = inf(GLRBF/CODNBF);
RPQRCF = inf(GLRCF/CODNCF);
RPQRDF = inf(GLRDF/CODNDF);
RPQREF = inf(GLREF/CODNEF);
RPQRFF = inf(GLRFF/CODNFF);
RPQRAG = inf(GLRAG/CODNAG);
RPQRBG = inf(GLRBG/CODNBG);
RPQRCG = inf(GLRCG/CODNCG);
RPQRDG = inf(GLRDG/CODNDG);
RPQRGG = inf(GLRGG/CODNGG);
RPQRFG = inf(GLRFG/CODNFG);
RPQRAL = inf(GLRAL/CODNAL);
RPQRBL = inf(GLRBL/CODNBL);
RPQRCL = inf(GLRCL/CODNCL);
RPQRDL = inf(GLRDL/CODNDL);
RPQREL = inf(GLREL/CODNEL);
RPQRFL = inf(GLRFL/CODNFL);
RPQRAM = inf(GLRAM/CODNAM);
RPQRBM = inf(GLRBM/CODNBM);
RPQRCM = inf(GLRCM/CODNCM);
RPQRDM = inf(GLRDM/CODNDM);
RPQREM = inf(GLREM/CODNEM);
RPQRFM = inf(GLRFM/CODNFM);
RPQTSREMPV = inf(GLTSREMPV/REMPLANBV);
RPQTSREMPC = inf(GLTSREMPC/REMPLANBC);
RPQTSREMP1 = inf(GLTSREMP1/REMPLANBP1);
RPQTSREMP2 = inf(GLTSREMP2/REMPLANBP2);
RPQTSREMP3 = inf(GLTSREMP3/REMPLANBP3);
RPQTSREMP4 = inf(GLTSREMP4/REMPLANBP4);

RASRPQRWB = inf(RASGLRWB / CODNWB)+0;
RASRPQRWA = inf(RASGLRWA / CODNWA)+0;
RASRPQRVG = inf(RASGLRVG / CODNVG)+0;
RASRPQRUA = inf(RASGLRUA / CODNUA)+0;
RASRPQ4V = inf(RASGL4V / DIVGL4)+0;
RASRPQ4C = inf(RASGL4C / DIVGL4)+0;
RASRPQ4P = inf(RASGL4P / DIVGL4)+0;
RASRPQ4 = inf(RASGL4 / DIVGL4)+0;
RASRPQFV = inf(RASGLFV/COTFV);
RASRPQFC = inf(RASGLFC/COTFC);
RASRPQF1 = inf(RASGLF1/COTF1);
RASRPQF2 = inf(RASGLF2/COTF2);
RASRPQF3 = inf(RASGLF3/COTF3);
RASRPQF4 = inf(RASGLF4/COTF4);
RASRPQPALIMV = inf(RASGLPALIMV/PENSALNBV);
RASRPQPALIMC = inf(RASGLPALIMC/PENSALNBC);
RASRPQPALIM1 = inf(RASGLPALIM1/PENSALNBP1);
RASRPQPALIM2 = inf(RASGLPALIM2/PENSALNBP2);
RASRPQPALIM3 = inf(RASGLPALIM3/PENSALNBP3);
RASRPQPALIM4 = inf(RASGLPALIM4/PENSALNBP4);
RASRPQRF1 = inf(RASGLRF1/FONCINB);
RASRPQRF2 = inf(RASGLRF2/REAMORNB);
RASRPQRCMDC = inf(RASGLRCMDC/REVACTNB);
RASRPQRCMFU = inf(RASGLRCMFU/REVPEANB);
RASRPQRCMCH = inf(RASGLRCMCH/PROVIENB);
RASRPQRCMTS = inf(RASGLRCMTS/DISQUONB);
RASRPQRCMGO = inf(RASGLRCMGO/RESTUCNB);
RASRPQRCMTR = inf(RASGLRCMTR/INTERENB);
RASRPQPRRV = inf(RASGLPRRV/CARPENBAV);
RASRPQPRRC = inf(RASGLPRRC/CARPENBAC);
RASRPQPRR1 = inf(RASGLPRR1/CARPENBAP1);
RASRPQPRR2 = inf(RASGLPRR2/CARPENBAP2);
RASRPQPRR3 = inf(RASGLPRR3/CARPENBAP3);
RASRPQPRR4 = inf(RASGLPRR4/CARPENBAP4);
RASRPQPRRZV = inf(RASGLPRRZV/CODNAZ);
RASRPQPRRZC = inf(RASGLPRRZC/CODNBZ);
RASRPQPRRZ1 = inf(RASGLPRRZ1/CODNCZ);
RASRPQPRRZ2 = inf(RASGLPRRZ2/CODNDZ);
RASRPQPRRZ3 = inf(RASGLPRRZ3/CODNEZ);
RASRPQPRRZ4 = inf(RASGLPRRZ4/CODNFZ);
RASRPQRVO = inf(RASGLRVO/RENTAXNB);
RASRPQRVO5 = inf(RASGLRVO5/RENTAXNB5);
RASRPQRVO6 = inf(RASGLRVO6/RENTAXNB6);
RASRPQRVO7 = inf(RASGLRVO7/RENTAXNB7);
RASRPQRVOR = inf(RASGLRVOR/CODNAR);
RASRPQRVO5R = inf(RASGLRVO5R/CODNBR);
RASRPQRVO6R = inf(RASGLRVO6R/CODNCR);
RASRPQRVO7R = inf(RASGLRVO7R/CODNDR);
RASRPQTSV = inf(RASGLTSV/CARTSNBAV);
RASRPQTSC = inf(RASGLTSC/CARTSNBAC);
RASRPQTS1 = inf(RASGLTS1/CARTSNBAP1);
RASRPQTS2 = inf(RASGLTS2/CARTSNBAP2);
RASRPQTS3 = inf(RASGLTS3/CARTSNBAP3);
RASRPQTS4 = inf(RASGLTS4/CARTSNBAP4);
RASRPQTSREMPV = inf(RASGLTSREMPV/REMPLANBV);
RASRPQTSREMPC = inf(RASGLTSREMPC/REMPLANBC);
RASRPQTSREMP1 = inf(RASGLTSREMP1/REMPLANBP1);
RASRPQTSREMP2 = inf(RASGLTSREMP2/REMPLANBP2);
RASRPQTSREMP3 = inf(RASGLTSREMP3/REMPLANBP3);
RASRPQTSREMP4 = inf(RASGLTSREMP4/REMPLANBP4);
RASRPQRAF = inf(RASGLRAF/CODNAF);
RASRPQRBF = inf(RASGLRBF/CODNBF);
RASRPQRCF = inf(RASGLRCF/CODNCF);
RASRPQRDF = inf(RASGLRDF/CODNDF);
RASRPQREF = inf(RASGLREF/CODNEF);
RASRPQRFF = inf(RASGLRFF/CODNFF);
RASRPQRAG = inf(RASGLRAG/CODNAG);
RASRPQRBG = inf(RASGLRBG/CODNBG);
RASRPQRCG = inf(RASGLRCG/CODNCG);
RASRPQRDG = inf(RASGLRDG/CODNDG);
RASRPQRGG = inf(RASGLRGG/CODNGG);
RASRPQRFG = inf(RASGLRFG/CODNFG);
RASRPQRAL = inf(RASGLRAL/CODNAL);
RASRPQRBL = inf(RASGLRBL/CODNBL);
RASRPQRCL = inf(RASGLRCL/CODNCL);
RASRPQRDL = inf(RASGLRDL/CODNDL);
RASRPQREL = inf(RASGLREL/CODNEL);
RASRPQRFL = inf(RASGLRFL/CODNFL);
RASRPQRAM = inf(RASGLRAM/CODNAM);
RASRPQRBM = inf(RASGLRBM/CODNBM);
RASRPQRCM = inf(RASGLRCM/CODNCM);
RASRPQRDM = inf(RASGLRDM/CODNDM);
RASRPQREM = inf(RASGLREM/CODNEM);
RASRPQRFM = inf(RASGLRFM/CODNFM);
TRASRPQRWB = inf(TRASGLRWB / CODNWB)+0;
TRASRPQRWA = inf(TRASGLRWA / CODNWA)+0;
TRASRPQRVG = inf(TRASGLRVG / CODNVG)+0;
TRASRPQRUA = inf(TRASGLRUA / CODNUA)+0;
TRASRPQ4V = inf(TRASGL4V / DIVGL4)+0;
TRASRPQ4C = inf(TRASGL4C / DIVGL4)+0;
TRASRPQ4P = inf(TRASGL4P / DIVGL4)+0;
TRASRPQ4 = inf(TRASGL4 / DIVGL4)+0;
TRASRPQFV = inf(TRASGLFV/COTFV);
TRASRPQFC = inf(TRASGLFC/COTFC);
TRASRPQF1 = inf(TRASGLF1/COTF1);
TRASRPQF2 = inf(TRASGLF2/COTF2);
TRASRPQF3 = inf(TRASGLF3/COTF3);
TRASRPQF4 = inf(TRASGLF4/COTF4);
TRASRPQPALIMV = inf(TRASGLPALIMV/PENSALNBV);
TRASRPQPALIMC = inf(TRASGLPALIMC/PENSALNBC);
TRASRPQPALIM1 = inf(TRASGLPALIM1/PENSALNBP1);
TRASRPQPALIM2 = inf(TRASGLPALIM2/PENSALNBP2);
TRASRPQPALIM3 = inf(TRASGLPALIM3/PENSALNBP3);
TRASRPQPALIM4 = inf(TRASGLPALIM4/PENSALNBP4);
TRASRPQRF1 = inf(TRASGLRF1/FONCINB);
TRASRPQRF2 = inf(TRASGLRF2/REAMORNB);
TRASRPQRCMDC = inf(TRASGLRCMDC/REVACTNB);
TRASRPQRCMFU = inf(TRASGLRCMFU/REVPEANB);
TRASRPQRCMCH = inf(TRASGLRCMCH/PROVIENB);
TRASRPQRCMTS = inf(TRASGLRCMTS/DISQUONB);
TRASRPQRCMGO = inf(TRASGLRCMGO/RESTUCNB);
TRASRPQRCMTR = inf(TRASGLRCMTR/INTERENB);
TRASRPQPRRV = inf(TRASGLPRRV/CARPENBAV);
TRASRPQPRRC = inf(TRASGLPRRC/CARPENBAC);
TRASRPQPRR1 = inf(TRASGLPRR1/CARPENBAP1);
TRASRPQPRR2 = inf(TRASGLPRR2/CARPENBAP2);
TRASRPQPRR3 = inf(TRASGLPRR3/CARPENBAP3);
TRASRPQPRR4 = inf(TRASGLPRR4/CARPENBAP4);
TRASRPQPRRZV = inf(TRASGLPRRZV/CODNAZ);
TRASRPQPRRZC = inf(TRASGLPRRZC/CODNBZ);
TRASRPQPRRZ1 = inf(TRASGLPRRZ1/CODNCZ);
TRASRPQPRRZ2 = inf(TRASGLPRRZ2/CODNDZ);
TRASRPQPRRZ3 = inf(TRASGLPRRZ3/CODNEZ);
TRASRPQPRRZ4 = inf(TRASGLPRRZ4/CODNFZ);
TRASRPQRVO = inf(TRASGLRVO/RENTAXNB);
TRASRPQRVO5 = inf(TRASGLRVO5/RENTAXNB5);
TRASRPQRVO6 = inf(TRASGLRVO6/RENTAXNB6);
TRASRPQRVO7 = inf(TRASGLRVO7/RENTAXNB7);
TRASRPQRVOR = inf(TRASGLRVOR/CODNAR);
TRASRPQRVO5R = inf(TRASGLRVO5R/CODNBR);
TRASRPQRVO6R = inf(TRASGLRVO6R/CODNCR);
TRASRPQRVO7R = inf(TRASGLRVO7R/CODNDR);
TRASRPQTSV = inf(TRASGLTSV/CARTSNBAV);
TRASRPQTSC = inf(TRASGLTSC/CARTSNBAC);
TRASRPQTS1 = inf(TRASGLTS1/CARTSNBAP1);
TRASRPQTS2 = inf(TRASGLTS2/CARTSNBAP2);
TRASRPQTS3 = inf(TRASGLTS3/CARTSNBAP3);
TRASRPQTS4 = inf(TRASGLTS4/CARTSNBAP4);
TRASRPQTSREMPV = inf(TRASGLTSREMPV/REMPLANBV);
TRASRPQTSREMPC = inf(TRASGLTSREMPC/REMPLANBC);
TRASRPQTSREMP1 = inf(RASGLTSREMP1/REMPLANBP1);
TRASRPQTSREMP2 = inf(RASGLTSREMP2/REMPLANBP2);
TRASRPQTSREMP3 = inf(RASGLTSREMP3/REMPLANBP3);
TRASRPQTSREMP4 = inf(RASGLTSREMP4/REMPLANBP4);
TRASRPQRAF = inf(TRASGLRAF/CODNAF);
TRASRPQRBF = inf(TRASGLRBF/CODNBF);
TRASRPQRCF = inf(TRASGLRCF/CODNCF);
TRASRPQRDF = inf(TRASGLRDF/CODNDF);
TRASRPQREF = inf(TRASGLREF/CODNEF);
TRASRPQRFF = inf(TRASGLRFF/CODNFF);
TRASRPQRAG = inf(TRASGLRAG/CODNAG);
TRASRPQRBG = inf(TRASGLRBG/CODNBG);
TRASRPQRCG = inf(TRASGLRCG/CODNCG);
TRASRPQRDG = inf(TRASGLRDG/CODNDG);
TRASRPQRGG = inf(TRASGLRGG/CODNGG);
TRASRPQRFG = inf(TRASGLRFG/CODNFG);
TRASRPQRAL = inf(TRASGLRAL/CODNAL);
TRASRPQRBL = inf(TRASGLRBL/CODNBL);
TRASRPQRCL = inf(TRASGLRCL/CODNCL);
TRASRPQRDL = inf(TRASGLRDL/CODNDL);
TRASRPQREL = inf(TRASGLREL/CODNEL);
TRASRPQRFL = inf(TRASGLRFL/CODNFL);
TRASRPQRAM = inf(TRASGLRAM/CODNAM);
TRASRPQRBM = inf(TRASGLRBM/CODNBM);
TRASRPQRCM = inf(TRASGLRCM/CODNCM);
TRASRPQRDM = inf(TRASGLRDM/CODNDM);
TRASRPQREM = inf(TRASGLREM/CODNEM);
TRASRPQRFM = inf(TRASGLRFM/CODNFM);
regle 701100:
application : iliad ;

TRPQRWB = inf(TGLRWB / CODNWB)+0;
TRPQRWA = inf(TGLRWA / CODNWA)+0;
TRPQRVG = inf(TGLRVG / CODNVG)+0;
TRPQRUA = inf(TGLRUA / CODNUA)+0;
TRPQ4V = arr(TGL4V / DIVGL4)+0;
TRPQ4C = arr(TGL4C / DIVGL4)+0;
TRPQ4RAJV = arr(TGL4RAJV / DIVGL4)+0;
TRPQ4RBJC = arr(TGL4RBJC / DIVGL4)+0;
TRPQ4VC = arr(TGL4VC / DIVGL4)+0;
TRPQ4TVC = arr(TGL4TVC / DIVGL4)+0;
TRPQ4 = inf(TGL4 / DIVGL4)+0;
TRPQFV = inf(TGLFV/COTFV);
TRPQFC = inf(TGLFC/COTFC);
TRPQF1 = inf(TGLF1/COTF1);
TRPQF2 = inf(TGLF2/COTF2);
TRPQF3 = inf(TGLF3/COTF3);
TRPQF4 = inf(TGLF4/COTF4);
TRPQPALIMV = inf(TGLPALIMV/PENSALNBV);
TRPQPALIMC = inf(TGLPALIMC/PENSALNBC);
TRPQPALIM1 = inf(TGLPALIM1/PENSALNBP1);
TRPQPALIM2 = inf(TGLPALIM2/PENSALNBP2);
TRPQPALIM3 = inf(TGLPALIM3/PENSALNBP3);
TRPQPALIM4 = inf(TGLPALIM4/PENSALNBP4);
TRPQRF1 = inf(TGLRF1/FONCINB);
TRPQRF2 = inf(TGLRF2/REAMORNB);
TRPQRCMDC = inf(TGLRCMDC/REVACTNB);
TRPQRCMFU = inf(TGLRCMFU/REVPEANB);
TRPQRCMCH = inf(TGLRCMCH/PROVIENB);
TRPQRCMTS = inf(TGLRCMTS/DISQUONB);
TRPQRCMGO = inf(TGLRCMGO/RESTUCNB);
TRPQRCMTR = inf(TGLRCMTR/INTERENB);
TRPQPRRV = inf(TGLPRRV/CARPENBAV);
TRPQPRRC = inf(TGLPRRC/CARPENBAC);
TRPQPRR1 = inf(TGLPRR1/CARPENBAP1);
TRPQPRR2 = inf(TGLPRR2/CARPENBAP2);
TRPQPRR3 = inf(TGLPRR3/CARPENBAP3);
TRPQPRR4 = inf(TGLPRR4/CARPENBAP4);
TRPQPRRZV = inf(TGLPRRZV/CODNAZ);
TRPQPRRZC = inf(TGLPRRZC/CODNBZ);
TRPQPRRZ1 = inf(TGLPRRZ1/CODNCZ);
TRPQPRRZ2 = inf(TGLPRRZ2/CODNDZ);
TRPQPRRZ3 = inf(TGLPRRZ3/CODNEZ);
TRPQPRRZ4 = inf(TGLPRRZ4/CODNFZ);
TRPQRVO = inf(TGLRVO/RENTAXNB);
TRPQRVO5 = inf(TGLRVO5/RENTAXNB5);
TRPQRVO6 = inf(TGLRVO6/RENTAXNB6);
TRPQRVO7 = inf(TGLRVO7/RENTAXNB7);
TRPQRVOR = inf(TGLRVOR/CODNAR);
TRPQRVO5R = inf(TGLRVO5R/CODNBR);
TRPQRVO6R = inf(TGLRVO6R/CODNCR);
TRPQRVO7R = inf(TGLRVO7R/CODNDR);
TRPQTSV = inf(TGLTSV/CARTSNBAV);
TRPQTSC = inf(TGLTSC/CARTSNBAC);
TRPQTS1 = inf(TGLTS1/CARTSNBAP1);
TRPQTS2 = inf(TGLTS2/CARTSNBAP2);
TRPQTS3 = inf(TGLTS3/CARTSNBAP3);
TRPQTS4 = inf(TGLTS4/CARTSNBAP4);
TRPQRAF = inf(TGLRAF/CODNAF);
TRPQRBF = inf(TGLRBF/CODNBF);
TRPQRCF = inf(TGLRCF/CODNCF);
TRPQRDF = inf(TGLRDF/CODNDF);
TRPQREF = inf(TGLREF/CODNEF);
TRPQRFF = inf(TGLRFF/CODNFF);
TRPQRAG = inf(TGLRAG/CODNAG);
TRPQRBG = inf(TGLRBG/CODNBG);
TRPQRCG = inf(TGLRCG/CODNCG);
TRPQRDG = inf(TGLRDG/CODNDG);
TRPQRGG = inf(TGLRGG/CODNGG);
TRPQRFG = inf(TGLRFG/CODNFG);
TRPQRAL = inf(TGLRAL/CODNAL);
TRPQRBL = inf(TGLRBL/CODNBL);
TRPQRCL = inf(TGLRCL/CODNCL);
TRPQRDL = inf(TGLRDL/CODNDL);
TRPQREL = inf(TGLREL/CODNEL);
TRPQRFL = inf(TGLRFL/CODNFL);
TRPQRAM = inf(TGLRAM/CODNAM);
TRPQRBM = inf(TGLRBM/CODNBM);
TRPQRCM = inf(TGLRCM/CODNCM);
TRPQRDM = inf(TGLRDM/CODNDM);
TRPQREM = inf(TGLREM/CODNEM);
TRPQRFM = inf(TGLRFM/CODNFM);
TRPQTSREMPV = inf(TGLTSREMPV/REMPLANBV);
TRPQTSREMPC = inf(TGLTSREMPC/REMPLANBC);
TRPQTSREMP1 = inf(TGLTSREMP1/REMPLANBP1);
TRPQTSREMP2 = inf(TGLTSREMP2/REMPLANBP2);
TRPQTSREMP3 = inf(TGLTSREMP3/REMPLANBP3);
TRPQTSREMP4 = inf(TGLTSREMP4/REMPLANBP4);
TERPQRWB =RPQRWB * (1-positif(INDTEFF)) + TRPQRWB * positif(INDTEFF);
TERPQRWA =RPQRWA * (1-positif(INDTEFF)) + TRPQRWA * positif(INDTEFF);
TERPQRVG =RPQRVG * (1-positif(INDTEFF)) + TRPQRVG * positif(INDTEFF);
TERPQRUA =RPQRUA * (1-positif(INDTEFF)) + TRPQRUA * positif(INDTEFF);
TERPQ1 =RPQ1 * (1-positif(INDTEFF)) + TRPQ1 * positif(INDTEFF);
TERPQ2 =RPQ2 * (1-positif(INDTEFF)) + TRPQ2 * positif(INDTEFF);
TERPQ3 =RPQ3 * (1-positif(INDTEFF)) + TRPQ3 * positif(INDTEFF);
TERPQ4V =RPQ4V * (1-positif(INDTEFF)) + TRPQ4V * positif(INDTEFF);
TERPQ4C =RPQ4C * (1-positif(INDTEFF)) + TRPQ4C * positif(INDTEFF);
TERPQ4RAJV =RPQ4RAJV * (1-positif(INDTEFF)) + TRPQ4RAJV * positif(INDTEFF);
TERPQ4RBJC =RPQ4RBJC * (1-positif(INDTEFF)) + TRPQ4RBJC * positif(INDTEFF);
TERPQ4VC =RPQ4VC * (1-positif(INDTEFF)) + TRPQ4VC * positif(INDTEFF);
TERPQ4TVC =RPQ4TVC * (1-positif(INDTEFF)) + TRPQ4TVC * positif(INDTEFF);
TERPQ4 =RPQ4 * (1-positif(INDTEFF)) + TRPQ4 * positif(INDTEFF);
TERPQFV = RPQFV * (1-positif(INDTEFF)) + TRPQFV * positif(INDTEFF);
TERPQFC = RPQFC * (1-positif(INDTEFF)) + TRPQFC * positif(INDTEFF);
TERPQF1 = RPQF1 * (1-positif(INDTEFF)) + TRPQF1 * positif(INDTEFF);
TERPQF2 = RPQF2 * (1-positif(INDTEFF)) + TRPQF2 * positif(INDTEFF);
TERPQF3 = RPQF3 * (1-positif(INDTEFF)) + TRPQF3 * positif(INDTEFF);
TERPQF4 = RPQF4 * (1-positif(INDTEFF)) + TRPQF4 * positif(INDTEFF);
TERPQPALIMV = RPQPALIMV * (1-positif(INDTEFF)) + TRPQPALIMV * positif(INDTEFF);
TERPQPALIMC = RPQPALIMC * (1-positif(INDTEFF)) + TRPQPALIMC * positif(INDTEFF);
TERPQPALIM1 = RPQPALIM1 * (1-positif(INDTEFF)) + TRPQPALIM1 * positif(INDTEFF);
TERPQPALIM2 = RPQPALIM2 * (1-positif(INDTEFF)) + TRPQPALIM2 * positif(INDTEFF);
TERPQPALIM3 = RPQPALIM3 * (1-positif(INDTEFF)) + TRPQPALIM3 * positif(INDTEFF);
TERPQPALIM4 = RPQPALIM4 * (1-positif(INDTEFF)) + TRPQPALIM4 * positif(INDTEFF);
TERPQRF1 = RPQRF1 * (1-positif(INDTEFF)) + TRPQRF1 * positif(INDTEFF);
TERPQRF2 = RPQRF2 * (1-positif(INDTEFF)) + TRPQRF2 * positif(INDTEFF);
TERPQRCMDC = RPQRCMDC * (1-positif(INDTEFF)) + TRPQRCMDC * positif(INDTEFF);
TERPQRCMFU = RPQRCMFU * (1-positif(INDTEFF)) + TRPQRCMFU * positif(INDTEFF);
TERPQRCMCH = RPQRCMCH * (1-positif(INDTEFF)) + TRPQRCMCH * positif(INDTEFF);
TERPQRCMTS = RPQRCMTS * (1-positif(INDTEFF)) + TRPQRCMTS * positif(INDTEFF);
TERPQRCMGO = RPQRCMGO * (1-positif(INDTEFF)) + TRPQRCMGO * positif(INDTEFF);
TERPQRCMTR = RPQRCMTR * (1-positif(INDTEFF)) + TRPQRCMTR * positif(INDTEFF);
TERPQPRRV = RPQPRRV * (1-positif(INDTEFF)) + TRPQPRRV * positif(INDTEFF);
TERPQPRRC = RPQPRRC * (1-positif(INDTEFF)) + TRPQPRRC * positif(INDTEFF);
TERPQPRR1 = RPQPRR1 * (1-positif(INDTEFF)) + TRPQPRR1 * positif(INDTEFF);
TERPQPRR2 = RPQPRR2 * (1-positif(INDTEFF)) + TRPQPRR2 * positif(INDTEFF);
TERPQPRR3 = RPQPRR3 * (1-positif(INDTEFF)) + TRPQPRR3 * positif(INDTEFF);
TERPQPRR4 = RPQPRR4 * (1-positif(INDTEFF)) + TRPQPRR4 * positif(INDTEFF);
TERPQPRRZV = RPQPRRZV * (1-positif(INDTEFF)) + TRPQPRRZV * positif(INDTEFF);
TERPQPRRZC = RPQPRRZC * (1-positif(INDTEFF)) + TRPQPRRZC * positif(INDTEFF);
TERPQPRRZ1 = RPQPRRZ1 * (1-positif(INDTEFF)) + TRPQPRRZ1 * positif(INDTEFF);
TERPQPRRZ2 = RPQPRRZ2 * (1-positif(INDTEFF)) + TRPQPRRZ2 * positif(INDTEFF);
TERPQPRRZ3 = RPQPRRZ3 * (1-positif(INDTEFF)) + TRPQPRRZ3 * positif(INDTEFF);
TERPQPRRZ4 = RPQPRRZ4 * (1-positif(INDTEFF)) + TRPQPRRZ4 * positif(INDTEFF);
TERPQRVO = RPQRVO * (1-positif(INDTEFF)) + TRPQRVO * positif(INDTEFF);
TERPQRVO5 = RPQRVO5 * (1-positif(INDTEFF)) + TRPQRVO5 * positif(INDTEFF);
TERPQRVO6 = RPQRVO6 * (1-positif(INDTEFF)) + TRPQRVO6 * positif(INDTEFF);
TERPQRVO7 = RPQRVO7 * (1-positif(INDTEFF)) + TRPQRVO7 * positif(INDTEFF);
TERPQRVOR = RPQRVOR * (1-positif(INDTEFF)) + TRPQRVOR * positif(INDTEFF);
TERPQRVO5R = RPQRVO5R * (1-positif(INDTEFF)) + TRPQRVO5R * positif(INDTEFF);
TERPQRVO6R = RPQRVO6R * (1-positif(INDTEFF)) + TRPQRVO6R * positif(INDTEFF);
TERPQRVO7R = RPQRVO7R * (1-positif(INDTEFF)) + TRPQRVO7R * positif(INDTEFF);
TERPQTSV = RPQTSV * (1-positif(INDTEFF)) + TRPQTSV * positif(INDTEFF);
TERPQTSC = RPQTSC * (1-positif(INDTEFF)) + TRPQTSC * positif(INDTEFF);
TERPQTS1 = RPQTS1 * (1-positif(INDTEFF)) + TRPQTS1 * positif(INDTEFF);
TERPQTS2 = RPQTS2 * (1-positif(INDTEFF)) + TRPQTS2 * positif(INDTEFF);
TERPQTS3 = RPQTS3 * (1-positif(INDTEFF)) + TRPQTS3 * positif(INDTEFF);
TERPQTS4 = RPQTS4 * (1-positif(INDTEFF)) + TRPQTS4 * positif(INDTEFF);
TERPQRAF = RPQRAF * (1-positif(INDTEFF)) + TRPQRAF * positif(INDTEFF);
TERPQRBF = RPQRBF * (1-positif(INDTEFF)) + TRPQRBF * positif(INDTEFF);
TERPQRCF = RPQRCF * (1-positif(INDTEFF)) + TRPQRCF * positif(INDTEFF);
TERPQRDF = RPQRDF * (1-positif(INDTEFF)) + TRPQRDF * positif(INDTEFF);
TERPQREF = RPQREF * (1-positif(INDTEFF)) + TRPQREF * positif(INDTEFF);
TERPQRFF = RPQRFF * (1-positif(INDTEFF)) + TRPQRFF * positif(INDTEFF);
TERPQRAG = RPQRAG * (1-positif(INDTEFF)) + TRPQRAG * positif(INDTEFF);
TERPQRBG = RPQRBG * (1-positif(INDTEFF)) + TRPQRBG * positif(INDTEFF);
TERPQRCG = RPQRCG * (1-positif(INDTEFF)) + TRPQRCG * positif(INDTEFF);
TERPQRDG = RPQRDG * (1-positif(INDTEFF)) + TRPQRDG * positif(INDTEFF);
TERPQRGG = RPQRGG * (1-positif(INDTEFF)) + TRPQRGG * positif(INDTEFF);
TERPQRFG = RPQRFG * (1-positif(INDTEFF)) + TRPQRFG * positif(INDTEFF);
TERPQRAL = RPQRAL * (1-positif(INDTEFF)) + TRPQRAL * positif(INDTEFF);
TERPQRBL = RPQRBL * (1-positif(INDTEFF)) + TRPQRBL * positif(INDTEFF);
TERPQRCL = RPQRCL * (1-positif(INDTEFF)) + TRPQRCL * positif(INDTEFF);
TERPQRDL = RPQRDL * (1-positif(INDTEFF)) + TRPQRDL * positif(INDTEFF);
TERPQREL = RPQREL * (1-positif(INDTEFF)) + TRPQREL * positif(INDTEFF);
TERPQRFL = RPQRFL * (1-positif(INDTEFF)) + TRPQRFL * positif(INDTEFF);
TERPQRAM = RPQRAM * (1-positif(INDTEFF)) + TRPQRAM * positif(INDTEFF);
TERPQRBM = RPQRBM * (1-positif(INDTEFF)) + TRPQRBM * positif(INDTEFF);
TERPQRCM = RPQRCM * (1-positif(INDTEFF)) + TRPQRCM * positif(INDTEFF);
TERPQRDM = RPQRDM * (1-positif(INDTEFF)) + TRPQRDM * positif(INDTEFF);
TERPQREM = RPQREM * (1-positif(INDTEFF)) + TRPQREM * positif(INDTEFF);
TERPQRFM = RPQRFM * (1-positif(INDTEFF)) + TRPQRFM * positif(INDTEFF);
TERPQTSREMPV = RPQTSREMPV * (1-positif(INDTEFF)) + TRPQTSREMPV * positif(INDTEFF);
TERPQTSREMPC = RPQTSREMPC * (1-positif(INDTEFF)) + TRPQTSREMPC * positif(INDTEFF);
TERPQTSREMP1 = RPQTSREMP1 * (1-positif(INDTEFF)) + TRPQTSREMP1 * positif(INDTEFF);
TERPQTSREMP2 = RPQTSREMP2 * (1-positif(INDTEFF)) + TRPQTSREMP2 * positif(INDTEFF);
TERPQTSREMP3 = RPQTSREMP3 * (1-positif(INDTEFF)) + TRPQTSREMP3 * positif(INDTEFF);
TERPQTSREMP4 = RPQTSREMP4 * (1-positif(INDTEFF)) + TRPQTSREMP4 * positif(INDTEFF);
TERASRPQRWB =RASRPQRWB * (1-positif(INDTEFF)) + TRASRPQRWB * positif(INDTEFF);
TERASRPQRWA =RASRPQRWA * (1-positif(INDTEFF)) + TRASRPQRWA * positif(INDTEFF);
TERASRPQRVG =RASRPQRVG * (1-positif(INDTEFF)) + TRASRPQRVG * positif(INDTEFF);
TERASRPQRUA =RASRPQRUA * (1-positif(INDTEFF)) + TRASRPQRUA * positif(INDTEFF);
TERASRPQ4V =RASRPQ4V * (1-positif(INDTEFF)) + TRASRPQ4V * positif(INDTEFF);
TERASRPQ4C =RASRPQ4C * (1-positif(INDTEFF)) + TRASRPQ4C * positif(INDTEFF);
TERASRPQ4P =RASRPQ4P * (1-positif(INDTEFF)) + TRASRPQ4P * positif(INDTEFF);
TERASRPQ4RAJV =RASRPQ4RAJV * (1-positif(INDTEFF)) + TRASRPQ4RAJV * positif(INDTEFF);
TERASRPQ4RBJC =RASRPQ4RBJC * (1-positif(INDTEFF)) + TRASRPQ4RBJC * positif(INDTEFF);
TERASRPQ4VC =RASRPQ4VC * (1-positif(INDTEFF)) + TRASRPQ4VC * positif(INDTEFF);
TERASRPQ4TVC =RASRPQ4TVC * (1-positif(INDTEFF)) + TRASRPQ4TVC * positif(INDTEFF);
TERASRPQ4 =RASRPQ4 * (1-positif(INDTEFF)) + TRASRPQ4 * positif(INDTEFF);
TERASRPQFV = RASRPQFV * (1-positif(INDTEFF)) + TRASRPQFV * positif(INDTEFF);
TERASRPQFC = RASRPQFC * (1-positif(INDTEFF)) + TRASRPQFC * positif(INDTEFF);
TERASRPQF1 = RASRPQF1 * (1-positif(INDTEFF)) + TRASRPQF1 * positif(INDTEFF);
TERASRPQF2 = RASRPQF2 * (1-positif(INDTEFF)) + TRASRPQF2 * positif(INDTEFF);
TERASRPQF3 = RASRPQF3 * (1-positif(INDTEFF)) + TRASRPQF3 * positif(INDTEFF);
TERASRPQF4 = RASRPQF4 * (1-positif(INDTEFF)) + TRASRPQF4 * positif(INDTEFF);
TERASRPQPALIMV = RASRPQPALIMV * (1-positif(INDTEFF)) + TRASRPQPALIMV * positif(INDTEFF);
TERASRPQPALIMC = RASRPQPALIMC * (1-positif(INDTEFF)) + TRASRPQPALIMC * positif(INDTEFF);
TERASRPQPALIM1 = RASRPQPALIM1 * (1-positif(INDTEFF)) + TRASRPQPALIM1 * positif(INDTEFF);
TERASRPQPALIM2 = RASRPQPALIM2 * (1-positif(INDTEFF)) + TRASRPQPALIM2 * positif(INDTEFF);
TERASRPQPALIM3 = RASRPQPALIM3 * (1-positif(INDTEFF)) + TRASRPQPALIM3 * positif(INDTEFF);
TERASRPQPALIM4 = RASRPQPALIM4 * (1-positif(INDTEFF)) + TRASRPQPALIM4 * positif(INDTEFF);
TERASRPQRF1 = RASRPQRF1 * (1-positif(INDTEFF)) + TRASRPQRF1 * positif(INDTEFF);
TERASRPQRF2 = RASRPQRF2 * (1-positif(INDTEFF)) + TRASRPQRF2 * positif(INDTEFF);
TERASRPQRCMDC = RASRPQRCMDC * (1-positif(INDTEFF)) + TRASRPQRCMDC * positif(INDTEFF);
TERASRPQRCMFU = RASRPQRCMFU * (1-positif(INDTEFF)) + TRASRPQRCMFU * positif(INDTEFF);
TERASRPQRCMCH = RASRPQRCMCH * (1-positif(INDTEFF)) + TRASRPQRCMCH * positif(INDTEFF);
TERASRPQRCMTS = RASRPQRCMTS * (1-positif(INDTEFF)) + TRASRPQRCMTS * positif(INDTEFF);
TERASRPQRCMGO = RASRPQRCMGO * (1-positif(INDTEFF)) + TRASRPQRCMGO * positif(INDTEFF);
TERASRPQRCMTR = RASRPQRCMTR * (1-positif(INDTEFF)) + TRASRPQRCMTR * positif(INDTEFF);
TERASRPQPRRV = RASRPQPRRV * (1-positif(INDTEFF)) + TRASRPQPRRV * positif(INDTEFF);
TERASRPQPRRC = RASRPQPRRC * (1-positif(INDTEFF)) + TRASRPQPRRC * positif(INDTEFF);
TERASRPQPRR1 = RASRPQPRR1 * (1-positif(INDTEFF)) + TRASRPQPRR1 * positif(INDTEFF);
TERASRPQPRR2 = RASRPQPRR2 * (1-positif(INDTEFF)) + TRASRPQPRR2 * positif(INDTEFF);
TERASRPQPRR3 = RASRPQPRR3 * (1-positif(INDTEFF)) + TRASRPQPRR3 * positif(INDTEFF);
TERASRPQPRR4 = RASRPQPRR4 * (1-positif(INDTEFF)) + TRASRPQPRR4 * positif(INDTEFF);
TERASRPQPRRZV = RASRPQPRRZV * (1-positif(INDTEFF)) + TRASRPQPRRZV * positif(INDTEFF);
TERASRPQPRRZC = RASRPQPRRZC * (1-positif(INDTEFF)) + TRASRPQPRRZC * positif(INDTEFF);
TERASRPQPRRZ1 = RASRPQPRRZ1 * (1-positif(INDTEFF)) + TRASRPQPRRZ1 * positif(INDTEFF);
TERASRPQPRRZ2 = RASRPQPRRZ2 * (1-positif(INDTEFF)) + TRASRPQPRRZ2 * positif(INDTEFF);
TERASRPQPRRZ3 = RASRPQPRRZ3 * (1-positif(INDTEFF)) + TRASRPQPRRZ3 * positif(INDTEFF);
TERASRPQPRRZ4 = RASRPQPRRZ4 * (1-positif(INDTEFF)) + TRASRPQPRRZ4 * positif(INDTEFF);
TERASRPQRVO = RASRPQRVO * (1-positif(INDTEFF)) + TRASRPQRVO * positif(INDTEFF);
TERASRPQRVO5 = RASRPQRVO5 * (1-positif(INDTEFF)) + TRASRPQRVO5 * positif(INDTEFF);
TERASRPQRVO6 = RASRPQRVO6 * (1-positif(INDTEFF)) + TRASRPQRVO6 * positif(INDTEFF);
TERASRPQRVO7 = RASRPQRVO7 * (1-positif(INDTEFF)) + TRASRPQRVO7 * positif(INDTEFF);
TERASRPQRVOR = RASRPQRVOR * (1-positif(INDTEFF)) + TRASRPQRVOR * positif(INDTEFF);
TERASRPQRVO5R = RASRPQRVO5R * (1-positif(INDTEFF)) + TRASRPQRVO5R * positif(INDTEFF);
TERASRPQRVO6R = RASRPQRVO6R * (1-positif(INDTEFF)) + TRASRPQRVO6R * positif(INDTEFF);
TERASRPQRVO7R = RASRPQRVO7R * (1-positif(INDTEFF)) + TRASRPQRVO7R * positif(INDTEFF);
TERASRPQTSV = RASRPQTSV * (1-positif(INDTEFF)) + TRASRPQTSV * positif(INDTEFF);
TERASRPQTSC = RASRPQTSC * (1-positif(INDTEFF)) + TRASRPQTSC * positif(INDTEFF);
TERASRPQTS1 = RASRPQTS1 * (1-positif(INDTEFF)) + TRASRPQTS1 * positif(INDTEFF);
TERASRPQTS2 = RASRPQTS2 * (1-positif(INDTEFF)) + TRASRPQTS2 * positif(INDTEFF);
TERASRPQTS3 = RASRPQTS3 * (1-positif(INDTEFF)) + TRASRPQTS3 * positif(INDTEFF);
TERASRPQTS4 = RASRPQTS4 * (1-positif(INDTEFF)) + TRASRPQTS4 * positif(INDTEFF);
TERASRPQRAF = RASRPQRAF * (1-positif(INDTEFF)) + TRASRPQRAF * positif(INDTEFF);
TERASRPQRBF = RASRPQRBF * (1-positif(INDTEFF)) + TRASRPQRBF * positif(INDTEFF);
TERASRPQRCF = RASRPQRCF * (1-positif(INDTEFF)) + TRASRPQRCF * positif(INDTEFF);
TERASRPQRDF = RASRPQRDF * (1-positif(INDTEFF)) + TRASRPQRDF * positif(INDTEFF);
TERASRPQREF = RASRPQREF * (1-positif(INDTEFF)) + TRASRPQREF * positif(INDTEFF);
TERASRPQRFF = RASRPQRFF * (1-positif(INDTEFF)) + TRASRPQRFF * positif(INDTEFF);
TERASRPQRAG = RASRPQRAG * (1-positif(INDTEFF)) + TRASRPQRAG * positif(INDTEFF);
TERASRPQRBG = RASRPQRBG * (1-positif(INDTEFF)) + TRASRPQRBG * positif(INDTEFF);
TERASRPQRCG = RASRPQRCG * (1-positif(INDTEFF)) + TRASRPQRCG * positif(INDTEFF);
TERASRPQRDG = RASRPQRDG * (1-positif(INDTEFF)) + TRASRPQRDG * positif(INDTEFF);
TERASRPQRGG = RASRPQRGG * (1-positif(INDTEFF)) + TRASRPQRGG * positif(INDTEFF);
TERASRPQRFG = RASRPQRFG * (1-positif(INDTEFF)) + TRASRPQRFG * positif(INDTEFF);
TERASRPQRAL = RASRPQRAL * (1-positif(INDTEFF)) + TRASRPQRAL * positif(INDTEFF);
TERASRPQRBL = RASRPQRBL * (1-positif(INDTEFF)) + TRASRPQRBL * positif(INDTEFF);
TERASRPQRCL = RASRPQRCL * (1-positif(INDTEFF)) + TRASRPQRCL * positif(INDTEFF);
TERASRPQRDL = RASRPQRDL * (1-positif(INDTEFF)) + TRASRPQRDL * positif(INDTEFF);
TERASRPQREL = RASRPQREL * (1-positif(INDTEFF)) + TRASRPQREL * positif(INDTEFF);
TERASRPQRFL = RASRPQRFL * (1-positif(INDTEFF)) + TRASRPQRFL * positif(INDTEFF);
TERASRPQRAM = RASRPQRAM * (1-positif(INDTEFF)) + TRASRPQRAM * positif(INDTEFF);
TERASRPQRBM = RASRPQRBM * (1-positif(INDTEFF)) + TRASRPQRBM * positif(INDTEFF);
TERASRPQRCM = RASRPQRCM * (1-positif(INDTEFF)) + TRASRPQRCM * positif(INDTEFF);
TERASRPQRDM = RASRPQRDM * (1-positif(INDTEFF)) + TRASRPQRDM * positif(INDTEFF);
TERASRPQREM = RASRPQREM * (1-positif(INDTEFF)) + TRASRPQREM * positif(INDTEFF);
TERASRPQRFM = RASRPQRFM * (1-positif(INDTEFF)) + TRASRPQRFM * positif(INDTEFF);
TERASRPQTSREMPV = RASRPQTSREMPV * (1-positif(INDTEFF)) + TRASRPQTSREMPV * positif(INDTEFF);
TERASRPQTSREMPC = RASRPQTSREMPC * (1-positif(INDTEFF)) + TRASRPQTSREMPC * positif(INDTEFF);
TERASRPQTSREMP1 = RASRPQTSREMP1 * (1-positif(INDTEFF)) + TRASRPQTSREMP1 * positif(INDTEFF);
TERASRPQTSREMP2 = RASRPQTSREMP2 * (1-positif(INDTEFF)) + TRASRPQTSREMP2 * positif(INDTEFF);
TERASRPQTSREMP3 = RASRPQTSREMP3 * (1-positif(INDTEFF)) + TRASRPQTSREMP3 * positif(INDTEFF);
TERASRPQTSREMP4 = RASRPQTSREMP4 * (1-positif(INDTEFF)) + TRASRPQTSREMP4 * positif(INDTEFF);
regle 701110:
application : iliad ;

RPQRWBM = inf(GLRWBM / CODNWB) ;
RPQRWAM = inf(GLRWAM / CODNWA) ;
RPQRVGM = inf(GLRVGM / CODNVG) ;
RPQRUAM = inf(GLRUAM / CODNUA) ;
RPQ4M = inf(GL4M / DIVGL4);
RPQ4VM = arr(GL4VM / DIVGL4);
RPQ4CM = arr(GL4CM / DIVGL4);
RPQ4VCM = arr(GL4VCM / DIVGL4);
RPQ4TVCM = arr(GL4TVCM / DIVGL4);
RPQFVM = inf(GLFVM/COTFV);
RPQFCM = inf(GLFCM/COTFC);
RPQF1M = inf(GLF1M/COTF1);
RPQF2M = inf(GLF2M/COTF2);
RPQF3M = inf(GLF3M/COTF3);
RPQF4M = inf(GLF4M/COTF4);
RPQPALIMVM = inf(GLPALIMVM/PENSALNBV);
RPQPALIMCM = inf(GLPALIMCM/PENSALNBC);
RPQPALIM1M = inf(GLPALIM1M/PENSALNBP1);
RPQPALIM2M = inf(GLPALIM2M/PENSALNBP2);
RPQPALIM3M = inf(GLPALIM3M/PENSALNBP3);
RPQPALIM4M = inf(GLPALIM4M/PENSALNBP4);
RPQRF1M = inf(GLRF1M/FONCINB);
RPQRF2M = inf(GLRF2M/REAMORNB);
RPQRCMDCM = inf(GLRCMDCM/REVACTNB);
RPQRCMFUM = inf(GLRCMFUM/REVPEANB);
RPQRCMCHM = inf(GLRCMCHM/PROVIENB);
RPQRCMTSM= inf(GLRCMTSM/DISQUONB);
RPQRCMGOM = inf(GLRCMGOM/RESTUCNB);
RPQRCMTRM = inf(GLRCMTRM/INTERENB);
RPQPRRVM = inf(GLPRRVM/CARPENBAV);
RPQPRRCM = inf(GLPRRCM/CARPENBAC);
RPQPRR1M = inf(GLPRR1M/CARPENBAP1);
RPQPRR2M = inf(GLPRR2M/CARPENBAP2);
RPQPRR3M = inf(GLPRR3M/CARPENBAP3);
RPQPRR4M = inf(GLPRR4M/CARPENBAP4);
RPQPRRZVM = inf(GLPRRZVM/CODNAZ);
RPQPRRZCM = inf(GLPRRZCM/CODNBZ);
RPQPRRZ1M = inf(GLPRRZ1M/CODNCZ);
RPQPRRZ2M = inf(GLPRRZ2M/CODNDZ);
RPQPRRZ3M = inf(GLPRRZ3M/CODNEZ);
RPQPRRZ4M = inf(GLPRRZ4M/CODNFZ);
RPQRVOM = inf(GLRVOM/RENTAXNB);
RPQRVO5M = inf(GLRVO5M/RENTAXNB5);
RPQRVO6M = inf(GLRVO6M/RENTAXNB6);
RPQRVO7M = inf(GLRVO7M/RENTAXNB7);
RPQRVORM = inf(GLRVORM/CODNAR);
RPQRVO5RM = inf(GLRVO5RM/CODNBR);
RPQRVO6RM = inf(GLRVO6RM/CODNCR);
RPQRVO7RM = inf(GLRVO7RM/CODNDR);
RPQTSVM = inf(GLTSVM/CARTSNBAV);
RPQTSCM = inf(GLTSCM/CARTSNBAC);
RPQTS1M = inf(GLTS1M/CARTSNBAP1);
RPQTS2M = inf(GLTS2M/CARTSNBAP2);
RPQTS3M = inf(GLTS3M/CARTSNBAP3);
RPQTS4M = inf(GLTS4M/CARTSNBAP4);
RPQRAFM = inf(GLRAFM/CODNAF);
RPQRBFM = inf(GLRBFM/CODNBF);
RPQRCFM = inf(GLRCFM/CODNCF);
RPQRDFM = inf(GLRDFM/CODNDF);
RPQREFM = inf(GLREFM/CODNEF);
RPQRFFM = inf(GLRFFM/CODNFF);
RPQRAGM = inf(GLRAGM/CODNAG);
RPQRBGM = inf(GLRBGM/CODNBG);
RPQRCGM = inf(GLRCGM/CODNCG);
RPQRDGM = inf(GLRDGM/CODNDG);
RPQRGGM = inf(GLRGGM/CODNGG);
RPQRFGM = inf(GLRFGM/CODNFG);
RPQRALM = inf(GLRALM/CODNAL);
RPQRBLM = inf(GLRBLM/CODNBL);
RPQRCLM = inf(GLRCLM/CODNCL);
RPQRDLM = inf(GLRDLM/CODNDL);
RPQRELM = inf(GLRELM/CODNEL);
RPQRFLM = inf(GLRFLM/CODNFL);
RPQRAMM = inf(GLRAMM/CODNAM);
RPQRBMM = inf(GLRBMM/CODNBM);
RPQRCMM = inf(GLRCMM/CODNCM);
RPQRDMM = inf(GLRDMM/CODNDM);
RPQREMM = inf(GLREMM/CODNEM);
RPQRFMM = inf(GLRFMM/CODNFM);
RPQTSREMPVM = inf(GLTSREMPVM/REMPLANBV);
RPQTSREMPCM = inf(GLTSREMPCM/REMPLANBC);
RPQTSREMP1M = inf(GLTSREMP1M/REMPLANBP1);
RPQTSREMP2M = inf(GLTSREMP2M/REMPLANBP2);
RPQTSREMP3M = inf(GLTSREMP3M/REMPLANBP3);
RPQTSREMP4M = inf(GLTSREMP4M/REMPLANBP4);

regle 701120:
application : iliad ;

TRPQRWBM = inf(TGLRWBM / CODNWB);
TRPQRWAM = inf(TGLRWAM / CODNWA);
TRPQRVGM = inf(TGLRVGM / CODNVG);
TRPQRUAM = inf(TGLRUAM / CODNUA);
TRPQ4M = inf(TGL4M / DIVGL4);
TRPQ4VM = arr(TGL4VM / DIVGL4)+0;
TRPQ4CM = arr(TGL4CM / DIVGL4)+0;
TRPQ4VCM = arr(TGL4VCM / DIVGL4)+0;
TRPQ4TVCM = arr(TGL4TVCM / DIVGL4)+0;
TRPQFVM = inf(TGLFVM/COTFV);
TRPQFCM = inf(TGLFCM/COTFC);
TRPQF1M = inf(TGLF1M/COTF1);
TRPQF2M = inf(TGLF2M/COTF2);
TRPQF3M = inf(TGLF3M/COTF3);
TRPQF4M = inf(TGLF4M/COTF4);
TRPQPALIMVM = inf(TGLPALIMVM/PENSALNBV);
TRPQPALIMCM = inf(TGLPALIMCM/PENSALNBC);
TRPQPALIM1M = inf(TGLPALIM1M/PENSALNBP1);
TRPQPALIM2M = inf(TGLPALIM2M/PENSALNBP2);
TRPQPALIM3M = inf(TGLPALIM3M/PENSALNBP3);
TRPQPALIM4M = inf(TGLPALIM4M/PENSALNBP4);
TRPQRF1M = inf(TGLRF1M/FONCINB);
TRPQRF2M = inf(TGLRF2M/REAMORNB);
TRPQRCMDCM = inf(TGLRCMDCM/REVACTNB);
TRPQRCMFUM = inf(TGLRCMFUM/REVPEANB);
TRPQRCMCHM = inf(TGLRCMCHM/PROVIENB);
TRPQRCMTSM= inf(TGLRCMTSM/DISQUONB);
TRPQRCMGOM = inf(TGLRCMGOM/RESTUCNB);
TRPQRCMTRM = inf(TGLRCMTRM/INTERENB);
TRPQPRRVM = inf(TGLPRRVM/CARPENBAV);
TRPQPRRCM = inf(TGLPRRCM/CARPENBAC);
TRPQPRR1M = inf(TGLPRR1M/CARPENBAP1);
TRPQPRR2M = inf(TGLPRR2M/CARPENBAP2);
TRPQPRR3M = inf(TGLPRR3M/CARPENBAP3);
TRPQPRR4M = inf(TGLPRR4M/CARPENBAP4);
TRPQPRRZVM = inf(TGLPRRZVM/CODNAZ);
TRPQPRRZCM = inf(TGLPRRZCM/CODNBZ);
TRPQPRRZ1M = inf(TGLPRRZ1M/CODNCZ);
TRPQPRRZ2M = inf(TGLPRRZ2M/CODNDZ);
TRPQPRRZ3M = inf(TGLPRRZ3M/CODNEZ);
TRPQPRRZ4M = inf(TGLPRRZ4M/CODNFZ);
TRPQRVOM = inf(TGLRVOM/RENTAXNB);
TRPQRVO5M = inf(TGLRVO5M/RENTAXNB5);
TRPQRVO6M = inf(TGLRVO6M/RENTAXNB6);
TRPQRVO7M = inf(TGLRVO7M/RENTAXNB7);
TRPQRVORM = inf(TGLRVOM/CODNAR);
TRPQRVO5RM = inf(TGLRVO5M/CODNBR);
TRPQRVO6RM = inf(TGLRVO6M/CODNCR);
TRPQRVO7RM = inf(TGLRVO7M/CODNDR);
TRPQTSVM = inf(TGLTSVM/CARTSNBAV);
TRPQTSCM = inf(TGLTSCM/CARTSNBAC);
TRPQTS1M = inf(TGLTS1M/CARTSNBAP1);
TRPQTS2M = inf(TGLTS2M/CARTSNBAP2);
TRPQTS3M = inf(TGLTS3M/CARTSNBAP3);
TRPQTS4M = inf(TGLTS4M/CARTSNBAP4);
TRPQRAFM = inf(TGLRAFM/CODNAF);
TRPQRBFM = inf(TGLRBFM/CODNBF);
TRPQRCFM = inf(TGLRCFM/CODNCF);
TRPQRDFM = inf(TGLRDFM/CODNDF);
TRPQREFM = inf(TGLREFM/CODNEF);
TRPQRFFM = inf(TGLRFFM/CODNFF);
TRPQRAGM = inf(TGLRAGM/CODNAG);
TRPQRBGM = inf(TGLRBGM/CODNBG);
TRPQRCGM = inf(TGLRCGM/CODNCG);
TRPQRDGM = inf(TGLRDGM/CODNDG);
TRPQRGGM = inf(TGLRGGM/CODNGG);
TRPQRFGM = inf(TGLRFGM/CODNFG);
TRPQRALM = inf(TGLRALM/CODNAL);
TRPQRBLM = inf(TGLRBLM/CODNBL);
TRPQRCLM = inf(TGLRCLM/CODNCL);
TRPQRDLM = inf(TGLRDLM/CODNDL);
TRPQRELM = inf(TGLRELM/CODNEL);
TRPQRFLM = inf(TGLRFLM/CODNFL);
TRPQRAMM = inf(TGLRAMM/CODNAM);
TRPQRBMM = inf(TGLRBMM/CODNBM);
TRPQRCMM = inf(TGLRCMM/CODNCM);
TRPQRDMM = inf(TGLRDMM/CODNDM);
TRPQREMM = inf(TGLREMM/CODNEM);
TRPQRFMM = inf(TGLRFMM/CODNFM);
TRPQTSREMPVM = inf(TGLTSREMPVM/REMPLANBV);
TRPQTSREMPCM = inf(TGLTSREMPCM/REMPLANBC);
TRPQTSREMP1M = inf(TGLTSREMP1M/REMPLANBP1);
TRPQTSREMP2M = inf(TGLTSREMP2M/REMPLANBP2);
TRPQTSREMP3M = inf(TGLTSREMP3M/REMPLANBP3);
TRPQTSREMP4M = inf(TGLTSREMP4M/REMPLANBP4);
TERPQRWBM =RPQRWBM * (1-positif(INDTEFF)) + TRPQRWBM * positif(INDTEFF);
TERPQRWAM =RPQRWAM * (1-positif(INDTEFF)) + TRPQRWAM * positif(INDTEFF);
TERPQRVGM =RPQRVGM * (1-positif(INDTEFF)) + TRPQRVGM * positif(INDTEFF);
TERPQRUAM =RPQRUAM * (1-positif(INDTEFF)) + TRPQRUAM * positif(INDTEFF);
TERPQ1M =RPQ1M * (1-positif(INDTEFF)) + TRPQ1M * positif(INDTEFF);
TERPQ2M =RPQ2M * (1-positif(INDTEFF)) + TRPQ2M * positif(INDTEFF);
TERPQ3M =RPQ3M * (1-positif(INDTEFF)) + TRPQ3M * positif(INDTEFF);
TERPQ4M =RPQ4M * (1-positif(INDTEFF)) + TRPQ4M * positif(INDTEFF);
TERPQ4VM =RPQ4VM * (1-positif(INDTEFF)) + TRPQ4VM * positif(INDTEFF);
TERPQ4CM =RPQ4CM * (1-positif(INDTEFF)) + TRPQ4CM * positif(INDTEFF);
TERPQ4VCM =RPQ4VCM * (1-positif(INDTEFF)) + TRPQ4VCM * positif(INDTEFF);
TERPQ4TVCM =RPQ4TVCM * (1-positif(INDTEFF)) + TRPQ4TVCM * positif(INDTEFF);
TERPQFVM = RPQFVM * (1-positif(INDTEFF)) + TRPQFVM * positif(INDTEFF);
TERPQFCM = RPQFCM * (1-positif(INDTEFF)) + TRPQFCM * positif(INDTEFF);
TERPQF1M = RPQF1M * (1-positif(INDTEFF)) + TRPQF1M * positif(INDTEFF);
TERPQF2M = RPQF2M * (1-positif(INDTEFF)) + TRPQF2M * positif(INDTEFF);
TERPQF3M = RPQF3M * (1-positif(INDTEFF)) + TRPQF3M * positif(INDTEFF);
TERPQF4M = RPQF4M * (1-positif(INDTEFF)) + TRPQF4M * positif(INDTEFF);
TERPQPALIMVM = RPQPALIMVM * (1-positif(INDTEFF)) + TRPQPALIMVM * positif(INDTEFF);
TERPQPALIMCM = RPQPALIMCM * (1-positif(INDTEFF)) + TRPQPALIMCM * positif(INDTEFF);
TERPQPALIM1M = RPQPALIM1M * (1-positif(INDTEFF)) + TRPQPALIM1M * positif(INDTEFF);
TERPQPALIM2M = RPQPALIM2M * (1-positif(INDTEFF)) + TRPQPALIM2M * positif(INDTEFF);
TERPQPALIM3M = RPQPALIM3M * (1-positif(INDTEFF)) + TRPQPALIM3M * positif(INDTEFF);
TERPQPALIM4M = RPQPALIM4M * (1-positif(INDTEFF)) + TRPQPALIM4M * positif(INDTEFF);
TERPQRF1M = RPQRF1M * (1-positif(INDTEFF)) + TRPQRF1M * positif(INDTEFF);
TERPQRF2M = RPQRF2M * (1-positif(INDTEFF)) + TRPQRF2M * positif(INDTEFF);
TERPQRCMDCM = RPQRCMDCM * (1-positif(INDTEFF)) + TRPQRCMDCM * positif(INDTEFF);
TERPQRCMFUM = RPQRCMFUM * (1-positif(INDTEFF)) + TRPQRCMFUM * positif(INDTEFF);
TERPQRCMCHM = RPQRCMCHM * (1-positif(INDTEFF)) + TRPQRCMCHM * positif(INDTEFF);
TERPQRCMTSM = RPQRCMTSM * (1-positif(INDTEFF)) + TRPQRCMTSM * positif(INDTEFF);
TERPQRCMGOM = RPQRCMGOM * (1-positif(INDTEFF)) + TRPQRCMGOM * positif(INDTEFF);
TERPQRCMTRM = RPQRCMTRM * (1-positif(INDTEFF)) + TRPQRCMTRM * positif(INDTEFF);
TERPQPRRVM = RPQPRRVM * (1-positif(INDTEFF)) + TRPQPRRVM * positif(INDTEFF);
TERPQPRRCM = RPQPRRCM * (1-positif(INDTEFF)) + TRPQPRRCM * positif(INDTEFF);
TERPQPRR1M = RPQPRR1M * (1-positif(INDTEFF)) + TRPQPRR1M * positif(INDTEFF);
TERPQPRR2M = RPQPRR2M * (1-positif(INDTEFF)) + TRPQPRR2M * positif(INDTEFF);
TERPQPRR3M = RPQPRR3M * (1-positif(INDTEFF)) + TRPQPRR3M * positif(INDTEFF);
TERPQPRR4M = RPQPRR4M * (1-positif(INDTEFF)) + TRPQPRR4M * positif(INDTEFF);
TERPQPRRZVM = RPQPRRZVM * (1-positif(INDTEFF)) + TRPQPRRZVM * positif(INDTEFF);
TERPQPRRZCM = RPQPRRZCM * (1-positif(INDTEFF)) + TRPQPRRZCM * positif(INDTEFF);
TERPQPRRZ1M = RPQPRRZ1M * (1-positif(INDTEFF)) + TRPQPRRZ1M * positif(INDTEFF);
TERPQPRRZ2M = RPQPRRZ2M * (1-positif(INDTEFF)) + TRPQPRRZ2M * positif(INDTEFF);
TERPQPRRZ3M = RPQPRRZ3M * (1-positif(INDTEFF)) + TRPQPRRZ3M * positif(INDTEFF);
TERPQPRRZ4M = RPQPRRZ4M * (1-positif(INDTEFF)) + TRPQPRRZ4M * positif(INDTEFF);
TERPQRVOM = RPQRVOM * (1-positif(INDTEFF)) + TRPQRVOM * positif(INDTEFF);
TERPQRVO5M = RPQRVO5M * (1-positif(INDTEFF)) + TRPQRVO5M * positif(INDTEFF);
TERPQRVO6M = RPQRVO6M * (1-positif(INDTEFF)) + TRPQRVO6M * positif(INDTEFF);
TERPQRVO7M = RPQRVO7M * (1-positif(INDTEFF)) + TRPQRVO7M * positif(INDTEFF);
TERPQRVORM = RPQRVORM * (1-positif(INDTEFF)) + TRPQRVORM * positif(INDTEFF);
TERPQRVO5RM = RPQRVO5RM * (1-positif(INDTEFF)) + TRPQRVO5RM * positif(INDTEFF);
TERPQRVO6RM = RPQRVO6RM * (1-positif(INDTEFF)) + TRPQRVO6RM * positif(INDTEFF);
TERPQRVO7RM = RPQRVO7RM * (1-positif(INDTEFF)) + TRPQRVO7RM * positif(INDTEFF);
TERPQTSVM = RPQTSVM * (1-positif(INDTEFF)) + TRPQTSVM * positif(INDTEFF);
TERPQTSCM = RPQTSCM * (1-positif(INDTEFF)) + TRPQTSCM * positif(INDTEFF);
TERPQTS1M = RPQTS1M * (1-positif(INDTEFF)) + TRPQTS1M * positif(INDTEFF);
TERPQTS2M = RPQTS2M * (1-positif(INDTEFF)) + TRPQTS2M * positif(INDTEFF);
TERPQTS3M = RPQTS3M * (1-positif(INDTEFF)) + TRPQTS3M * positif(INDTEFF);
TERPQTS4M = RPQTS4M * (1-positif(INDTEFF)) + TRPQTS4M * positif(INDTEFF);
TERPQRAFM = RPQRAFM * (1-positif(INDTEFF)) + TRPQRAFM * positif(INDTEFF);
TERPQRBFM = RPQRBFM * (1-positif(INDTEFF)) + TRPQRBFM * positif(INDTEFF);
TERPQRCFM = RPQRCFM * (1-positif(INDTEFF)) + TRPQRCFM * positif(INDTEFF);
TERPQRDFM = RPQRDFM * (1-positif(INDTEFF)) + TRPQRDFM * positif(INDTEFF);
TERPQREFM = RPQREFM * (1-positif(INDTEFF)) + TRPQREFM * positif(INDTEFF);
TERPQRFFM = RPQRFFM * (1-positif(INDTEFF)) + TRPQRFFM * positif(INDTEFF);
TERPQRAGM = RPQRAGM * (1-positif(INDTEFF)) + TRPQRAGM * positif(INDTEFF);
TERPQRBGM = RPQRBGM * (1-positif(INDTEFF)) + TRPQRBGM * positif(INDTEFF);
TERPQRCGM = RPQRCGM * (1-positif(INDTEFF)) + TRPQRCGM * positif(INDTEFF);
TERPQRDGM = RPQRDGM * (1-positif(INDTEFF)) + TRPQRDGM * positif(INDTEFF);
TERPQRGGM = RPQRGGM * (1-positif(INDTEFF)) + TRPQRGGM * positif(INDTEFF);
TERPQRFGM = RPQRFGM * (1-positif(INDTEFF)) + TRPQRFGM * positif(INDTEFF);
TERPQRALM = RPQRALM * (1-positif(INDTEFF)) + TRPQRALM * positif(INDTEFF);
TERPQRBLM = RPQRBLM * (1-positif(INDTEFF)) + TRPQRBLM * positif(INDTEFF);
TERPQRCLM = RPQRCLM * (1-positif(INDTEFF)) + TRPQRCLM * positif(INDTEFF);
TERPQRDLM = RPQRDLM * (1-positif(INDTEFF)) + TRPQRDLM * positif(INDTEFF);
TERPQRELM = RPQRELM * (1-positif(INDTEFF)) + TRPQRELM * positif(INDTEFF);
TERPQRFLM = RPQRFLM * (1-positif(INDTEFF)) + TRPQRFLM * positif(INDTEFF);
TERPQRAMM = RPQRAMM * (1-positif(INDTEFF)) + TRPQRAMM * positif(INDTEFF);
TERPQRBMM = RPQRBMM * (1-positif(INDTEFF)) + TRPQRBMM * positif(INDTEFF);
TERPQRCMM = RPQRCMM * (1-positif(INDTEFF)) + TRPQRCMM * positif(INDTEFF);
TERPQRDMM = RPQRDMM * (1-positif(INDTEFF)) + TRPQRDMM * positif(INDTEFF);
TERPQREMM = RPQREMM * (1-positif(INDTEFF)) + TRPQREMM * positif(INDTEFF);
TERPQRFMM = RPQRFMM * (1-positif(INDTEFF)) + TRPQRFMM * positif(INDTEFF);
TERPQTSREMPVM = RPQTSREMPVM * (1-positif(INDTEFF)) + TRPQTSREMPVM * positif(INDTEFF);
TERPQTSREMPCM = RPQTSREMPCM * (1-positif(INDTEFF)) + TRPQTSREMPCM * positif(INDTEFF);
TERPQTSREMP1M = RPQTSREMP1M * (1-positif(INDTEFF)) + TRPQTSREMP1M * positif(INDTEFF);
TERPQTSREMP2M = RPQTSREMP2M * (1-positif(INDTEFF)) + TRPQTSREMP2M * positif(INDTEFF);
TERPQTSREMP3M = RPQTSREMP3M * (1-positif(INDTEFF)) + TRPQTSREMP3M * positif(INDTEFF);
TERPQTSREMP4M = RPQTSREMP4M * (1-positif(INDTEFF)) + TRPQTSREMP4M * positif(INDTEFF);

regle 701130:
application : iliad ;


GLN3 = GLN3V + GLN3C ;
TGLN3 = TGLN3V + TGLN3C ;

regle 701140:
application : bareme , iliad ;


RI2 = RI1 + DPAE ;

regle 701150:
application : iliad ;

LIMDPAE = LIM_PENSALENF ;

regle 701160:
application : iliad ;


DPAE = somme (a=1..4 : min( CHENFa, LIMDPAE)) * ( 1 - V_CNR ) ;

regle 701170:
application : bareme , iliad ;


RI1 = max( RNG -  (ABTPA + ABTMA) * (1-positif(RE168+TAX1649)), 0 ) ;
RI3 = max( RNG -  (ABTPA + ABTMA) * (1-positif(RE168+TAX1649)), 0 ) ;

regle 701180:
application : bareme , iliad ;


RNG = RBL1 ; 

regle 701190:
application : bareme , iliad ;


REVQUO = max(0, TOTALQUO - SDD - SDC - SDV - SDM);
REVQUOQHT = max(0, TOTALQUOHT - SDD - SDC - SDV - SDM);
TONEQUOHT = max(0, TOTALQUOHT
               - (SDD + SDC + SDV + SDM) * (1- positif(VARIPTEFP + VARIPTEFN+ TEFFREVTOT*INDTEFF)) - VARIPTEFN ) ;
TONEQUO = max(0, TOTALQUO
               - (SDD + SDC + SDV + SDM) * (1- positif(VARIPTEFP + VARIPTEFN + TEFFREVTOT*INDTEFF)) - VARIPTEFN) ;
TONEQUOMHT = max(0, TOTALQUOHT - VARDMOND) ;
TONEQUOM = max(0, TOTALQUO - VARDMOND) ;
RASREVQUO = max(0, RASTOTALQUO - SDD - SDC - SDV - SDM);
RASTONEQUOHT = max(0, RASTOTALQUOHT - max(0 , CHARGES - REVORDI * (1 - INDTEFFPAS) - TREVORDI * INDTEFFPAS) 
                                      * (1 - positif(VARIPTEFP + VARIPTEFN + TEFFREVTOT * INDTEFF)) - VARIPTEFN) ;

RASTONEQUO = max(0, RASTOTALQUO - max(0 , CHARGES - REVORDI * (1 - INDTEFFPAS) - TREVORDI * INDTEFFPAS)
                                  * (1 - positif(VARIPTEFP + VARIPTEFN + TEFFREVTOT * INDTEFF)) - VARIPTEFN) ;

regle 701200:
application : iliad ;


NAB      = min( max( LIM_ABTRNGDBL + 1  - (RNG+ TOTALQUO- SDD- SDC), 0 ), 1 )
           + min( max( LIM_ABTRNGSIMP + 1 - (RNG+ TOTALQUO- SDD- SDC), 0 ), 1 ) ;

ABSPRNG = RNG + TOTALQUO - SDD - SDC ;

ABTPA      = NDA * NAB * ABAT_UNVIEUX * (1-V_CNR) ;

regle 701210:
application : bareme , iliad ;

NDA =   min( max( AGV + 1 - LIM_AGE_ABVIEUX, V_0AP ), 1 )
      + min( max( AGC*BOOL_0AM + 1 - LIM_AGE_ABVIEUX, V_0AF*BOOL_0AM ), 1 ) ;

regle 701220:
application : bareme , iliad ;


AGV =(ANNEEREV - V_0DA) * min( 1 , V_0DA);
AGC =(ANNEEREV - V_0DB) * min( 1 , V_0DB);


regle 701230:
application : iliad ;


ABTMA = V_0DN * ABAT_ENF_MARIES + arr(V_0DP * (ABAT_ENF_MARIES)/2) ;

regle 701240:
application : bareme , iliad ;


RBG2 = RBG1 - min(RBG1 , DDCSG)* (1-positif(RE168+TAX1649)) ;

RBL1 =   RBG2 - min( RBG2 , ( DDPA + DDFA + DEDIV + APERPV + APERPC + APERPP + NUREPAR )) * (1-positif(RE168+TAX1649)) * ( 1 - V_CNR ) 
              - min( RBG2 , V_8ZT+CODZRE+CODZRF) * V_CNR ;

regle 701250:
application : bareme , iliad ;


SDD = max(0, DAR - RG) ;

regle 701260:
application : bareme , iliad ;


SDC1 = max(0, DDCSG + DDPA + DDFA + DEDIV - APERPV - APERPC - APERPP - max(0,RBG1)) 
          * (1 - V_CNR)
          + max (0, V_8ZT+CODZRE+CODZRF - max(0,RBG1)) * V_CNR ;

regle 701270:
application : bareme , iliad ;


SDC = max(0, DDCSG + DDPA + DDFA + DEDIV + APERPV + APERPC + APERPP + NUREPAR - max(0,RBG1)) 
         * (1 - V_CNR)
         + max(0, V_8ZT+CODZRE+CODZRF - max(0,RBG1)) * V_CNR ;

regle 701280:
application : bareme , iliad ;


SDV = max(0, ABTPA - RNG) ;

SDM = max(0, ABTMA - max(0,RNG - ABTPA) ) ;

regle 701290:
application : iliad ;


SOFIRNG = RBL1 + TOTALQUO - SDD - SDC1 ;

regle 701300:
application : bareme , iliad ;

RBG1 = (1-positif(IPTEFN)) * ( 
               (1 - positif(RG - DAR )) * (min( 0 , RG  - DAR + TOTALQUO ) * (1-FLAG_PVRO) + COD3WG * FLAG_PVRO)
                       + positif(RG  - DAR ) * (RG  - DAR + COD3WG * FLAG_PVRO)
		             )
      + positif(IPTEFN) * (
               (1 - positif(RG - DAR + COD3WG * FLAG_PVRO)) * (min( 0 , RG  - DAR + TOTALQUO) * (1-FLAG_PVRO) + 0 * FLAG_PVRO)
                       + positif(RG  - DAR + COD3WG * FLAG_PVRO) * (RG  - DAR + COD3WG * FLAG_PVRO)
		         );

regle 701310:
application : iliad ;


TOTPA =arr(PAAV*MAJREV) + PAAP ;
DDPA = (somme(i=1..4:min(NCHENFi,LIMDPAE)+min(arr(CHENFi*MAJREV),LIMDPAE))
                  + TOTPA) * (1 - V_CNR)
                             * (1 - positif(RE168+TAX1649)) ;

regle 701320:
application : iliad ;


RPREC =  positif(CHRFAC) * max(1,CHNFAC)
         +
	 null(CHRFAC) * max(0,CHNFAC)
         ;
DDFA = min( CHRFAC, RPREC * LIM_FRACC ) * (1 - V_CNR)
                             * (1 - positif(RE168+TAX1649)) ;

regle 701330:
application : bareme , iliad ;

RGPROV = ( SHBA +  max( BANOR, 0 ) + REB +R1649+PREREV+
        min(BANOR+BAEV + BAEMV+BAEC + BAEMC+BAEP + BAEMP,0) *
        positif(SEUIL_IMPDEFBA + 1 - SHBA - (REVTP-BA1)
        - REVQTOTQHT)
       ) * (1-positif(RE168+TAX1649))
     + (RE168+TAX1649) * positif(RE168+TAX1649) ;

regle 701340:
application : bareme , iliad ;

RG = ( SHBA + DFANTIMPUBAR +  RBAT  + REB +R1649+PREREV+
        min(BANOR+arr(DEFBANIF * (1-PRORATABA)),0) *
        positif(SEUIL_IMPDEFBA + 1 - SHBA - (REVTP-BA1)
        - REVQTOTQHT) 
       ) * (1-positif(RE168+TAX1649))
     + (RE168+TAX1649) * positif(RE168+TAX1649);

regle 701350:
application : bareme , iliad ;


TOTALQUO = REVQTOT ;
TOTALQUOHT = REVQTOTQHT ;
regle 701352:
application : bareme , iliad ;

RASTOTALQUO = RASREVQTOT ;
regle 701354:
application : bareme , iliad ;

RASTOTALQUOHT = RASREVQTOTHT ;

regle 701360:
application : iliad ;

DAR = (DEFAA5 + DEFAA4 + DEFAA3 + DEFAA2 + DEFAA1 + DEFAA0) * (1-positif(RE168+TAX1649)) ;

regle 701370:
application : iliad ;



PVBAR3VG = (positif(COD2OP)*( BTPM3VG + PVTAXSB + BTPM3UA + COD3TJ +COD3SZ));
PVBAR3SB = PVTAXSB + COD3SZ ;

PVBAR3WB = PVIMPOS ;

PVCODRVG = positif(COD2OP)*(max(0,(CODRVG-CODRSG)));
PVCODRUA = positif(COD2OP)*(max(0,(CODRUA-CODRVA-CODRSL)));
PVRVGRUA = PVCODRVG + PVCODRUA ;

PVCODNVG = positif(COD2OP)*(CODNVG+CODNUA);


PVBARPA = max(0,(positif(COD2OP)*(BTPM3VG) + COD3SG + positif(COD2OP)*(inf(PVRVGRUA/PVCODNVG)) - ABIMPMV));

PVBARHRPA =max(0,(positif(COD2OP)*(BTPM3VG) + COD3SG +positif(COD2OP)*( PVRVGRUA) - ABIMPMV));


PVBARPS = max(0,(BPVRCM + COD3UA + ABIMPPV + COD3TJ + CODRVG + CODRUA + COD3XN)-ABIMPMV)+PVTITRESOC ; 

PVTZPS =  COD1TZ + COD1UZ + COD1VZ + COD1WZ ;
PVTERPS =  COD3WI + COD3WJ + COD3WN ;

SHBA =(ESFP + TSPR + RCM1 + BIN + BNN + NPLOCNETF
       + COD1TZ+positif(COD2OP)* (BTPM3VG+PVTAXSB+COD3TJ+BTPM3UA+COD3SZ)+PVIMPOS * null(1-FLAG_EXIT)*positif(COD2OP)+(PVIMPOS + PVSURSI) *positif(COD2OP)* null(2 -FLAG_EXIT)
                     + (RRFI + 0) * ( 1- V_INDTEO) + (RRFTEO + 0) * (V_INDTEO));

TSHBA =(ESFP + TTSPR + RCM1
       + max(0,max(0,MLOCDECV-TMIB_ABNPVLV-TMIB_ABNPPLV)+max(0,MLOCDECC-TMIB_ABNPVLC-TMIB_ABNPPLC)+max(0,MLOCDECP-TMIB_ABNPVLP-TMIB_ABNPPLP)
              +NPLOCNETV + NPLOCNETC + NPLOCNETPAC - TDNPLOCIMPU +DEFLOCNPF)
	             + TBICPF + TBICNPF + TBNN + BIHTAV + BIHTAC + BIHTAP + BIPTAV + BIPTAC + BIPTAP
		            + COD1TZ +positif(COD2OP)*( BTPM3VG +PVTAXSB+COD3TJ+BTPM3UA+COD3SZ)+ PVIMPOS *positif(COD2OP)* null(1-FLAG_EXIT) + (PVIMPOS + PVSURSI) *positif(COD2OP)* null(2 -FLAG_EXIT)
			           + (RRFI + 0) * ( 1- V_INDTEO) + (RRFTEO + 0) * (V_INDTEO));

regle 701390:
application : iliad ;


REB = REPSOF ;

